<?php session_start();
include_once '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();
$dirClase = '../modelo/clases/envios.php';

switch($_REQUEST["accion"])
{	case "Template":
		$html = file_get_contents("../vista/capas/principal.html");

		include $dirClase;
		$con = new Envios($conex);    $conF = $con->getFuncion();
		$datos = $con->get();

		ob_start();
		include ("../vista/capas/admin/envios/plan_envios_lista.php");
		$lista_envios = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista_envios, $html);
		$html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);

		echo $html;
	  break;
	case "Listado":
		include $dirClase;  $con = new Envios($conex);
		$datos = $con->get();     $conF = $con->getFuncion();

		include ("../vista/capas/admin/envios/plan_envios_lista.php");

	  break;
	case "Nuevo":
		include $dirClase;  $con = new Envios($conex);    $conF = $con->getFuncion();
		$html = file_get_contents("../vista/capas/admin/envios/plan_envios_formulario.html");
        
        $tipo = (isset($_REQUEST["tipo"]))?$_REQUEST["tipo"]:"1";
        $anio = (isset($_REQUEST["anio"]))?$_REQUEST["anio"]:date("Y",time());
        $mes = (isset($_REQUEST["mes"]))?$_REQUEST["mes"]:date("m",time());
        $idUsuario = (isset($_SESSION["idUsuario"]))?$_SESSION["idUsuario"]:$_REQUEST["idUsuario"];
        
        $optionsT = $conF->getOption(array(array("1","CRED"),array("2","VACUNA")),$tipo);
        $optionsA = $conF->getOption($conF->getDataAnio(2015),$anio);
        $optionsM = $conF->getOption($conF->getDataMes(),$mes);
        $optionsU = $con->getUsuario()->getOption($idUsuario);

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_COD_2000}", "{OPTIONS_TIPO}", "{OPTIONS_ANIOPRODUCCION}", "{OPTIONS_MESPRODUCCION}", "{OPTIONS_USUARIO}");
		$valores = array(" Nueva - Formulario", "", "", $optionsT, $optionsA, $optionsM, $optionsU);
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Edicion":
		include $dirClase;  $con = new Envios($conex);    $conF = $con->getFuncion();
		$id = $_REQUEST["id"];
		$datosEnvios = $con->get($id);
		$html = file_get_contents("../vista/capas/admin/envios/plan_envios_formulario.html");
        
        $tipo = $datosEnvios->getTipo();
        $anio = $datosEnvios->getAnioProduccion();
        $mes = $datosEnvios->getMesProduccion();
        $idUsuario = $datosEnvios->getIdUsuario();
        $optionsT = $conF->getOption(array(array("1","CRED"),array("2","ESNI")),$tipo);
        $optionsA = $conF->getOption($conF->getDataAnio(2015),$anio);
        $optionsM = $conF->getOption($conF->getDataMes(),$mes);
        $optionsU = $con->getUsuario()->getOption($idUsuario);

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_COD_2000}", "{OPTIONS_TIPO}", "{OPTIONS_ANIOPRODUCCION}", "{OPTIONS_MESPRODUCCION}", "{OPTIONS_USUARIO}");
		$valores = array(" - Editar"
			,"<input type='hidden' id='id' name='id' value='".$id."' />"
			, $datosEnvios->getCod_2000()
			, $optionsT
			, $optionsA
			, $optionsM
			, $optionsU);
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Guardar":
		include $dirClase;
		$con = new Envios($conex);

		if(isset($_REQUEST["id"]))
			$con->setId($_REQUEST["id"]);

		$con->setCod_2000($_REQUEST["cod_2000"]);
		$con->setTipo($_REQUEST["tipo"]);
		$con->setAnioProduccion($_REQUEST["anioProduccion"]);
		$con->setMesProduccion($_REQUEST["mesProduccion"]);
		$con->setIdUsuario($_REQUEST["idUsuario"]);
        
        if(isset($_REQUEST["fechaEmision"]))
        {   $con->setFechaEmision($_REQUEST["fechaEmision"]);
            $con->setHoraEmision($_REQUEST["horaEmision"]);
        }
        else
        {   $fecha = date("Y-m-d", time());    $hora = date("H:i:s", time());    
            $con->setFechaEmision($fecha);
            $con->setHoraEmision($hora);
        }   
		
		
		$con->guardar();
	  break;
	case "Eliminar":
		include $dirClase;  $con = new Envios($conex);
		$con->setId($_REQUEST["id"]);

		$con->eliminar();
	  break;
}
$Conexion->desconectar();

?>