<?php
include_once '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();
$dirClase = '../modelo/clases/regla.php';
$dirClaseParametro = '../modelo/clases/parametro.php';

switch($_REQUEST["accion"])
{	case "Template":
		$html = file_get_contents("../vista/capas/principal.html");

		include $dirClase;
		$con = new Regla($conex);
		$datos = $con->get();

		ob_start();
		include ("../vista/capas/regla/plantilla_regla_lista.php");
		$lista_regla = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista_regla, $html);
		$html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);

		echo $html;
	  break;
	case "Listado":
		include $dirClase;  $con = new Regla($conex);
		$datos = $con->get();

		include ("../vista/capas/regla/plantilla_regla_lista.php");

	  break;
	case "Nuevo":
		include $dirClase;  $con = new Regla($conex);
		$html = file_get_contents("../vista/capas/regla/plantilla_regla_formulario.html");

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_TIPOREGLA}", "{VALUE_NOMBRE}", "{VALUE_DESCRIPCION}", "{VALUE_CANTIDADMINIMA}", "{VALUE_CANTIDADMAXIMA}", "{VALUE_FRECUENCIA}", "{VALUE_TIPOFRECUENCIA}", "{VALUE_EDADMINIMA}", "{VALUE_EDADMAXIMA}", "{VALUE_PESOMINIMO}", "{VALUE_PESOMAXIMO}");
		$valores = array(" Nueva - Formulario", "", "", "", "", "", "", "", "", "", "", "", "");
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Edicion":
		include $dirClase;  $con = new Regla($conex);
		$idRegla = $_REQUEST["idRegla"];
		$datosRegla = $con->get($idRegla);
		$html = file_get_contents("../vista/capas/regla/plantilla_regla_formulario.html");

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_TIPOREGLA}", "{VALUE_NOMBRE}", "{VALUE_DESCRIPCION}", "{VALUE_CANTIDADMINIMA}", "{VALUE_CANTIDADMAXIMA}", "{VALUE_FRECUENCIA}", "{VALUE_TIPOFRECUENCIA}", "{VALUE_EDADMINIMA}", "{VALUE_EDADMAXIMA}", "{VALUE_PESOMINIMO}", "{VALUE_PESOMAXIMO}");
		$valores = array(" - Editar"
			,"<input type='hidden' id='idRegla' name='idRegla' value='".$idRegla."' />"
			, $datosRegla->getTipoRegla()
			, $datosRegla->getNombre()
			, $datosRegla->getDescripcion()
			, $datosRegla->getCantidadMinima()
			, $datosRegla->getCantidadMaxima()
			, $datosRegla->getFrecuencia()
			, $datosRegla->getTipoFrecuencia()
			, $datosRegla->getEdadMinima()
			, $datosRegla->getEdadMaxima()
            , $datosRegla->getPesoMinimo()
			, $datosRegla->getPesoMaximo() );
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Guardar":
		include $dirClase;
		$con = new Regla($conex);

		if(isset($_REQUEST["idRegla"]))
			$con->setIdRegla($_REQUEST["idRegla"]);

		$con->setTipoRegla($_REQUEST["tipoRegla"]);
		$con->setNombre($_REQUEST["nombre"]);
		$con->setDescripcion($_REQUEST["descripcion"]);
		$con->setCantidadMinima($_REQUEST["cantidadMinima"]);
		$con->setCantidadMaxima($_REQUEST["cantidadMaxima"]);
		$con->setFrecuencia($_REQUEST["frecuencia"]);
		$con->setTipoFrecuencia($_REQUEST["tipoFrecuencia"]);
		$con->setEdadMinima($_REQUEST["edadMinima"]);
		$con->setEdadMaxima($_REQUEST["edadMaxima"]);
        $con->setPesoMinimo($_REQUEST["pesoMinimo"]);
		$con->setPesoMaximo($_REQUEST["pesoMaximo"]);
		
		$con->guardar();
	  break;
	case "Eliminar":
		include $dirClase;  $con = new Regla($conex);
		$con->setIdRegla($_REQUEST["idRegla"]);

		$con->eliminar();
	  break;
    //case "ParametroTemplate":
//        include $dirClase;  $conR = new Regla($conex);  $conC = $conR->getConexion();
//        $html = file_get_contents("../vista/capas/regla/plan_parametro_formulario.html");
//        echo $html;
//      break;
      
    case "ParametroTemplate":
		$html = file_get_contents("../vista/capas/principal.html");
		include $dirClaseParametro;	$con = new Parametro($conex);	$datos = $con->get();

		ob_start();
		include ("../vista/capas/regla/plan_parametro_lista.php");
		$lista_parametro = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista_parametro, $html);
		$html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);

		echo $html;
	  break;
	case "ListadoParametro":
		include $dirClaseParametro;  $con = new Parametro($conex);
		$datos = $con->get();

		include ("../vista/capas/regla/plan_parametro_lista.php");

	  break;
	case "NuevoParametro":
		include $dirClaseParametro;  $con = new Parametro($conex);
		$html = file_get_contents("../vista/capas/regla/plan_parametro_formulario.html");

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NOMBRE}", "{VALUE_VALOR}", "{READ_NOMBRE}");
		$valores = array(" Nuevo - Formulario", "", "", "", "");
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "EdicionParametro":
		include $dirClaseParametro;  $con = new Parametro($conex);
		$idParametro = $_REQUEST["idParametro"];
		$datosParametro = $con->get($idParametro);
		$html = file_get_contents("../vista/capas/regla/plan_parametro_formulario.html");

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NOMBRE}", "{VALUE_VALOR}", "{READ_NOMBRE}");
		$valores = array(" - Editar"
			,"<input type='hidden' id='idParametro' name='idParametro' value='".$idParametro."' />"
			, $datosParametro->getNombre()
			, $datosParametro->getValor() 
            , " readonly=\"\" ");
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "GuardarParametro":
		include $dirClaseParametro;
		$con = new Parametro($conex);

		if(isset($_REQUEST["idParametro"]))
			$con->setIdParametro($_REQUEST["idParametro"]);

		$con->setNombre($_REQUEST["nombre"]);
		$con->setValor($_REQUEST["valor"]);
		
		$con->guardar();
	  break;
	case "EliminarParametro":
		include $dirClaseParametro;  $con = new Parametro($conex);
		$con->setIdParametro($_REQUEST["idParametro"]);

		$con->eliminar();
	  break;
}
$Conexion->desconectar();

?>