<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/usuario.php';
class Envios
{	private $id = 0; 
	private $cod_2000;
	private $tipo; // 1: CRED, 2: VACUNA
    private $anioProduccion;
    private $mesProduccion; 
    private $idUsuario;
	private $fechaEmision; 
	private $horaEmision; 
	 
     
	private $usuario; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
		$this->usuario = new Usuario($con);
	}

	public function getConexion()                      	{	return $this->conexion;	}
	public function getFuncion()                       	{	return new Funciones();	}

	//SETS
	public function setUsuario($usuario)            	{	$this->usuario = $usuario;	}   
    
    public function setId($id)                         	{	$this->id = $id;	} 
	public function setCod_2000($cod_2000)             	{	$this->cod_2000 = $cod_2000;	}  
	public function setTipo($tipo)             	        {	$this->tipo = $tipo;	}     
	public function setAnioProduccion($anioProduccion)  {	$this->anioProduccion = $anioProduccion;	} 
	public function setMesProduccion($mesProduccion)    {	$this->mesProduccion = $mesProduccion;	} 
	public function setIdUsuario($idUsuario)           	{	$this->idUsuario = $idUsuario;	} 
	public function setFechaEmision($fechaEmision)     	{	$this->fechaEmision = $fechaEmision;	} 
	public function setHoraEmision($horaEmision)       	{	$this->horaEmision = $horaEmision;	} 

	//GETS
	public function getUsuario()            	        {	return $this->usuario;	} 
    
    public function getId()                            	{	return $this->id;	} 
	public function getCod_2000()                      	{	return $this->cod_2000;	}  
	public function getTipo()             	            {	return $this->tipo;	}         
	public function getAnioProduccion()                 {	return $this->anioProduccion;	} 
	public function getMesProduccion()                  {	return $this->mesProduccion;	} 
	public function getIdUsuario()                     	{	return $this->idUsuario;	} 
	public function getFechaEmision()                  	{	return $this->fechaEmision;	} 
	public function getHoraEmision()                   	{	return $this->horaEmision;	} 
    
	public function getTipoNombre()             	    {	
	   $datos = array("1"=>"CRED", "2"=>"VACUNA");
       return $datos[$this->tipo];	}  

	//METODOS GUARDAR
	public function guardar()
	{	($this->id == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO envios (cod_2000, tipo, anioProduccion, mesProduccion, idUsuario, fechaEmision, horaEmision)
			VALUES('".$this->cod_2000."', '".$this->tipo."', '".$this->anioProduccion."', '".$this->mesProduccion."', '".$this->idUsuario."', '".$this->fechaEmision."', '".$this->horaEmision."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE envios 
			SET cod_2000 = '".$this->cod_2000."', 
				tipo = '".$this->tipo."', 
				anioProduccion = '".$this->anioProduccion."', 
				mesProduccion = '".$this->mesProduccion."', 
				idUsuario = '".$this->idUsuario."', 
				fechaEmision = '".$this->fechaEmision."', 
				horaEmision = '".$this->horaEmision."'
			WHERE id = '".$this->id."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM envios ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Envios($this->conex);
				$objeto->setId($row['id']);
				$objeto->setCod_2000($row['cod_2000']);
				$objeto->setTipo($row['tipo']); 
				$objeto->setAnioProduccion($row['anioProduccion']);    
				$objeto->setMesProduccion($row['mesProduccion']);    
				$objeto->setIdUsuario($row['idUsuario']);    
				$objeto->setFechaEmision($row['fechaEmision']);
				$objeto->setHoraEmision($row['horaEmision']);            
                
                $objeto->setUsuario($this->usuario->get($row['idUsuario']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM envios WHERE id='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Envios($this->conex);
			if(count($datos)>0)
			{	$objeto->setId($datos[0]['id']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setTipo($datos[0]['tipo']); 
				$objeto->setAnioProduccion($datos[0]['anioProduccion']);    
				$objeto->setMesProduccion($datos[0]['mesProduccion']);  
				$objeto->setIdUsuario($datos[0]['idUsuario']);     
				$objeto->setFechaEmision($datos[0]['fechaEmision']);
				$objeto->setHoraEmision($datos[0]['horaEmision']);   
                
                $objeto->setUsuario($this->usuario->get($datos[0]['idUsuario']));
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM envios WHERE id='".$this->id."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}