<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/persona.php';
include_once '../modelo/clases/usuario.php';
class NinoDomicilio
{	private $idNinoDomicilio = 0; 
	private $idNino;
    private $cod_2000;  
	private $fechaAtencion; 
	private $numeroVisita; 
	private $motivo; 
	private $estado; 
    private $observacion;
	private $idUsuario; 
	private $fechaRegistro; 
    
    private $persona;
    private $usuario;

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
        $this->persona = new Persona($con);
        $this->usuario = new Usuario($con);
	}

	public function getConexion()                  	           {	return $this->conexion;	}
	public function getFuncion()       	                       {	return new Funciones();	}

	//SETS
	public function setPersona($persona)                       {	$this->persona = $persona;	}
    public function setUsuario($usuario)                       {	$this->usuario = $usuario;	}
    
    public function setIdNinoDomicilio($idNinoDomicilio)       {	$this->idNinoDomicilio = $idNinoDomicilio;	} 
	public function setIdNino($idNino)                         {	$this->idNino = $idNino;	} 
	public function setCod_2000($cod_2000)                             	{	$this->cod_2000 = $cod_2000;	}
	public function setFechaAtencion($fechaAtencion)           {	$this->fechaAtencion = $fechaAtencion;	} 
	public function setNumeroVisita($numeroVisita)             {	$this->numeroVisita = $numeroVisita;	} 
	public function setMotivo($motivo)                         {	$this->motivo = $motivo;	} 
	public function setEstado($estado)                         {	$this->estado = $estado;	} 
    public function setObservacion($observacion)               {	$this->observacion = $observacion;	}
	public function setIdUsuario($idUsuario)                   {	$this->idUsuario = $idUsuario;	} 
	public function setFechaRegistro($fechaRegistro)           {	$this->fechaRegistro = $fechaRegistro;	} 

	//GETS
	public function getPersona()                               {	return $this->persona;	}
    public function getUsuario()                               {	return $this->usuario;	}
    
    public function getIdNinoDomicilio()                       {	return $this->idNinoDomicilio;	} 
	public function getIdNino()                                {	return $this->idNino;	} 
	public function getCod_2000()                              {	return $this->cod_2000;	}
	public function getFechaAtencion()                         {	return $this->fechaAtencion;	} 
	public function getNumeroVisita()                          {	return $this->numeroVisita;	} 
	public function getMotivo()                                {	return $this->motivo;	} 
	public function getEstado()                                {	return $this->estado;	}
    public function getObservacion()                           {	return $this->observacion;	} 
	public function getIdUsuario()                             {	return $this->idUsuario;	} 
	public function getFechaRegistro()                         {	return $this->fechaRegistro;	} 
    public function getMotivoNombre()
    {   $datos = array("0"=>"-", "1"=>"Supervision CRED"
            , "2"=>"Supervision Suplementacion", "3"=>"Inmunizacion No Realizada", "4"=>"Visita por Anemia");
        return $datos[$this->motivo];
    }

	//METODOS GUARDAR
	public function guardar()
	{	($this->idNinoDomicilio == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO nino_domicilio (cod_2000, idNino, fechaAtencion, numeroVisita, motivo, estado, observacion, idUsuario)
			VALUES('".$this->cod_2000."', '".$this->idNino."', '".$this->fechaAtencion."', '".$this->numeroVisita."', '".$this->motivo."', '".$this->estado."', '".$this->observacion."', '".$this->idUsuario."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE nino_domicilio 
			SET cod_2000 = '".$this->cod_2000."', idNino = '".$this->idNino."', fechaAtencion = '".$this->fechaAtencion."', 
				numeroVisita = '".$this->numeroVisita."',			motivo = '".$this->motivo."', 
				estado = '".$this->estado."',   observacion = '".$this->observacion."',   idUsuario = '".$this->idUsuario."'
			WHERE idNinoDomicilio = '".$this->idNinoDomicilio."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM nino_domicilio ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new NinoDomicilio($this->conex);
				$objeto->setIdNinoDomicilio($row['idNinoDomicilio']);
				$objeto->setCod_2000($row['cod_2000']);
				$objeto->setIdNino($row['idNino']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
				$objeto->setNumeroVisita($row['numeroVisita']);
				$objeto->setMotivo($row['motivo']);
				$objeto->setEstado($row['estado']);
				$objeto->setObservacion($row['observacion']);
				$objeto->setIdUsuario($row['idUsuario']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
                
                $objeto->setPersona($this->persona->get($row['idNino']));
				$objeto->setUsuario($this->usuario->get($row['idUsuario']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM nino_domicilio WHERE idNinoDomicilio='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new NinoDomicilio($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdNinoDomicilio($datos[0]['idNinoDomicilio']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setIdNino($datos[0]['idNino']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
				$objeto->setNumeroVisita($datos[0]['numeroVisita']);
				$objeto->setMotivo($datos[0]['motivo']);
				$objeto->setEstado($datos[0]['estado']);
                $objeto->setObservacion($datos[0]['observacion']);
				$objeto->setIdUsuario($datos[0]['idUsuario']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
                
                $objeto->setPersona($this->persona->get($datos[0]['idNino']));
				$objeto->setUsuario($this->usuario->get($datos[0]['idUsuario']));
			}
			return $objeto;
		}
	}
    
    public function getOptionMotivo($id = NULL)
    {   $datos = array(array("0", "Sin Motivo Opcional"), array("1", "Supervision CRED"), array("2", "Supervision Suplementacion"), array("3", "Inmunizacion No Realizada"), array("4", "Visita por Anemia"));
        $opciones = $this->getFuncion()->getOption($datos, $id );
        return $opciones;
    }    

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM nino_domicilio WHERE idNinoDomicilio='".$this->idNinoDomicilio."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>