<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/regla.php';
include_once '../modelo/clases/persona.php';
include_once '../modelo/clases/usuario.php';
class NinoPsicomotor
{	private $idNinoPsicomotor = 0; 
	private $idNino; 
    private $cod_2000; 
	private $idPsicomotor; 
	private $estado; 
	private $observacion; 
	private $fechaAtencion; 
	private $idUsuario; 
	private $fechaRegistro; 
    
    private $psicomotor;
    private $persona;
    private $usuario;

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
        $this->psicomotor = new Regla($con);
        $this->persona = new Persona($con);
        $this->usuario = new Usuario($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setPsicomotor($psicomotor)                         	{	$this->psicomotor = $psicomotor;	} 
    public function setPersona($persona)                                {	$this->persona = $persona;	}
    public function setUsuario($usuario)                            	{	$this->usuario = $usuario;	}
    
    public function setIdNinoPsicomotor($idNinoPsicomotor)          	{	$this->idNinoPsicomotor = $idNinoPsicomotor;	}
	public function setIdNino($idNino)                                 	{	$this->idNino = $idNino;	} 
    public function setCod_2000($cod_2000)                             	{	$this->cod_2000 = $cod_2000;	}
	public function setIdPsicomotor($idPsicomotor)                     	{	$this->idPsicomotor = $idPsicomotor;	} 
	public function setEstado($estado)                                 	{	$this->estado = $estado;	} 
	public function setObservacion($observacion)                       	{	$this->observacion = $observacion;	} 
	public function setFechaAtencion($fechaAtencion)                   	{	$this->fechaAtencion = $fechaAtencion;	} 
	public function setIdUsuario($idUsuario)                           	{	$this->idUsuario = $idUsuario;	} 
	public function setFechaRegistro($fechaRegistro)                   	{	$this->fechaRegistro = $fechaRegistro;	} 

	//GETS
    public function getPsicomotor()             	{	return $this->psicomotor;	}
    public function getPersona()                   	{	return $this->persona;	}
    public function getUsuario()                	{	return $this->usuario;	}
    
	public function getIdNinoPsicomotor()          	{	return $this->idNinoPsicomotor;	} 
	public function getIdNino()                    	{	return $this->idNino;	}
    public function getCod_2000()                   {	return $this->cod_2000;	} 
	public function getIdPsicomotor()              	{	return $this->idPsicomotor;	} 
	public function getEstado()                    	{	return $this->estado;	} 
	public function getObservacion()               	{	return $this->observacion;	} 
	public function getFechaAtencion()             	{	return $this->fechaAtencion;	} 
	public function getIdUsuario()                 	{	return $this->idUsuario;	} 
	public function getFechaRegistro()             	{	return $this->fechaRegistro;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idNinoPsicomotor == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO nino_psicomotor (cod_2000, idNino, idPsicomotor, estado, observacion, fechaAtencion, idUsuario)
			VALUES('".$this->cod_2000."', '".$this->idNino."', '".$this->idPsicomotor."', '".$this->estado."', '".$this->observacion."', '".$this->fechaAtencion."', '".$this->idUsuario."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE nino_psicomotor 
			SET idNino = '".$this->idNino."', 
				cod_2000 = '".$this->cod_2000."',
				idPsicomotor = '".$this->idPsicomotor."', 
				estado = '".$this->estado."', 
				observacion = '".$this->observacion."', 
				fechaAtencion = '".$this->fechaAtencion."', 
				idUsuario = '".$this->idUsuario."'
			WHERE idNinoPsicomotor = '".$this->idNinoPsicomotor."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM nino_psicomotor ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new NinoPsicomotor($this->conex);
				$objeto->setIdNinoPsicomotor($row['idNinoPsicomotor']);
				$objeto->setIdNino($row['idNino']);
				$objeto->setCod_2000($row['cod_2000']);
				$objeto->setIdPsicomotor($row['idPsicomotor']);
				$objeto->setEstado($row['estado']);
				$objeto->setObservacion($row['observacion']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
				$objeto->setIdUsuario($row['idUsuario']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
                
                $objeto->setPsicomotor($this->psicomotor->get($row['idPsicomotor']));
                $objeto->setPersona($this->persona->get($row['idNino']));
                $objeto->setUsuario($this->usuario->get($row['idUsuario']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM nino_psicomotor WHERE idNinoPsicomotor='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new NinoPsicomotor($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdNinoPsicomotor($datos[0]['idNinoPsicomotor']);
				$objeto->setIdNino($datos[0]['idNino']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setIdPsicomotor($datos[0]['idPsicomotor']);
				$objeto->setEstado($datos[0]['estado']);
				$objeto->setObservacion($datos[0]['observacion']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
				$objeto->setIdUsuario($datos[0]['idUsuario']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
                
                $objeto->setPsicomotor($this->psicomotor->get($datos[0]['idPsicomotor']));
                $objeto->setPersona($this->persona->get($datos[0]['idNino']));
                $objeto->setUsuario($this->usuario->get($datos[0]['idUsuario']));
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM nino_psicomotor WHERE idNinoPsicomotor='".$this->idNinoPsicomotor."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>