<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/persona.php';
include_once '../modelo/clases/regla.php';
include_once '../modelo/clases/usuario.php';
class NinoSuplemento
{	private $idNinoSuplemento = 0; 
	private $idNino; 
    private $cod_2000; 
	private $idRegla; 
	private $numeroControl; 
	private $cantidad; 
    private $presentacion;
	private $fechaAtencion; 
	private $idResponsable; 
	private $fechaRegistro;
    private $estado; 
    
    private $persona;
    private $regla;
    private $usuario;

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
        $this->persona = new Persona($con);
        $this->regla = new Regla($con);
        $this->usuario = new Usuario($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
    public function setPersona($persona)                              	{	$this->persona = $persona;	}
    public function setRegla($regla)                            	{	$this->regla = $regla;	}
    public function setUsuario($usuario)                        	{	$this->usuario = $usuario;	}  
    
	public function setIdNinoSuplemento($idNinoSuplemento)         	{	$this->idNinoSuplemento = $idNinoSuplemento;	} 
	public function setIdNino($idNino)             	                {	$this->idNino = $idNino;	}
    public function setCod_2000($cod_2000)                          {	$this->cod_2000 = $cod_2000;	} 
	public function setIdRegla($idRegla)                           	{	$this->idRegla = $idRegla;	} 
	public function setNumeroControl($numeroControl)               	{	$this->numeroControl = $numeroControl;	} 
	public function setCantidad($cantidad)                         	{	$this->cantidad = $cantidad;	} 
	public function setPresentacion($presentacion)                  {	$this->presentacion = $presentacion;	} 
	public function setFechaAtencion($fechaAtencion)               	{	$this->fechaAtencion = $fechaAtencion;	} 
	public function setIdResponsable($idResponsable)               	{	$this->idResponsable = $idResponsable;	} 
	public function setFechaRegistro($fechaRegistro)               	{	$this->fechaRegistro = $fechaRegistro;	}
    public function setEstado($estado)                          	{	$this->estado = $estado;	}  

	//GETS
    public function getPersona()                                   	{	return $this->persona;	}
    public function getRegla()                                  	{	return $this->regla;	}
    public function getUsuario()                                	{	return $this->usuario;	} 
    
	public function getIdNinoSuplemento()                          	{	return $this->idNinoSuplemento;	} 
	public function getIdNino()                                    	{	return $this->idNino;	}  
	public function getCod_2000()                                   {	return $this->cod_2000;	}
	public function getIdRegla()                                   	{	return $this->idRegla;	} 
	public function getNumeroControl()                             	{	return $this->numeroControl;	} 
	public function getCantidad()                                  	{	return $this->cantidad;	} 
	public function getPresentacion()                               {	return $this->presentacion;	}
	public function getFechaAtencion()                             	{	return $this->fechaAtencion;	} 
	public function getIdResponsable()                             	{	return $this->idResponsable;	} 
	public function getFechaRegistro()                             	{	return $this->fechaRegistro;	} 
    public function getEstado()             	                    {	return $this->estado;	}
    public function getEstadoNombre()
    {	$datos = array("0"=>"Actualizado", "1"=>"Entregado en el EESS", "2"=>"Extramural - Visita");
        return $datos[$this->estado];	}
    public function getEstadoFlag()
    {	$datos = array("0"=>"fam-flag-red", "1"=>"fam-flag-green", "2"=>"fam-flag-blue");
        return $datos[$this->estado];	}
    
	//METODOS GUARDAR
	public function guardar()
	{	($this->idNinoSuplemento == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO nino_suplemento (cod_2000, idNino, idRegla, numeroControl, cantidad, presentacion, fechaAtencion, idResponsable, estado)
			VALUES('".$this->cod_2000."', '".$this->idNino."', '".$this->idRegla."', '".$this->numeroControl."', '".$this->cantidad."', '".$this->presentacion."', '".$this->fechaAtencion."', '".$this->idResponsable."', '".$this->estado."')";
		//echo $consulta;
        $this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE nino_suplemento 
			SET idNino = '".$this->idNino."', 
				cod_2000 = '".$this->cod_2000."',
				idRegla = '".$this->idRegla."', 
				numeroControl = '".$this->numeroControl."', 
				cantidad = '".$this->cantidad."', 
				presentacion = '".$this->presentacion."', 
				fechaAtencion = '".$this->fechaAtencion."', 
				idResponsable = '".$this->idResponsable."', 
				estado = '".$this->estado."'
			WHERE idNinoSuplemento = '".$this->idNinoSuplemento."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM nino_suplemento ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new NinoSuplemento($this->conex);
				$objeto->setIdNinoSuplemento($row['idNinoSuplemento']);
				$objeto->setIdNino($row['idNino']);
				$objeto->setCod_2000($row['cod_2000']);
				$objeto->setIdRegla($row['idRegla']);
				$objeto->setNumeroControl($row['numeroControl']);
				$objeto->setCantidad($row['cantidad']);
				$objeto->setPresentacion($row['presentacion']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
				$objeto->setIdResponsable($row['idResponsable']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
                $objeto->setEstado($row['estado']);
                
                $objeto->setPersona($this->persona->get($row['idNino']));
                $objeto->setRegla($this->regla->get($row['idRegla']));
                $objeto->setUsuario($this->usuario->get($row['idResponsable']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM nino_suplemento WHERE idNinoSuplemento='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new NinoSuplemento($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdNinoSuplemento($datos[0]['idNinoSuplemento']);
				$objeto->setIdNino($datos[0]['idNino']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setIdRegla($datos[0]['idRegla']);
				$objeto->setNumeroControl($datos[0]['numeroControl']);
				$objeto->setCantidad($datos[0]['cantidad']);
				$objeto->setPresentacion($datos[0]['presentacion']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
				$objeto->setIdResponsable($datos[0]['idResponsable']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
                $objeto->setEstado($datos[0]['estado']);
                
                $objeto->setPersona($this->persona->get($datos[0]['idNino']));
                $objeto->setRegla($this->regla->get($datos[0]['idRegla']));
                $objeto->setUsuario($this->usuario->get($datos[0]['idResponsable']));
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM nino_suplemento WHERE idNinoSuplemento='".$this->idNinoSuplemento."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>