<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/persona.php';
include_once '../modelo/clases/regla.php';
include_once '../modelo/clases/usuario.php';
class NinoTamizaje
{	private $idNinoTamizaje = 0; 
	private $idNino; 
    private $cod_2000;
	private $idReglaTamizaje; 
    private $numeroControl;
	private $resultado; 
    private $fechaSolicitud;
    private $fechaResultado;
	private $fechaAtencion; 
	private $idUsuario; 
	private $fechaRegistro; 
    
    private $persona;
    private $reglaTamizaje;
    private $usuario;
    
	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
        $this->persona = new Persona($con);
        $this->reglaTamizaje = new Regla($con);
        $this->usuario = new Usuario($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setPersona($persona)                                {	$this->persona = $persona;	} 
	public function setReglaTamizaje($reglaTamizaje)                   	{	$this->reglaTamizaje = $reglaTamizaje;	}
	public function setUsuario($usuario)                               	{	$this->usuario = $usuario;	}
	
    public function setIdNinoTamizaje($idNinoTamizaje)              	{	$this->idNinoTamizaje = $idNinoTamizaje;	} 
	public function setIdNino($idNino)                                 	{	$this->idNino = $idNino;	} 
    public function setCod_2000($cod_2000)                             	{	$this->cod_2000 = $cod_2000;	}
	public function setIdReglaTamizaje($idReglaTamizaje)               	{	$this->idReglaTamizaje = $idReglaTamizaje;	} 
	public function setNumeroControl($numeroControl)                   	{	$this->numeroControl = $numeroControl;	}
    public function setResultado($resultado)                        	{	$this->resultado = $resultado;	} 
	public function setFechaSolicitud($fechaSolicitud)                 	{	$this->fechaSolicitud = $fechaSolicitud;	} 
    public function setFechaResultado($fechaResultado)              	{	$this->fechaResultado = $fechaResultado;	}
    public function setFechaAtencion($fechaAtencion)                	{	$this->fechaAtencion = $fechaAtencion;	}
	public function setIdUsuario($idUsuario)                           	{	$this->idUsuario = $idUsuario;	} 
	public function setFechaRegistro($fechaRegistro)                   	{	$this->fechaRegistro = $fechaRegistro;	} 

	//GETS
    public function getPersona()                   	                    {	return $this->persona;	} 
	public function getReglaTamizaje()             	                    {	return $this->reglaTamizaje;	}
    public function getUsuario()                	                    {	return $this->usuario;	}
    
	public function getIdNinoTamizaje()                                	{	return $this->idNinoTamizaje;	} 
	public function getIdNino()                                        	{	return $this->idNino;	} 
    public function getCod_2000()                                       {	return $this->cod_2000;	}
	public function getIdReglaTamizaje()                               	{	return $this->idReglaTamizaje;	} 
    public function getNumeroControl()                              	{	return $this->numeroControl;	}
	public function getResultado()                                     	{	return $this->resultado;	} 
    public function getFechaSolicitud()                             	{	return $this->fechaSolicitud;	}
    public function getFechaResultado()                             	{	return $this->fechaResultado;	}
	public function getFechaAtencion()                                 	{	return $this->fechaAtencion;	} 
	public function getIdUsuario()                                     	{	return $this->idUsuario;	} 
	public function getFechaRegistro()                                 	{	return $this->fechaRegistro;	} 
    public function getResultadoNombre()
    {   if($this->getIdReglaTamizaje()==23)
        {   if($this->getResultado()==100)
                return "Negativo";
            else
                return "Positivo";            
        }
        else
            return $this->getResultado();
    }
    public function getEstadoNombre()
    {	$datos = array("0"=>"Actualizado", "1"=>"Entregado en el EESS", "2"=>"Extramural - Visita");
        return $datos[1];	}
    public function getEstadoFlag()
    {	$datos = array("0"=>"fam-flag-red", "1"=>"fam-flag-green", "2"=>"fam-flag-blue");
        return $datos[1];	}

	//METODOS GUARDAR
	public function guardar()
	{	($this->idNinoTamizaje == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO nino_tamizaje (cod_2000, idNino, idReglaTamizaje, numeroControl, resultado, fechaSolicitud, fechaResultado, fechaAtencion, idUsuario)
			VALUES('".$this->cod_2000."', '".$this->idNino."', '".$this->idReglaTamizaje."', '".$this->numeroControl."', '".$this->resultado."', '".$this->fechaSolicitud."', '".$this->fechaResultado."', '".$this->fechaAtencion."', '".$this->idUsuario."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE nino_tamizaje SET idNino = '".$this->idNino."', cod_2000 = '".$this->cod_2000."',
				idReglaTamizaje = '".$this->idReglaTamizaje."',  numeroControl = '".$this->numeroControl."', 
                resultado = '".$this->resultado."', fechaSolicitud = '".$this->fechaSolicitud."',
                fechaResultado = '".$this->fechaResultado."', fechaAtencion = '".$this->fechaAtencion."', 
				idUsuario = '".$this->idUsuario."' WHERE idNinoTamizaje = '".$this->idNinoTamizaje."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM nino_tamizaje ".$condicion.$orden.$limite;
            
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new NinoTamizaje($this->conex);
				$objeto->setIdNinoTamizaje($row['idNinoTamizaje']);
				$objeto->setIdNino($row['idNino']);
                $objeto->setCod_2000($row['cod_2000']);
				$objeto->setIdReglaTamizaje($row['idReglaTamizaje']);
                $objeto->setNumeroControl($row['numeroControl']);
				$objeto->setResultado($row['resultado']);
                $objeto->setFechaSolicitud($row['fechaSolicitud']);
                $objeto->setFechaResultado($row['fechaResultado']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
				$objeto->setIdUsuario($row['idUsuario']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
                
                $objeto->setPersona($this->persona->get($row['idNino']));
				$objeto->setReglaTamizaje($this->reglaTamizaje->get($row['idReglaTamizaje']));
                $objeto->setUsuario($this->usuario->get($row['idUsuario']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM nino_tamizaje WHERE idNinoTamizaje='".$id."' LIMIT 1";
            
			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new NinoTamizaje($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdNinoTamizaje($datos[0]['idNinoTamizaje']);
				$objeto->setIdNino($datos[0]['idNino']);
                $objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setIdReglaTamizaje($datos[0]['idReglaTamizaje']);
                $objeto->setNumeroControl($datos[0]['numeroControl']);
				$objeto->setResultado($datos[0]['resultado']);
                $objeto->setFechaSolicitud($datos[0]['fechaSolicitud']);
                $objeto->setFechaResultado($datos[0]['fechaResultado']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
				$objeto->setIdUsuario($datos[0]['idUsuario']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
                
                $objeto->setPersona($this->persona->get($datos[0]['idNino']));
				$objeto->setReglaTamizaje($this->reglaTamizaje->get($datos[0]['idReglaTamizaje']));
                $objeto->setUsuario($this->usuario->get($datos[0]['idUsuario']));
			}
			return $objeto;
		}
	}
    
	public function get2($id)
	{	$consulta = "SELECT  MAX(idNinoTamizaje) AS idNinoTamizaje, cod_2000, idNino, idReglaTamizaje, MAX(resultado) AS resultado,
        	MIN(fechaSolicitud) AS fechaSolicitud, MAX(fechaAtencion) AS fechaAtencion, idUsuario, fechaRegistro, 
            MAX(fechaResultado) AS fechaResultado, numeroControl  FROM nino_tamizaje 
            WHERE idNino='".$id."' GROUP BY idReglaTamizaje, numeroControl";
        $tabla = array();
		$datos = $this->conexion->datosTabla($consulta);
        
        foreach ($datos as $row)
		{	$objeto = new NinoTamizaje($this->conex);
			$objeto->setIdNinoTamizaje($row['idNinoTamizaje']);
			$objeto->setIdNino($row['idNino']);
            $objeto->setCod_2000($row['cod_2000']);
			$objeto->setIdReglaTamizaje($row['idReglaTamizaje']);
            $objeto->setNumeroControl($row['numeroControl']);
			$objeto->setResultado($row['resultado']);
            $objeto->setFechaSolicitud($row['fechaSolicitud']);
            $objeto->setFechaResultado($row['fechaResultado']);
			$objeto->setFechaAtencion($row['fechaAtencion']);
			$objeto->setIdUsuario($row['idUsuario']);
			$objeto->setFechaRegistro($row['fechaRegistro']);
            
            $objeto->setPersona($this->persona->get($row['idNino']));
			$objeto->setReglaTamizaje($this->reglaTamizaje->get($row['idReglaTamizaje']));
            $objeto->setUsuario($this->usuario->get($row['idUsuario']));
            
			$tabla[] = $objeto;
		}
		return $tabla;		
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM nino_tamizaje WHERE idNinoTamizaje='".$this->idNinoTamizaje."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>