<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/gestante.php';
class Parto
{	private $idParto = 0; 
	private $idGestante; 
	private $cod_2000; 
	private $fechaAtencion; 
	private $lugar; 
	private $tipo; 
	private $posicion; 
	private $rnv; 
	private $rnm; 
	private $idResponsable; 
	private $idAsistente; 
	private $fechaRegistro; 
	private $observacion; 
	private $estado; 
    
    private $gestante; 
    
    public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
		$this->gestante = new Gestante($con);
	}

	public function getConexion()                              	{	return $this->conexion;	}
	public function getFuncion()                               	{	return new Funciones();	}

	//SETS
	public function setIdParto($idParto)                       	{	$this->idParto = $idParto;	} 
	public function setIdGestante($idGestante)                 	{	$this->idGestante = $idGestante;	} 
	public function setCod_2000($cod_2000)                     	{	$this->cod_2000 = $cod_2000;	} 
	public function setFechaAtencion($fechaAtencion)           	{	$this->fechaAtencion = $fechaAtencion;	} 
	public function setLugar($lugar)                           	{	$this->lugar = $lugar;	} 
	public function setTipo($tipo)                             	{	$this->tipo = $tipo;	} 
	public function setPosicion($posicion)                     	{	$this->posicion = $posicion;	} 
	public function setRnv($rnv)                               	{	$this->rnv = $rnv;	} 
	public function setRnm($rnm)                               	{	$this->rnm = $rnm;	} 
	public function setIdResponsable($idResponsable)           	{	$this->idResponsable = $idResponsable;	} 
	public function setIdAsistente($idAsistente)               	{	$this->idAsistente = $idAsistente;	} 
	public function setFechaRegistro($fechaRegistro)           	{	$this->fechaRegistro = $fechaRegistro;	} 
	public function setObservacion($observacion)               	{	$this->observacion = $observacion;	} 
	public function setEstado($estado)                         	{	$this->estado = $estado;	} 

	//GETS
	public function getIdParto()                               	{	return $this->idParto;	} 
	public function getIdGestante()                            	{	return $this->idGestante;	} 
	public function getCod_2000()                              	{	return $this->cod_2000;	} 
	public function getFechaAtencion()                         	{	return $this->fechaAtencion;	} 
	public function getLugar()                                 	{	return $this->lugar;	} 
	public function getTipo()                                  	{	return $this->tipo;	} 
	public function getPosicion()                              	{	return $this->posicion;	} 
	public function getRnv()                                   	{	return $this->rnv;	} 
	public function getRnm()                                   	{	return $this->rnm;	} 
	public function getIdResponsable()                         	{	return $this->idResponsable;	} 
	public function getIdAsistente()                           	{	return $this->idAsistente;	} 
	public function getFechaRegistro()                         	{	return $this->fechaRegistro;	} 
	public function getObservacion()                           	{	return $this->observacion;	} 
	public function getEstado()                                	{	return $this->estado;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idParto == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO parto (idGestante, cod_2000, fechaAtencion, lugar, tipo, posicion, rnv, rnm, idResponsable, idAsistente, fechaRegistro, observacion, estado)
			VALUES('".$this->idGestante."', '".$this->cod_2000."', '".$this->fechaAtencion."', '".$this->lugar."', '".$this->tipo."', '".$this->posicion."', '".$this->rnv."', '".$this->rnm."', '".$this->idResponsable."', '".$this->idAsistente."', '".$this->fechaRegistro."', '".$this->observacion."', '".$this->estado."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE parto 
			SET idGestante = '".$this->idGestante."', cod_2000 = '".$this->cod_2000."', fechaAtencion = '".$this->fechaAtencion."', 
				lugar = '".$this->lugar."', tipo = '".$this->tipo."', posicion = '".$this->posicion."', 
				rnv = '".$this->rnv."', rnm = '".$this->rnm."', idResponsable = '".$this->idResponsable."', 
				idAsistente = '".$this->idAsistente."', fechaRegistro = '".$this->fechaRegistro."', 
				observacion = '".$this->observacion."', estado = '".$this->estado."'
			WHERE idParto = '".$this->idParto."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM parto ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Parto($this->conex);
				$objeto->setIdParto($row['idParto']);
				$objeto->setIdGestante($row['idGestante']);
				$objeto->setCod_2000($row['cod_2000']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
				$objeto->setLugar($row['lugar']);
				$objeto->setTipo($row['tipo']);
				$objeto->setPosicion($row['posicion']);
				$objeto->setRnv($row['rnv']);
				$objeto->setRnm($row['rnm']);
				$objeto->setIdResponsable($row['idResponsable']);
				$objeto->setIdAsistente($row['idAsistente']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
				$objeto->setObservacion($row['observacion']);
				$objeto->setEstado($row['estado']);
                
                $objeto->setGestante($this->gestante->get($row['idGestante']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM parto WHERE idParto='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Parto($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdParto($datos[0]['idParto']);
				$objeto->setIdGestante($datos[0]['idGestante']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
				$objeto->setLugar($datos[0]['lugar']);
				$objeto->setTipo($datos[0]['tipo']);
				$objeto->setPosicion($datos[0]['posicion']);
				$objeto->setRnv($datos[0]['rnv']);
				$objeto->setRnm($datos[0]['rnm']);
				$objeto->setIdResponsable($datos[0]['idResponsable']);
				$objeto->setIdAsistente($datos[0]['idAsistente']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
				$objeto->setObservacion($datos[0]['observacion']);
				$objeto->setEstado($datos[0]['estado']);
                
                $objeto->setGestante($this->gestante->get($datos[0]['idGestante']));
			}
			return $objeto;
		}
	}
    
    public function getOptionLugar($id = NULL)
    {   $datos = array(array("1", "Institucional"), array("2", "Extramural"), array("3", "Domiciliario"), array("4", "Trayecto"));
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row[0])?"selected='selected'":"";
			$opciones .= " value='".$row[0]."'>";
			$opciones .= $row[1];
			$opciones .= "</option>";
		}
		return $opciones;
    }
    
    public function getOptionTipo($id = NULL)
    {   $datos = array(array("1", "Normal"), array("2", "Cesarea"), array("3", "Agua"));
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row[0])?"selected='selected'":"";
			$opciones .= " value='".$row[0]."'>";
			$opciones .= $row[1];
			$opciones .= "</option>";
		}
		return $opciones;
    }
    
    public function getOptionPosicion($id = NULL)
    {   $datos = array(array("1", "Horizontal"), array("2", "Vertical"), array("9", "No aplica"));
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row[0])?"selected='selected'":"";
			$opciones .= " value='".$row[0]."'>";
			$opciones .= $row[1];
			$opciones .= "</option>";
		}
		return $opciones;
    }
    
    public function getOptionAtendio($id = NULL)
    {   $datos = array(array("1", "Personal de Salud"), array("2", "Partera"), array("3", "Agente Comunitario"), array("4", "Familiar"), array("5", "Otros"));
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row[0])?"selected='selected'":"";
			$opciones .= " value='".$row[0]."'>";
			$opciones .= $row[1];
			$opciones .= "</option>";
		}
		return $opciones;
    }

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM parto WHERE idParto='".$this->idParto."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}