<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Sector
{	private $idSector = 0; 
    private $cod_2000; 
	private $nombre; 
	private $nombreCorto; 
	private $direccion; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()                              	{	return $this->conexion;	}
	public function getFuncion()                               	{	return new Funciones();	}

	//SETS
	public function setIdSector($idSector)                     	{	$this->idSector = $idSector;	} 
    public function setCod_2000($cod_2000)                      {	$this->cod_2000 = $cod_2000;	}
	public function setNombre($nombre)                         	{	$this->nombre = $nombre;	} 
	public function setNombreCorto($nombreCorto)               	{	$this->nombreCorto = $nombreCorto;	} 
	public function setDireccion($direccion)                   	{	$this->direccion = $direccion;	} 

	//GETS
	public function getIdSector()                              	{	return $this->idSector;	} 
    public function getCod_2000()                               {	return $this->cod_2000;	}
	public function getNombre()                                	{	return $this->nombre;	} 
	public function getNombreCorto()                           	{	return $this->nombreCorto;	} 
	public function getDireccion()                             	{	return $this->direccion;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idSector == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO sector (cod_2000, nombre, nombreCorto, direccion)
			VALUES('".$this->cod_2000."', '".$this->nombre."', '".$this->nombreCorto."', '".$this->direccion."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE sector 
			SET nombre = '".$this->nombre."', 
                cod_2000 = '".$this->cod_2000."', 
				nombreCorto = '".$this->nombreCorto."', 
				direccion = '".$this->direccion."'
			WHERE idSector = '".$this->idSector."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM sector ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Sector($this->conex);
				$objeto->setIdSector($row['idSector']);
                $objeto->setCod_2000($row['cod_2000']);
				$objeto->setNombre($row['nombre']);
				$objeto->setNombreCorto($row['nombreCorto']);
				$objeto->setDireccion($row['direccion']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM sector WHERE idSector='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Sector($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdSector($datos[0]['idSector']);
                $objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setNombreCorto($datos[0]['nombreCorto']);
				$objeto->setDireccion($datos[0]['direccion']);
			}
			return $objeto;
		}
	}
    
    public function getOption($id = NULL, $cond = NULL)
    {   $datos = $this->get(NULL, NULL, $cond);		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row->getIdSector())?"selected='selected'":"";
			$opciones .= " value='".$row->getIdSector()."'>";
			$opciones .= htmlentities($row->getNombre());
			$opciones .= "</option>";
		}
		return $opciones;
    }

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM sector WHERE idSector='".$this->idSector."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>