<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Vacuna
{	private $idVacuna = 0;
	private $codigoHis;
	private $nombre; 
	private $tipoAplicacion;
    private $dosis;     
	private $tipoFrecuencia; 
    private $rango;
	private $edadMinima; 
	private $edadMaxima; 
    private $idVacunaParecida;
	private $idVacunaDependencia;
    private $dependenciaParecida; 
    private $coMorbilidad; 
	private $lab2;  
	private $cierre;  
	private $fechaInicio;
	private $fechaCierre;  
	private $his; 
    private $repetir;

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdVacuna($idVacuna)                 	       {	$this->idVacuna = $idVacuna;	} 
	public function setCodigoHis($codigoHis)               	       {	$this->codigoHis = $codigoHis;	} 
	public function setNombre($nombre)                     	       {	$this->nombre = $nombre;	} 
	public function setTipoAplicacion($tipoAplicacion)     	       {	$this->tipoAplicacion = $tipoAplicacion;	} 
	public function setDosis($dosis)                       	       {	$this->dosis = $dosis;	} 
	public function setTipoFrecuencia($tipoFrecuencia)     	       {	$this->tipoFrecuencia = $tipoFrecuencia;	}
    public function setRango($rango)                    	       {	$this->rango = $rango;	} 
	public function setEdadMinima($edadMinima)                     {	$this->edadMinima = $edadMinima;	} 
	public function setEdadMaxima($edadMaxima)                     {	$this->edadMaxima = $edadMaxima;	} 
	public function setIdVacunaParecida($idVacunaParecida)         {	$this->idVacunaParecida = $idVacunaParecida;	} 
	public function setIdVacunaDependencia($idVacunaDependencia)   {	$this->idVacunaDependencia = $idVacunaDependencia;	} 
	public function setDependenciaParecida($dependenciaParecida)   {	$this->dependenciaParecida = $dependenciaParecida;	} 
	public function setCoMorbilidad($coMorbilidad)                 {	$this->coMorbilidad = $coMorbilidad;	} 
	public function setLab2($lab2)                                 {	$this->lab2 = $lab2;	} 
	public function setCierre($cierre)                             {	$this->cierre = $cierre;	} 
	public function setFechaInicio($fechaInicio)                   {	$this->fechaInicio = $fechaInicio;	} 
	public function setFechaCierre($fechaCierre)                   {	$this->fechaCierre = $fechaCierre;	} 
	public function setHis($his)                                   {	$this->his = $his;	} 
	public function setRepetir($repetir)                           {	$this->repetir = $repetir;	} 
	//GETS
	public function getIdVacuna()                                  {	return $this->idVacuna;	} 
    public function getCodigoHis()                                 {	return $this->codigoHis;	}
	public function getNombre()                                    {	return $this->nombre;	} 
	public function getTipoAplicacion()                            {	return $this->tipoAplicacion;	} 
    public function getDosis()                                     {	return $this->dosis;	}
	public function getTipoFrecuencia()                            {	return $this->tipoFrecuencia;	} 
    public function getRango()                                     {	return $this->rango;	}
	public function getEdadMinima()                                {	return $this->edadMinima;	} 
	public function getEdadMaxima()                                {	return $this->edadMaxima;	} 
	public function getIdVacunaParecida()                          {	return $this->idVacunaParecida;	} 
	public function getIdVacunaDependencia()                       {	return $this->idVacunaDependencia;	} 
    public function getDependenciaParecida()                       {	return $this->dependenciaParecida;	}
	public function getCoMorbilidad()                              {	return $this->coMorbilidad;	} 
	public function getLab2()                                      {	return $this->lab2;	} 
	public function getCierre()                                    {	return $this->cierre;	} 
	public function getFechaInicio()                               {	return $this->fechaInicio;	} 
	public function getFechaCierre()                               {	return $this->fechaCierre;	} 
	public function getHis()                                       {	return $this->his;	} 
	public function getRepetir()                                   {	return $this->repetir;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idVacuna == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO vacuna (codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, dependenciaParecida, coMorbilidad, lab2, cierre, fechaInicio, fechaCierre, his, repetir)
			VALUES('".$this->codigoHis."', '".$this->nombre."', '".$this->tipoAplicacion."', '".$this->dosis."', '".$this->tipoFrecuencia."', '".$this->rango."', '".$this->edadMinima."', '".$this->edadMaxima."', '".$this->idVacunaParecida."', '".$this->idVacunaDependencia."', '".$this->dependenciaParecida."', '".$this->coMorbilidad."', '".$this->lab2."', '".$this->cierre."', '".$this->fechaInicio."', '".$this->fechaCierre."', '".$this->his."', '".$this->repetir."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE vacuna 
			SET codigoHis = '".$this->codigoHis."', nombre = '".$this->nombre."', tipoAplicacion = '".$this->tipoAplicacion."', 
				dosis = '".$this->dosis."', tipoFrecuencia = '".$this->tipoFrecuencia."', rango = '".$this->rango."', 
				edadMinima = '".$this->edadMinima."',  edadMaxima = '".$this->edadMaxima."', 
                idVacunaParecida = '".$this->idVacunaParecida."', idVacunaDependencia = '".$this->idVacunaDependencia."',
                dependenciaParecida = '".$this->dependenciaParecida."', coMorbilidad = '".$this->coMorbilidad."', 
				lab2 = '".$this->lab2."', cierre = '".$this->cierre."', fechaInicio = '".$this->fechaInicio."', 
				fechaCierre = '".$this->fechaCierre."', his = '".$this->his."', repetir = '".$this->repetir."'
			WHERE idVacuna = '".$this->idVacuna."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM vacuna ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Vacuna($this->conex);
				$objeto->setIdVacuna($row['idVacuna']);
				$objeto->setCodigoHis($row['codigoHis']);
                $objeto->setNombre($row['nombre']);
				$objeto->setTipoAplicacion($row['tipoAplicacion']);
				$objeto->setDosis($row['dosis']);
				$objeto->setTipoFrecuencia($row['tipoFrecuencia']);
                $objeto->setRango($row['rango']);
				$objeto->setEdadMinima($row['edadMinima']);
				$objeto->setEdadMaxima($row['edadMaxima']);
				$objeto->setIdVacunaParecida($row['idVacunaParecida']);
				$objeto->setIdVacunaDependencia($row['idVacunaDependencia']);
				$objeto->setDependenciaParecida($row['dependenciaParecida']);
				$objeto->setCoMorbilidad($row['coMorbilidad']);
				$objeto->setLab2($row['lab2']);
				$objeto->setCierre($row['cierre']);
				$objeto->setFechaInicio($row['fechaInicio']);
				$objeto->setFechaCierre($row['fechaCierre']);
				$objeto->setHis($row['his']);
				$objeto->setRepetir($row['repetir']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM vacuna WHERE idVacuna='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Vacuna($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdVacuna($datos[0]['idVacuna']);
                $objeto->setCodigoHis($datos[0]['codigoHis']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setTipoAplicacion($datos[0]['tipoAplicacion']);
                $objeto->setDosis($datos[0]['dosis']);
				$objeto->setTipoFrecuencia($datos[0]['tipoFrecuencia']);
                $objeto->setRango($datos[0]['rango']);
				$objeto->setEdadMinima($datos[0]['edadMinima']);
				$objeto->setEdadMaxima($datos[0]['edadMaxima']);
                $objeto->setIdVacunaParecida($datos[0]['idVacunaParecida']);
				$objeto->setIdVacunaDependencia($datos[0]['idVacunaDependencia']);                
				$objeto->setDependenciaParecida($datos[0]['dependenciaParecida']);
				$objeto->setCoMorbilidad($datos[0]['coMorbilidad']);
				$objeto->setLab2($datos[0]['lab2']);
				$objeto->setCierre($datos[0]['cierre']);
				$objeto->setFechaInicio($datos[0]['fechaInicio']);
				$objeto->setFechaCierre($datos[0]['fechaCierre']);
				$objeto->setHis($datos[0]['his']);
				$objeto->setRepetir($datos[0]['repetir']);
			}
			return $objeto;
		}
	}
    
    public function getOption($id = NULL, $cond = NULL)
    {   $datos = $this->get(NULL, NULL, $cond);		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row->getIdVacuna())?"selected='selected'":"";
			$opciones .= " value='".$row->getIdVacuna()."'>";
			$opciones .= htmlentities($row->getNombre());
			$opciones .= "</option>";
		}
		return $opciones;
    }

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM vacuna WHERE idVacuna='".$this->idVacuna."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>