<?php  session_start();
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$fechaAtencion = (isset($_REQUEST["fechaAtencion1"]))?$conF->getFechaYMD($_REQUEST["fechaAtencion1"]):date("Y-m-d", time());
$fechaAtencion2 = (isset($_REQUEST["fechaAtencion2"]))?$conF->getFechaYMD($_REQUEST["fechaAtencion2"]):date("Y-m-d", time());
$fecha = explode("-", $fechaAtencion);
$dia = $fecha[2]; $mes = $fecha[1]; $anio = $fecha[0]; 

$consulta = "SELECT nv.idNino, nv.idVacuna, nv.fechaAtencion, ni.dni, ni.historiaClinica, ni.fechaNacimiento
            , ni.sexo, ni.idEtnia, ni.idFinanciamiento, ni.idUbigeoDireccion, ub.distrito
        FROM nino_vacuna AS nv INNER JOIN nino AS ni ON ni.idNino=nv.idNino
            LEFT JOIN ubigeo AS ub ON ub.idUbigeo=ni.idUbigeoDireccion
        WHERE nv.fechaAtencion>='".$fechaAtencion."' AND nv.fechaAtencion<='".$fechaAtencion2."' AND idUsuario='".$_SESSION["idUsuario"]."'
        GROUP BY nv.idNino, nv.fechaAtencion ORDER BY nv.fechaAtencion ASC, nv.idNino ASC, nv.idVacuna ASC";
$datosNV = $conC->datosTabla($consulta);

$datosU = $conU->get($_SESSION["idUsuario"]);
$nombre = array("GiP"=>"Ganancia Inadecuada de Peso", "DA"=>"Desnutrici&oacute;n Aguda", "SP"=>"Sobrepeso"
            , "GiT"=>"Ganancia Inadecuada de Talla", "TA"=>"Talla Alta", "TB"=>"Desnutrici&oacute;n Cr&oacute;nica"
            , "TS"=>"Desnutrici&oacute;n Cr&oacute;nica", "DS"=>"Desnutrici&oacute;n Severa", "OB"=>"Obesidad");
$codigo = array("GiP"=>"Z724", "DA"=>"E440", "SP"=>"E660", "GiT"=>"Z724", "TA"=>"E344"
            , "TB"=>"E45X", "TS"=>"E45X", "DS"=>"E43X", "OB"=>"E669");
$meses = array("01"=>"Ene", "02"=>"Feb", "03"=>"Mar", "04"=>"Abr", "05"=>"May", "06"=>"Jun", "07"=>"Jul", "08"=>"Ago", "09"=>"Sep", "10"=>"Oct", "11"=>"Nov", "12"=>"Dic");

$arrayPR = array("nombre"=>"", "p"=>"P", "d"=>"D", "r"=>"R", "lab"=>"PR", "codigo"=>"");

/** PHPExcel_IOFactory */
require_once '../modelo/clases/Classes_Excel/PHPExcel/IOFactory.php';



$objPHPExcel = PHPExcel_IOFactory::load("FORMATO_HIS_MIS_DIARIO.xls");
//$objPHPExcel = new PHPExcel();

$objPHPExcel->getActiveSheet("hoja1");

$objPHPExcel->getActiveSheet()->setCellValue('B8', substr($anio,2,2));
$objPHPExcel->getActiveSheet()->setCellValue('C8', $meses[$mes]);

$objPHPExcel->getActiveSheet()->setCellValue('O8', $datosU->getDni()." - ".$datosU->getPaterno());



$i=15;      $iii = 0;   $ij = 0;    $id = 0;    $serie = 15;
$renglones = 0; $band=0;    $XX = "";  $YY = "";
foreach($datosNV as $item)
{   
    $diag = array();  
    
    $consulta = "SELECT nv.idNino, nv.idVacuna, nv.fechaAtencion, va.codigoHis, va.nombre, va.dosis                    	
            FROM nino_vacuna AS nv INNER JOIN vacuna AS va ON nv.idVacuna=va.idVacuna                    	
            WHERE nv.fechaAtencion='".$item["fechaAtencion"]."' AND idUsuario='".$_SESSION["idUsuario"]."'
                AND nv.idNino='".$item["idNino"]."'
            ORDER BY nv.idVacuna ASC";
    $datosVA = $conC->datosTabla($consulta);
                
    foreach($datosVA as $linea)
    {   $temp = array("nombre"=>$linea["nombre"], "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$linea["dosis"], "codigo"=>$linea["codigoHis"]);
        $diag[] = $temp;                    
    }
         
    $k = 0; $j = 0; $plantilla = "";      
    $aa = ceil(count($diag)/3);
    $max = ($id==0)?12:13;
    if($ij + $aa >$max)
    {   $i = ($id==0)?($serie+71):($serie+86);
        $serie = $i;
        $id = ($id==0)?1:0;
        $ij=0;
    }    
    $ij += $aa;     $j = $i;
    foreach($diag as $linea)
    {   $k++;     
        if(($j-$i) == 5)  $i = $j;    
        if($k==1)
        {   $objPHPExcel->getActiveSheet()->setCellValue('B'.$i, date("d", strtotime($item["fechaAtencion"])));                     
            $objPHPExcel->getActiveSheet()->setCellValue('C'.$i, $item["historiaClinica"]);           
            $objPHPExcel->getActiveSheet()->setCellValue('C'.($i+2), $item["dni"]);
            $objPHPExcel->getActiveSheet()->setCellValue('D'.($i), $item["idFinanciamiento"]);            
            $objPHPExcel->getActiveSheet()->setCellValue('E'.($i), $item["idEtnia"]);
            $objPHPExcel->getActiveSheet()->setCellValue('F'.($i), $item["distrito"]);            
            
            $objPHPExcel->getActiveSheet()->setCellValue('I'.($i), $conF->calculo_edad($item["fechaNacimiento"], $item["fechaAtencion"]));
            $objPHPExcel->getActiveSheet()->getStyle('J'.(($item["sexo"]=='M')?$i:($i+2)))->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
            $objPHPExcel->getActiveSheet()->getStyle('J'.(($item["sexo"]=='M')?$i:($i+2)))->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
            
                $condA = "idNino='".$item["idNino"]."' AND fechaAtencion<'".$fechaAtencion."' ";
            $datosNCA = $conNC->get(NULL, NULL, $condA, 1, "fechaAtencion DESC");
            if(count($datosNCA)>0)
            {   $anioA = date("Y", strtotime($datosNCA[0]->getFechaAtencion()));
                if($anio!=$anioA)     $nca = $i+3;
                else     $nca = $i+1;                
            }
            else    $nca = $i;  
            $objPHPExcel->getActiveSheet()->getStyle('K'.$nca)->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
            $objPHPExcel->getActiveSheet()->getStyle('K'.$nca)->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
            $objPHPExcel->getActiveSheet()->getStyle('L'.$nca)->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
            $objPHPExcel->getActiveSheet()->getStyle('L'.$nca)->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
            
            $iii++;
        }                    
        
        $objPHPExcel->getActiveSheet()->setCellValue('N'.($j), utf8_encode($linea["nombre"]));    
        $objPHPExcel->getActiveSheet()->setCellValue('T'.($j), $linea["lab"]);
        $objPHPExcel->getActiveSheet()->setCellValue('U'.($j), $linea["codigo"]);
        if(strlen($linea["p"])>1)   $LTD = "Q";
        if(strlen($linea["d"])>1)   $LTD = "R";
        if(strlen($linea["r"])>1)   $LTD = "S";          
        $objPHPExcel->getActiveSheet()->getStyle($LTD.($j))->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
        $objPHPExcel->getActiveSheet()->getStyle($LTD.($j))->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
                
//        if($j==3)
//        {   $j=0;                        
//            $aux = $conF->replace_form($aux, $variables, $valores);
//            $plantilla .= $aux;
//        }
        if($i == $j)    $j+=1;
        else            $j+=2;
    } 
    $i+=5;
    if($i>70 && $i<86)   $i = 86;
}

$archivo = "his_vacuna_OK";
//
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="'.$archivo.'.xls"');
header('Cache-Control: max-age=0');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  

//header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
//header('Content-Disposition: attachment;filename="'.$segundo.'.xlsx"');
//header('Cache-Control: max-age=0');
//$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');

$objWriter->save('php://output'); 
exit;

?>

