<?php   session_start();    error_reporting(E_ALL);
ini_set("memory_limit","256M");     ini_set('max_execution_time', 600);
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();	
//
include $dirClaseNinoCred;		$con = new NinoCred($conex);	$conC = $con->getConexion();	$conF = $con->getFuncion();
$fecha1 = date("Y-m-", time())."01";    $anio = date("Y", time()); $mes = date("m", time());  $dia = date("d", time()); 
if(isset($_REQUEST["fecha1"]))  $fecha1 = $_REQUEST["fecha1"];
    
$diasMes = $conF->diasMes($mes, $anio);   $fecha2 = date("Y-m-", time()).$diasMes;
if(isset($_REQUEST["fecha2"]))  $fecha2 = $_REQUEST["fecha2"];
        
$consulta = "SELECT * FROM parametro ORDER BY idParametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);

$anio = date("Y", time());  $mes = date("m", time());


$datosR = $con->getRegla()->get(NULL, NULL, "tiporEGLA='CRED'");
$query = "SELECT t1.descarte, if(meses<12,0,if(meses<24,1,if(meses<36,2,if(meses<48,3,if(meses<60,4,5))))) AS anio
        , count(t1.idNino) AS cantidad
    FROM (  SELECT * FROM ( 
				SELECT nt.idNino, nt.idReglaTamizaje, ni.fechaNacimiento, obteneredad(ni.fechaNacimiento, 4, nt.fechaAtencion) AS meses
                    , if(nt.idReglaTamizaje=13,'H',if(nt.idReglaTamizaje=23,'S','P')) AS descarte
                FROM nino_tamizaje AS nt INNER JOIN nino AS ni ON ni.idNino=nt.idNino
                WHERE nt.fechaAtencion>='".$fecha1."' AND nt.fechaAtencion<='".$fecha2."'
                GROUP BY idNino, idreglaTamizaje, numeroControl               
			) AS t0
			group by idNino, descarte
        ) AS t1 WHERE meses>5     GROUP BY t1.descarte, anio ORDER BY descarte ASC, anio ASC";
//echo $query;
$datosTD = $con->getConexion()->datosTabla($query); /* Datos Tamizaje Descarte*/

$query = "SELECT if(t1.meses<6, if(t1.meses<4,'4','0'), if(t1.meses<12, '1', if(t1.meses<24, '2', if(t1.meses<36, '3', '4')))) AS mmn
    	, if(t1.meses<7, '1', if(t1.meses<12, '2', if(t1.meses<59, '3', '4'))) AS zinc
    	, if(t1.meses<12, '1', if(t1.meses<24, '2', if(t1.meses<36, '3', if(t1.meses<48, '4', if(t1.meses<60, '5', '6'))))) AS vitA
    	, if(t1.meses<6, '4', if(t1.meses<12, '1', if(t1.meses<24, '2', if(t1.meses<36, '3', '4')))) AS sulf
    	, t1.*
    FROM (	SELECT obtenerEdad(ni.fechaNacimiento, 4, ns.fechaAtencion) AS meses
    		, ns.idNino, ns.idRegla, ns.numeroControl, ns.fechaAtencion
    	FROM nino_suplemento AS ns INNER JOIN nino AS ni ON ni.idNino=ns.idNino 
        WHERE ns.estado>='1' AND ns.numeroControl<13 AND ns.fechaAtencion>='".$fecha1."' AND ns.fechaAtencion<='".$fecha2."' ) AS t1";
//echo ($query);
$datosSC = $con->getConexion()->datosTabla($query); /* Datos Suplementos */
                        
$query = "SELECT count(nc.idNinoCred)
        FROM nino_cred AS nc
             INNER JOIN nino AS ni ON ni.idNino=nc.idNino
        WHERE obtenerEdad(ni.fechaNacimiento, 4, nc.fechaAtencion)='6' AND nc.lme='1'
            AND nc.fechaAtencion>='".$fecha1."' AND nc.fechaAtencion<='".$fecha2."'";
$datosLME = $con->getConexion()->datosTabla($query);

$query = "SELECT t1.meses, count(t1.meses) as cantidad
        FROM (	SELECT obtenerEdad(ni.fechaNacimiento, 4, nc.fechaAtencion) as meses
        	FROM nino_cred AS nc   INNER JOIN nino AS ni ON ni.idNino=nc.idNino
        	WHERE nc.consejeriaNutricional='1' AND nc.estado='1'   
                AND nc.fechaAtencion>='".$fecha1."' AND nc.fechaAtencion<='".$fecha2."'
        	) AS t1 GROUP BY meses  ORDER BY meses ASC";
$datosCN = $con->getConexion()->datosTabla($query);

$query = "SELECT  t1.transtorno
            , if(t1.meses<12, '0', if(t1.meses<24, '1', if(t1.meses<36, '2', if(t1.meses<48, '3'
                , if(t1.meses<60, '4', '5'))))) AS rango     
            , count(t1.idNino) AS cantidad
        FROM (	SELECT obtenerEdad(ni.fechaNacimiento, 4, np.fechaAtencion) AS meses 
                    , np.idNino, np.idPsicomotor, np.fechaAtencion 
                    , if(np.estado='ED','0','1') AS transtorno 
                FROM nino_psicomotor AS np INNER JOIN nino AS ni ON ni.idNino=np.idNino 
                WHERE np.fechaAtencion>='".$fecha1."' AND np.fechaAtencion<='".$fecha2."'
                GROUP BY np.fechaAtencion, np.idNino, transtorno
            ) AS t1 
        GROUP BY rango, t1.transtorno
        ORDER BY t1.transtorno ASC, rango ASC";
//echo $query;
$datosNP = $con->getConexion()->datosTabla($query);

$query = "SELECT t1.anio, count(t1.anio) AS cantidad
        FROM (SELECT obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) AS anio
            FROM nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino
            WHERE nc.numeroControl='1' AND nc.estado='1'
                AND fechaAtencion>='".$fecha1."' AND fechaAtencion<='".$fecha2."'
            GROUP BY nc.idNino ) AS t1 WHERE t1.anio<12 GROUP BY t1.anio";
$datosPais1 = $con->getConexion()->datosTabla($query);

$query = "SELECT t1.anio, count(t1.anio) AS cantidad
        FROM ( SELECT obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) AS anio
            FROM nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino
                INNER JOIN regla AS re ON re.idRegla=nc.idregla AND re.cantidadMaxima=nc.numeroControl
            WHERE nc.estado='1' AND fechaAtencion>='".$fecha1."' AND fechaAtencion<='".$fecha2."'
            GROUP BY nc.idNino ) AS t1  WHERE t1.anio<12 GROUP BY t1.anio";
$datosPais2 = $con->getConexion()->datosTabla($query);

$query = "SELECT t1.descarte, if(meses<12,0,if(meses<24,1,if(meses<36,2,if(meses<48,4,5)))) AS anio
	, count(t1.idNino) AS cantidad
FROM (SELECT ni.historiaClinica, nt.resultado, nt.idNino, nt.idReglaTamizaje, ni.fechaNacimiento
		, obteneredad(ni.fechaNacimiento, 4, nt.fechaAtencion) AS meses
		, if(nt.idReglaTamizaje=13,'H','P') AS descarte
	FROM nino_tamizaje AS nt INNER JOIN nino AS ni ON ni.idNino=nt.idNino
	WHERE nt.fechaAtencion>='".$fecha1."' AND nt.fechaAtencion<='".$fecha2."' 
		AND resultado>0 AND (resultado<100 OR resultado='101') AND nt.idReglaTamizaje!='23'
	GROUP BY idNino, idreglaTamizaje, numeroControl
	) AS t1      GROUP BY t1.descarte, anio ORDER BY descarte ASC, anio ASC"; //echo $query;
$datosAnemia = $con->getConexion()->datosTabla($query); /* Datos Tamizaje Anemia*/

 $query = "SELECT idRegla, estimulacion, count(idNinoCred) AS cantidad FROM nino_cred AS nc
    WHERE estimulacion>0 AND (estado='1' OR estado='2' )
    	AND fechaAtencion>='".$fecha1."' AND fechaAtencion<='".$fecha2."'
    GROUP BY idRegla, estimulacion";
$datosEstimulacion = $con->getConexion()->datosTabla($query); /* Datos Estimulacion*/

$fecha = date("Y-m-d", time());

?>

<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            .table1, .table1 th , .table1 td{
                border: 1px solid black;
                border-collapse: collapse;
                font-size: 9px;
            }
            .tam50{ width: 50px;    }   .tam100{ width: 100px;    }
            .center {     text-align: center;}
            .margin_auto {  margin-left: auto; margin-right: auto;  }
            .bo_izq { border-left: 1px solid black; }
            .bo_der { border-right: 1px solid black; }
            .bo_aba { border-bottom: 1px solid black; }            
            .f4 { font-size: 4px; }  .f5 { font-size: 5px; }       .f6 { font-size: 6px; }   .f7 { font-size: 7px; }
            .f8 { font-size: 8px; }  .f9 { font-size: 9px; }       .f10 { font-size: 10px; } .f11 { font-size: 11px; }
            .f12 { font-size: 12px; }   .f13 { font-size: 13px; }  .f14 { font-size: 14px; }   .f15 { font-size: 15px; }
            .f16 { font-size: 16px; }   .f17 { font-size: 17px; }  .f18 { font-size: 18px; }   .f19 { font-size: 19px; }
            .f20 { font-size: 20px; }   .f21 { font-size: 21px; }  .f22 { font-size: 22px; }   .f23 { font-size: 23px; }
            .f24 { font-size: 24px; }   .f25 { font-size: 25px; }  .f26 { font-size: 26px; }   .f27 { font-size: 27px; } 
            .f28 { font-size: 28px; }   .f29 { font-size: 29px; }  .f30 { font-size: 30px; }   .f31 { font-size: 31px; }
            .borde { border: 1px solid black;   }
            .fl_der { float:right}  .fl_izq { float:left} .limpiar { clear: both;}
            .back_color {   background-color: black; color:  white; }
            .back_gris  {   background-color: gainsboro;    }
            .leftBold { text-align: left; font-weight: bold; font-size: 10px; }
            .align-center { text-align: center; }
            
            @media screen { 
                h6.footer { 
                    display: none; 
                } 
            }
            @media print {
               /*#copyfin {   margin-top: 600px;   }*/
                 
                h6.footer { 
                    position: fixed; 
                    bottom: 0; 
                }
            }
        </style>         
     
    </head>
	
    <body style="font-family: sans-serif;"> 
        <h3 style="text-align: center;">REPORTE MENSUAL DE ACTIVIDADES<br />ATENCIN INTEGRAL DE SALUD DEL NIO</h3>
        <div><strong>Periodo: </strong><?php echo date("d/m/Y", strtotime($fecha1)); ?> - <?php echo date("d/m/Y", strtotime($fecha2)); ?></div>
        <div><strong>EE. SS. :</strong> <?php echo $datosP[0]["valor"]." - ".$datosP[1]["valor"]; ?> </div>
        <br />
        <table style="width: 100%   ;">
            <tr>
                <td style="width: 100%;" colspan="3" > 
                    <table class="table1" style="width: 100%;" id="data-table1">
                        <caption class="leftBold">I. CONTROL DE CRECIMIENTO Y DESARROLLO (Z00.1)</caption>
                        <thead>   <tr><th rowspan="2" class="tdInforme">Grupo de Edad</th>
                                      <th colspan="12" class="tdInforme">Controles</th>                        
                                  </tr>
                            <tr class="align-center">
                                <th class="tdInforme">1&deg;</th><th class="tdInforme">2&deg;</th><th class="tdInforme">3&deg;</th>
                                <th class="tdInforme">4&deg;</th><th class="tdInforme">5&deg;</th><th class="tdInforme">6&deg;</th>
                                <th class="tdInforme">7&deg;</th><th class="tdInforme">8&deg;</th><th class="tdInforme">9&deg;</th>
                                <th class="tdInforme">10&deg;</th><th class="tdInforme">11&deg;</th><th class="tdInforme">Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php   $i = 0; 
                              foreach($datosR as $item)	{   $i=0;
                                if($item->getIdRegla()!=0)	{?>
                        		  <tr class="gradeX">
                                    <td style="font-weight: bold;"><?php echo "&nbsp;&nbsp;".$item->getNombre();?></td>
                                    <?php   $total = 0;                                        
                                      for($j=1;$j<=$item->getCantidadMaxima();$j++)
                                      { $query = "SELECT nc.idNino FROM nino_cred AS nc inner join nino as ni ON ni.idNino=nc.idNino
                                            WHERE idregla='".$item->getIdRegla()."' AND numeroControl='".$j."' AND (estado='1' OR estado='3') AND peso>0
                                                AND nc.fechaAtencion>='".$fecha1."' AND nc.fechaAtencion<='".$fecha2."' GROUP BY nc.idNino ";
                                        $datosNC = $conC->datosTabla($query);    
                                        echo "<td style=\"text-align: center;\">";
                                        echo count($datosNC)."</td>";
                                        $total += count($datosNC);
                                      }
                                      if($j<=11)
                                        echo "<td colspan='".(12-$j)."'  style=\"background: lightgray;\">&nbsp</td>";
                                    ?>
                                    <td class="center"><?php echo $total;?></td>                                    
                                  </tr>
                      		<?php } 	}?>
                        </tbody>
                    </table><br />
                </td> 
            </tr>
            <tr>
                <td style="width: 100%;" colspan="3">
                    <table  style="width: 100%;" class="table1" id="data-table-tamizaje">
                        <caption class="leftBold">II. TAMIZAJE</caption>
                        <thead> <tr class="align-center">
                                    <th class="tdInforme">&nbsp;</th><th class="tdInforme">RN</th><th class="tdInforme">6m</th>
                                    <th class="tdInforme">1a</th><th class="tdInforme">2a</th><th class="tdInforme">3a</th>
                                    <th class="tdInforme">4a</th><th class="tdInforme">5-11a</th><th class="tdInforme">Total</th>                        
                                </tr>
                        </thead>
                        <tbody>
                            <tr> <td>Tamizaje Neonatal * (Z13.8)</td>   <td class="align-center">0</td>
                                <td colspan="6" style="background: lightgray;">&nbsp;</td>
                                <td class="center">0</td>
                            </tr>
                        <?php   $desH = array(0,0,0,0,0,0); $desP = array(0,0,0,0,0,0);
                            foreach($datosTD as $item)
                            {   if($item["descarte"]=="H")  $desH[$item["anio"]] = $item["cantidad"];
                                if($item["descarte"]=="P")  $desP[$item["anio"]] = $item["cantidad"];
                            }   $total = 0;                        
                        ?>
                            <tr>
                                <td>Descarte de Anemia (Z01.7)</td>
                                <td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $desH[0]; $total += $desH[0];?></td> <td class="align-center"><?php echo $desH[1]; $total += $desH[1];?></td>
                                <td class="align-center"><?php echo $desH[2]; $total += $desH[2];?></td> <td class="align-center"><?php echo $desH[3]; $total += $desH[3];?></td>
                                <td class="align-center"><?php echo $desH[4]; $total += $desH[4];?></td> <td class="align-center"><?php echo $desH[5]; $total += $desH[5];?></td>
                                <td class="center"><?php echo $total;    $total = 0; ?></td>
                            </tr>                    
                            <tr>
                                <td>Descarte de Parasitosis (Z11.9)</td>
                                <td colspan="2" style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $desP[1]; $total += $desP[1];?></td> <td class="align-center"><?php echo $desP[2]; $total += $desP[2];?></td>
                                <td class="align-center"><?php echo $desP[3]; $total += $desP[3];?></td> <td class="align-center"><?php echo $desP[4]; $total += $desP[4];?></td>
                                <td class="align-center"><?php echo $desP[5]; $total += $desP[5];?></td>
                                <td class="center"><?php echo $total;?></td>
                            </tr>
                        </tbody>
                    </table><br />
                </td>
            </tr>
            <tr>
                <td style="width: 45%; vertical-align: top;">
                    <table class="table1"  style="width: 100%;" id="data-table-sulf">
                        <caption class="leftBold">III. ADMINISTRACI&Oacute;N DE MICRONUTRIENTES (Z29.8)</caption>
                        <?php   $suplSFG = array(array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0)); 
                                $suplMmn = array(array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0), array(0,0,0,0,0,0,0,0,0,0,0,0,0)); 
                                $suplZinc = array(0,0,0,0,0,0);
                                $suplVitA = array(array(0,0,0), array(0,0,0), array(0,0,0), array(0,0,0), array(0,0,0), array(0,0,0), array(0,0,0));
                                $suplSulf = array(array(0,0,0,0,0,0), array(0,0,0,0,0,0), array(0,0,0,0,0,0), array(0,0,0,0,0,0), array(0,0,0,0,0,0));
                            foreach($datosSC as $item)
                            {   if($item["idRegla"]=="8")   $suplSFG[$item["mmn"]][$item["numeroControl"]] = $suplSFG[$item["mmn"]][$item["numeroControl"]]+1;
                                if($item["idRegla"]=="9")   $suplMmn[$item["mmn"]][$item["numeroControl"]] = $suplMmn[$item["mmn"]][$item["numeroControl"]]+1;
                                if($item["idRegla"]=="10")  {   if($item["numeroControl"] % 2 == 0)     $suplVitA[$item["vitA"]][2] = $suplVitA[$item["vitA"]][2]+1;                               else  $suplVitA[$item["vitA"]][1] = $suplVitA[$item["vitA"]][1]+1;           }
                                if($item["idRegla"]=="11")  {   $res = $item["numeroControl"] % 5; $suplSulf[$item["sulf"]][($res==0)?5:$res]++;       }
                                if($item["idRegla"]=="12")  {   $suplZinc[$item["zinc"]]++;    }   
                                                                
                                //if($item["descarte"]=="P")  $desP[$item["anio"]] = $item["cantidad"];
                            }   $total = 0;                        
                        ?>
                        <thead>                        
                            <tr class="align-center">
                                <th class="tdInforme" rowspan="2">Grupo de Edad</th>
                                <th class="tdInforme" colspan="5">Suplemento de Hierro (Z29.8)</th>         
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme">1ra Frasco</th><th class="tdInforme">2do Frasco</th>         
                                <th class="tdInforme">3er Frasco</th><th class="tdInforme">4to Frasco</th>
                                <th class="tdInforme">5to Frasco</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td>RN < 2,500 gr.</td>
                                <td class="align-center">0</td><td class="align-center">0</td>
                                <td colspan="3" style="background: lightgray;">&nbsp;</td>
                            </tr>
                            <tr><td>6 a 11 meses</td>
                                <td class="align-center"><?php echo $suplSulf[1][1]; ?></td><td class="align-center"><?php echo $suplSulf[1][2]; ?></td>
                                <td class="align-center"><?php echo $suplSulf[1][3]; ?></td><td class="align-center"><?php echo $suplSulf[1][4]; ?></td>
                                <td class="align-center"><?php echo $suplSulf[1][5]; ?></td>
                            </tr>
                            <tr><td>12 a 23 meses</td>
                                <td class="align-center"><?php echo $suplSulf[2][1]; ?></td><td class="align-center"><?php echo $suplSulf[2][2]; ?></td>
                                <td class="align-center"><?php echo $suplSulf[2][3]; ?></td><td class="align-center"><?php echo $suplSulf[2][4]; ?></td>
                                <td class="align-center"><?php echo $suplSulf[2][5]; ?></td>
                            </tr>
                            <tr><td>24 a 35 meses</td>
                                <td class="align-center"><?php echo $suplSulf[3][1]; ?></td><td class="align-center"><?php echo $suplSulf[3][2]; ?></td>
                                <td class="align-center"><?php echo $suplSulf[3][3]; ?></td><td class="align-center"><?php echo $suplSulf[3][4]; ?></td>
                                <td class="align-center"><?php echo $suplSulf[3][5]; ?></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
                <td style="width: 30%; vertical-align: top;" >
                    <table class="table1" style="width: 100%;"  id="data-table-vitA">
                        <caption class="leftBold">_&nbsp;</caption>
                        <thead>                        
                            <tr class="align-center">
                                <th class="tdInforme" rowspan="2">Grupo de Edad</th>
                                <th class="tdInforme" colspan="2">Vitamina "A" (Z29.8)</th>         
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme">1ra Dosis</th>
                                <th class="tdInforme">2da Dosis</th>         
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td>6 meses</td>
                                <td class="align-center"><?php echo $suplVitA[1][1]; ?></td>
                                <td style="background: lightgray;">&nbsp;</td>
                            </tr>
                            <tr><td>1a (12 - 18m)</td>
                                <td class="align-center"><?php echo $suplVitA[2][1]; ?></td><td class="align-center"><?php echo $suplVitA[2][2]; ?></td>
                            </tr>
                            <tr><td>2a (24 - 30m)</td>
                                <td class="align-center"><?php echo $suplVitA[3][1]; ?></td><td class="align-center"><?php echo $suplVitA[3][2]; ?></td>
                            </tr>
                            <tr><td>3a (36 - 42m)</td>
                                <td class="align-center"><?php echo $suplVitA[4][1]; ?></td><td class="align-center"><?php echo $suplVitA[4][2]; ?></td>
                            </tr>
                            <tr><td>4a (48 - 54m)</td>
                                <td class="align-center"><?php echo $suplVitA[5][1]; ?></td><td class="align-center"><?php echo $suplVitA[5][2]; ?></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
                <td style="width: 25%; vertical-align: top;">
                    <table class="table1" style="width: 100%;"  id="data-table-zinc">
                        <caption class="leftBold">_ &nbsp;</caption>
                        <thead>   <tr class="align-center">
                                    <th class="tdInforme" rowspan="2">Grupo de Edad</th>
                                    <th class="tdInforme">Zinc (Z29.8)</th>         
                                  </tr>
                            <tr class="align-center">  <th class="tdInforme">Inicio</th>   </tr>
                        </thead>
                        <tbody>
                            <tr><td>Menor de 6 meses</td> <td class="align-center"><?php echo $suplZinc[1]; ?></td> </tr>
                            <tr><td>7 meses a 11 meses</td> <td class="align-center"><?php echo $suplZinc[2]; ?></td> </tr>
                            <tr><td>1 a&ntilde;o a 4 a&ntilde;os</td> <td class="align-center"><?php echo $suplZinc[3]; ?></td> </tr>
                            <tr><td>5 a&ntilde;os a 11 a&ntilde;os</td> <td class="align-center"><?php echo $suplZinc[4]; ?></td> </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td style="width: 100%; vertical-align: top;" colspan="3" >
                    <table class="table1" style="width: 100%;" id="data-table-mmn">
                        <caption class="leftBold">&nbsp;</caption>
                        <thead>                        
                            <tr class="align-center">
                                <th class="tdInforme" rowspan="2">Grupo de Edad</th>
                                <th class="tdInforme" colspan="12">Suplementaci&oacute;n con Micro Nutriente (Z29.8)<br />Dosis</th>         
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme">1ra</th><th class="tdInforme">2da</th><th class="tdInforme">3ra</th>
                                <th class="tdInforme">4ta</th><th class="tdInforme">5ta</th><th class="tdInforme">6ta</th>
                                <th class="tdInforme">7ma</th><th class="tdInforme">8va</th><th class="tdInforme">9na</th>
                                <th class="tdInforme">10ma</th><th class="tdInforme">11va</th><th class="tdInforme">12va</th>        
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td>4 a 5 Meses (SF Gotas)</td>
                                <td class="align-center"><?php echo $suplSFG[0][1]; ?></td><td class="align-center"><?php echo $suplSFG[0][2]; ?></td>
                                <td colspan="10" style="background: lightgray;">&nbsp;</td>
                            </tr>
                            <tr><td>6 a 11 Meses (M.M.N.)</td>
                                <?php for($k=1;$k<=6;$k++) echo "<td class=\"align-center\">".$suplMmn[1][$k]."</td>"; ?>
                                <td colspan="6" style="background: lightgray;">&nbsp;</td>
                            </tr>
                            <tr><td>12 a 23 Meses (M.M.N.)</td>
                                <?php for($k=1;$k<=12;$k++) echo "<td class=\"align-center\">".$suplMmn[2][$k]."</td>"; ?>
                            </tr>
                            <tr><td>24 a 35 Meses (M.M.N.)</td>
                                <?php for($k=1;$k<=12;$k++) echo "<td class=\"align-center\">".$suplMmn[3][$k]."</td>"; ?>
                            </tr>
                        </tbody>
                    </table><br />
                </td>
            </tr>
            <tr>
                <td style="width: 100%; vertical-align: top;" colspan="3" >
                    <table class="table1" style="width: 100%;" id="data-tableLME">
                        <caption class="leftBold">IV. LACTANCIA MATERNA EXCLUSIVA (Z39.1)</caption>                    
                        <tbody>
                            <tr><td>* Se registra solo al sexto mes </td> <td>Ni&ntilde;os con LME a los 6 meses : </td>
                                <td class="align-center"><?php echo ($datosLME[0][0]>0)?$datosLME[0][0]:"-";?></td>                            
                            </tr>
                        </tbody>
                    </table><br />
                </td>
            </tr>
            <tr>
                <td style="width: 100%; vertical-align: top;" colspan="3" >
                    <table class="table1" style="width: 100%;" id="data-tableLME">
                        <caption class="leftBold">V. EVALUACI&Oacute;N DEL ESTADO NUTRICIONAL</caption>
                        <?php   $aux = array();
                            $EEN = array("N" =>array(0,0,0,0,0,0)
                                , "GiP" =>array(0,0,0,0,0,0), "GiPR" =>array(0,0,0,0,0,0), "GiT" =>array(0,0,0,0,0,0), "GiTR" =>array(0,0,0,0,0,0)
                                , "SP" =>array(0,0,0,0,0,0), "SPR" =>array(0,0,0,0,0,0), "DA" =>array(0,0,0,0,0,0), "DAR" =>array(0,0,0,0,0,0)
                                , "DC" =>array(0,0,0,0,0,0), "DCR" =>array(0,0,0,0,0,0), "OB" =>array(0,0,0,0,0,0), "OBR" =>array(0,0,0,0,0,0) );
                            $query = "SELECT obtenerEdad(ni.fechaNacimiento, 1, 0) AS edad, nc.fechaAtencion
                                    , nc.idNinoCred, nc.idNino, ni.historiaClinica
                                    , nc.pesoEdad, nc.tallaEdad, nc.tallaPeso FROM nino_cred as nc inner join nino as ni on ni.idNino=nc.idNino
                                WHERE nc.fechaAtencion>='".$fecha1."' AND nc.fechaAtencion<='".$fecha2."' AND nc.estado!='0' AND nc.estado!='3'";
                            $datosNCC = $conC->datosTabla($query);
                            foreach($datosNCC AS $item)
                            {   if($item["edad"]<6)
                                {   if($item["pesoEdad"]=="GiP") $EEN["GiP"][$item["edad"]]++;
                                    if($item["pesoEdad"]=="DA") $EEN["DA"][$item["edad"]]++;
                                    if($item["pesoEdad"]=="SP") $EEN["SP"][$item["edad"]]++;
                                    if($item["pesoEdad"]=="N" or $item["tallaEdad"]=="N" or $item["tallaPeso"]=="N")
                                    {   $cond = "idNino='".$item["idNino"]."';;fechaAtencion<'".$item["fechaAtencion"]."';;estado!='3'";
                                        $datosNCCA = $con->get(NULL, NULL, $cond, 1, "fechaAtencion DESC");
                                        if(count($datosNCCA)>0)
                                        {   if($item["pesoEdad"]=="N" && $datosNCCA[0]->getPesoEdad()=="GiP") $EEN["GiPR"][$item["edad"]]++;   
                                            if($item["pesoEdad"]=="N" && $datosNCCA[0]->getPesoEdad()=="DA") $EEN["DAR"][$item["edad"]]++;
                                            if($item["pesoEdad"]=="N" && $datosNCCA[0]->getPesoEdad()=="SP") $EEN["SPR"][$item["edad"]]++;
                                            if($item["tallaEdad"]=="N" && $datosNCCA[0]->getTallaEdad()=="GiT") $EEN["GiTR"][$item["edad"]]++;
                                            if($item["tallaEdad"]=="N" && $datosNCCA[0]->getTallaEdad()=="TB") $EEN["DCR"][$item["edad"]]++;
                                            if($item["tallaEdad"]=="N" && $datosNCCA[0]->getTallaEdad()=="TS") $EEN["DCR"][$item["edad"]]++;
                                            if($item["tallaPeso"]=="N" && $datosNCCA[0]->getTallaEdad()=="OB") $EEN["OBR"][$item["edad"]]++;
                                            if($item["tallaPeso"]=="N" && $datosNCCA[0]->getTallaEdad()=="DA") $EEN["DAR"][$item["edad"]]++;
                                            if($item["tallaPeso"]=="N" && $datosNCCA[0]->getTallaEdad()=="DS") $EEN["DAR"][$item["edad"]]++;
                                            if($item["tallaPeso"]=="N" && $datosNCCA[0]->getTallaPeso()=="SP") $EEN["SPR"][$item["edad"]]++;
                                        }    
                                    }                                 
                                    if($item["tallaEdad"]=="GiT") $EEN["GiT"][$item["edad"]]++;
                                    if($item["tallaEdad"]=="TB") $EEN["DC"][$item["edad"]]++;
                                    if($item["tallaEdad"]=="TS") $EEN["DC"][$item["edad"]]++;                                   
                                    if($item["tallaPeso"]=="DA" && $item["pesoEdad"]!="DA") $EEN["DA"][$item["edad"]]++;
                                    if($item["tallaPeso"]=="DS" && $item["pesoEdad"]!="DA") $EEN["DA"][$item["edad"]]++;
                                    if($item["tallaPeso"]=="SP" && $item["pesoEdad"]!="SP") $EEN["SP"][$item["edad"]]++;
                                    if($item["tallaPeso"]=="OB") $EEN["OB"][$item["edad"]]++;
                                    if($item["tallaPeso"]=="N" && $item["tallaEdad"]=="N" && $item["pesoEdad"]=="N") $EEN["N"][$item["edad"]]++;                        
                                      
                                }                                
                            }                    
                        ?>
                        <thead>                        
                            <tr class="align-center">
                                <th class="tdInforme" rowspan="5">Grupo de <br /> Edad</th> <th class="tdInforme" colspan="6">Riesgo Nutricional</th>
                                <th class="tdInforme" rowspan="3" colspan="2">Desnutrici&oacute;n<br />Aguda<br />E44.0</th>         
                                <th class="tdInforme" rowspan="3" colspan="2">Desnutrici&oacute;n<br />Cr&oacute;nica<br />E45.X</th>
                                <th class="tdInforme" rowspan="3" colspan="4">Obeso<br />(E66.9)</th>
                                <th class="tdInforme" rowspan="5">Normal<br />(Z006)</th>
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme" colspan="4">D&eacute;ficit</th> <th class="tdInforme" colspan="2">Exceso</th>        
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme" colspan="4">Ganancia Inadecuada de peso<br /> o Talla (Z72.4)</th>
                                <th class="tdInforme" colspan="2">Sobre Peso<br />P/T (E66.0)</th>        
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme" colspan="2">Diagnosticado</th> <th class="tdInforme" colspan="2">Recuperado</th>   
                                <th class="tdInforme">DX</th><th class="tdInforme">Rec.</th> <th class="tdInforme">DX</th><th class="tdInforme">Rec.</th> 
                                <th class="tdInforme">DX</th><th class="tdInforme">Rec.</th>  <th class="tdInforme" colspan="2">Diagnosticado</th>
                                <th class="tdInforme" colspan="2">Recuperado</th>
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme">P</th><th class="tdInforme">T</th>    <th class="tdInforme">P</th><th class="tdInforme">T</th>
                                <th class="tdInforme">&nbsp;</th><th class="tdInforme">&nbsp;</th> <th class="tdInforme">P/T</th><th class="tdInforme">P/T</th> 
                                <th class="tdInforme">T/E</th><th class="tdInforme">T/E</th>   <th class="tdInforme">P/T</th><th class="tdInforme">IMC</th> 
                                <th class="tdInforme">P/T</th><th class="tdInforme">IMC</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td>< 1 a&ntilde;o</td>
                                <td class="align-center"><?php echo $EEN["GiP"][0];?></td><td class="align-center"><?php echo $EEN["GiT"][0];?></td>
                                <td class="align-center"><?php echo $EEN["GiPR"][0];?></td><td class="align-center"><?php echo $EEN["GiTR"][0];?></td>
                                <td class="align-center"><?php echo $EEN["SP"][0];?></td><td class="align-center"><?php echo $EEN["SPR"][0];?></td>
                                <td class="align-center"><?php echo $EEN["DA"][0];?></td><td class="align-center"><?php echo $EEN["DAR"][0];?></td>
                                <td class="align-center"><?php echo $EEN["DC"][0];?></td><td class="align-center"><?php echo $EEN["DCR"][0];?></td>
                                <td class="align-center"><?php echo $EEN["OB"][0];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["OBR"][0];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["N"][0];?></td>
                            </tr>
                            <tr><td>1 a&ntilde;o</td>
                                <td class="align-center"><?php echo $EEN["GiP"][1];?></td><td class="align-center"><?php echo $EEN["GiT"][1];?></td>
                                <td class="align-center"><?php echo $EEN["GiPR"][1];?></td><td class="align-center"><?php echo $EEN["GiTR"][1];?></td>
                                <td class="align-center"><?php echo $EEN["SP"][1];?></td><td class="align-center"><?php echo $EEN["SPR"][1];?></td>
                                <td class="align-center"><?php echo $EEN["DA"][1];?></td><td class="align-center"><?php echo $EEN["DAR"][1];?></td>
                                <td class="align-center"><?php echo $EEN["DC"][1];?></td><td class="align-center"><?php echo $EEN["DCR"][1];?></td>                            
                                <td class="align-center"><?php echo $EEN["OB"][1];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["OBR"][1];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["N"][1];?></td>
                            </tr>
                            <tr><td>2 a&ntilde;os</td>
                                <td class="align-center"><?php echo $EEN["GiP"][2];?></td><td class="align-center"><?php echo $EEN["GiT"][2];?></td>
                                <td class="align-center"><?php echo $EEN["GiPR"][2];?></td><td class="align-center"><?php echo $EEN["GiTR"][2];?></td>
                                <td class="align-center"><?php echo $EEN["SP"][2];?></td><td class="align-center"><?php echo $EEN["SPR"][2];?></td>
                                <td class="align-center"><?php echo $EEN["DA"][2];?></td><td class="align-center"><?php echo $EEN["DAR"][2];?></td>
                                <td class="align-center"><?php echo $EEN["DC"][2];?></td><td class="align-center"><?php echo $EEN["DCR"][2];?></td>                            
                                <td class="align-center"><?php echo $EEN["OB"][2];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["OBR"][2];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["N"][2];?></td>
                            </tr>
                            <tr><td>3 a&ntilde;os</td>
                                <td class="align-center"><?php echo $EEN["GiP"][3];?></td><td class="align-center"><?php echo $EEN["GiT"][3];?></td>
                                <td class="align-center"><?php echo $EEN["GiPR"][3];?></td><td class="align-center"><?php echo $EEN["GiTR"][3];?></td>
                                <td class="align-center"><?php echo $EEN["SP"][3];?></td><td class="align-center"><?php echo $EEN["SPR"][3];?></td>
                                <td class="align-center"><?php echo $EEN["DA"][3];?></td><td class="align-center"><?php echo $EEN["DAR"][3];?></td>
                                <td class="align-center"><?php echo $EEN["DC"][3];?></td><td class="align-center"><?php echo $EEN["DCR"][3];?></td>                            
                                <td class="align-center"><?php echo $EEN["OB"][3];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["OBR"][3];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["N"][3];?></td>
                            </tr>
                            <tr><td>4 a&ntilde;os</td>
                                <td class="align-center"><?php echo $EEN["GiP"][4];?></td><td class="align-center"><?php echo $EEN["GiT"][4];?></td>
                                <td class="align-center"><?php echo $EEN["GiPR"][4];?></td><td class="align-center"><?php echo $EEN["GiTR"][4];?></td>
                                <td class="align-center"><?php echo $EEN["SP"][4];?></td><td class="align-center"><?php echo $EEN["SPR"][4];?></td>
                                <td class="align-center"><?php echo $EEN["DA"][4];?></td><td class="align-center"><?php echo $EEN["DAR"][4];?></td>
                                <td class="align-center"><?php echo $EEN["DC"][4];?></td><td class="align-center"><?php echo $EEN["DCR"][4];?></td>                            
                                <td class="align-center"><?php echo $EEN["OB"][4];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["OBR"][4];?></td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $EEN["N"][4];?></td>
                            </tr>
                            <tr><td>5 a&ntilde;os</td>
                                <td colspan="10" style="background: lightgray;">&nbsp;</td>
                                <td style="background: lightgray;">&nbsp;</td><td class="align-center"><?php echo $EEN["OB"][5];?></td>
                                <td style="background: lightgray;">&nbsp;</td><td class="align-center"><?php echo $EEN["OBR"][5];?></td>
                                <td class="align-center"><?php echo $EEN["N"][5];?></td>
                            </tr>
                        </tbody>
                    </table><br />
                </td>
            </tr>
            <tr>
                <td style="width: 100%; vertical-align: top;" colspan="3" >
                    <table class="table1" style="width: 100%;" id="data-tableLME">
                        <caption class="leftBold">V. EVALUACI&Oacute;N DEL DESARROLLO</caption>
                        <?php   $psico = array(array(0,0,0,0,0,0), array(0,0,0,0,0,0)); 
                            foreach($datosNP as $item)
                                $psico[$item["transtorno"]][$item["rango"]] = $item["cantidad"];
                            $total = 0;                        
                        ?>
                        <thead>                        
                            <tr class="align-center">
                                <th class="tdInforme" rowspan="2">Grupo de Edad</th>
                                <th class="tdInforme" colspan="2">D&eacute;ficit/Riesgo del Desarrollo (R62.9)</th>
                                <th class="tdInforme" colspan="2">Transtorno/Retraso del Desarrollo (R62.0)</th>
                                <th class="tdInforme" rowspan="2">Normal (Z00.6)</th>         
                            </tr>
                            <tr class="align-center">
                                <th class="tdInforme">Diagnosticado</th> <th class="tdInforme">Recuperado</th>
                                <th class="tdInforme">Diagnosticado</th> <th class="tdInforme">Recuperado</th>        
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td>Men. 1 a&ntilde;o</td>                            
                                <td style="background: lightgray;">&nbsp;</td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $psico[1][0]; ?></td><td class="align-center">0</td>
                                <td class="align-center"><?php echo $psico[0][0]; ?></td>
                            </tr>
                            <tr><td>de 1 a&ntilde;o</td>
                                <td style="background: lightgray;">&nbsp;</td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $psico[1][1]; ?></td><td class="align-center">0</td>
                                <td class="align-center"><?php echo $psico[0][1]; ?></td>
                            </tr>
                            <tr><td>de 2 a&ntilde;o</td>
                                <td style="background: lightgray;">&nbsp;</td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $psico[1][2]; ?></td><td class="align-center">0</td>
                                <td class="align-center"><?php echo $psico[0][2]; ?></td>
                            </tr>
                            <tr><td>de 3 a&ntilde;o</td>                            
                                <td class="align-center"><?php echo $psico[1][3]; ?></td><td class="align-center">0</td>
                                <td style="background: lightgray;">&nbsp;</td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $psico[0][3]; ?></td>
                            </tr>
                            <tr><td>de 4 a&ntilde;o</td>
                                <td class="align-center"><?php echo $psico[1][4]; ?></td><td class="align-center">0</td>
                                <td style="background: lightgray;">&nbsp;</td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $psico[0][4]; ?></td>
                            </tr>
                            <tr><td>de 5 a 11 a&ntilde;o</td>
                                <td class="align-center"><?php echo $psico[1][5]; ?></td><td class="align-center">0</td>
                                <td style="background: lightgray;">&nbsp;</td><td style="background: lightgray;">&nbsp;</td>
                                <td class="align-center"><?php echo $psico[0][5]; ?></td>
                            </tr>
                        </tbody>
                    </table><br />
            </tr>
            <!-- <tr>
                <td colspan="3"><h6>Nativa Tec &copy; 2017 - Sistema de Informacin Nio (SIN v2.0) - DIRESA UCAYALI</h6>   </td>
            </tr> -->
        </table>
        <table style="width: 100%; page-break-before: always;">
            <tr>
                <td style="width: 35%; vertical-align: top;" >
                    <table class="table1" style="width: 100%;" id="data-tablePAIS">
                        <caption class="leftBold">VII. PLAN DE ATENCI&Oacute;N<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;INTEGRAL (Z01.9)</caption>
                        <?php   $pais1 = array(0,0,0,0,0,0,0,0,0,0,0,0);    $pais2 = array(0,0,0,0,0,0,0,0,0,0,0,0);
                            foreach($datosPais1 as $item)   $pais1[$item["anio"]] = $item["cantidad"];
                            foreach($datosPais2 as $item)   $pais2[$item["anio"]] = $item["cantidad"];
                            $total = 0;                        
                        ?>
                        <thead>                        
                            <tr class="align-center"> <th class="tdInforme">Edad</th> <th class="tdInforme">Elaborado</th>
                                <th class="tdInforme">Ejecutado</th> </tr>
                        </thead>
                        <tbody>
                            <tr><td class="align-center">Men. 12M</td> <td class="align-center"><?php echo $pais1[0]; ?></td>
                                <td class="align-center"><?php echo $pais2[0]; ?></td> </tr>
                            <tr><td class="align-center">1 A</td> <td class="align-center"><?php echo $pais1[1]; ?></td>
                                <td class="align-center"><?php echo $pais2[1]; ?></td> </tr>
                            <tr><td class="align-center">2 A</td><td class="align-center"><?php echo $pais1[2]; ?></td>
                                <td class="align-center"><?php echo $pais2[2]; ?></td> </tr>
                            <tr><td class="align-center">3 A</td> <td class="align-center"><?php echo $pais1[3]; ?></td>
                                <td class="align-center"><?php echo $pais2[3]; ?></td> </tr>
                            <tr><td class="align-center">4 A</td> <td class="align-center"><?php echo $pais1[4]; ?></td>
                                <td class="align-center"><?php echo $pais2[4]; ?></td> </tr>
                            <tr><td class="align-center">5 A</td> <td class="align-center"><?php echo $pais1[5]; ?></td>
                                <td class="align-center"><?php echo $pais2[5]; ?></td> </tr>
                            <tr><td class="align-center">6 A</td> <td class="align-center"><?php echo $pais1[6]; ?></td>
                                <td class="align-center"><?php echo $pais2[6]; ?></td> </tr>
                            <tr><td class="align-center">7 A</td> <td class="align-center"><?php echo $pais1[7]; ?></td>
                                <td class="align-center"><?php echo $pais2[7]; ?></td> </tr>
                            <tr><td class="align-center">8 A</td> <td class="align-center"><?php echo $pais1[8]; ?></td>
                                <td class="align-center"><?php echo $pais2[8]; ?></td> </tr>
                            <tr><td class="align-center">9 A</td> <td class="align-center"><?php echo $pais1[9]; ?></td>
                                <td class="align-center"><?php echo $pais2[9]; ?></td> </tr>
                            <tr><td class="align-center">10 A</td> <td class="align-center"><?php echo $pais1[10]; ?></td>
                                <td class="align-center"><?php echo $pais2[10]; ?></td> </tr>
                            <tr><td class="align-center">11 A</td> <td class="align-center"><?php echo $pais1[11]; ?></td>
                                <td class="align-center"><?php echo $pais2[11]; ?></td> </tr>
                        </tbody>
                    </table><br />
                </td>
                <td style="width: 23%; vertical-align: top;" >
                    <table class="table1" style="width: 100%;" id="data-tableCN">
                        <caption class="leftBold">VIII. CONSEJER&Iacute;A<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NUTRICIONAL (99403)</caption>
                        <thead>                        
                            <tr class="align-center"> <th class="tdInforme">Edad</th>
                                <th class="tdInforme">N&deg;</th> </tr>
                        </thead>
                        <?php   $consNut = array(0,0,0,0,0,0,0,0,0,0,0,0);                                 
                            foreach($datosCN as $item)
                            {   if($item["meses"]<"12")     $consNut[0] += $item["cantidad"];
                                elseif($item["meses"]<"24") $consNut[1] += $item["cantidad"];
                                elseif($item["meses"]<"36") $consNut[2] += $item["cantidad"];
                                elseif($item["meses"]<"48") $consNut[3] += $item["cantidad"];
                                elseif($item["meses"]<"60") $consNut[4] += $item["cantidad"];
                                elseif($item["meses"]<"72") $consNut[5] += $item["cantidad"];
                                elseif($item["meses"]<"84") $consNut[6] += $item["cantidad"];
                                elseif($item["meses"]<"96") $consNut[7] += $item["cantidad"];
                                elseif($item["meses"]<"108") $consNut[8] += $item["cantidad"];
                                elseif($item["meses"]<"120") $consNut[9] += $item["cantidad"];
                                elseif($item["meses"]<"132") $consNut[10] += $item["cantidad"];
                                elseif($item["meses"]<"144") $consNut[11] += $item["cantidad"];
                            }   $total = 0;                        
                        ?>
                        <tbody>
                            <tr><td class="align-center">Men. 12M</td>  <td class="align-center"><?php echo $consNut[0]; ?></td> </tr>
                            <tr><td class="align-center">1 A</td>    <td class="align-center"><?php echo $consNut[1]; ?></td> </tr>
                            <tr><td class="align-center">2 A</td>    <td class="align-center"><?php echo $consNut[2]; ?></td> </tr>
                            <tr><td class="align-center">3 A</td>    <td class="align-center"><?php echo $consNut[3]; ?></td> </tr>
                            <tr><td class="align-center">4 A</td>    <td class="align-center"><?php echo $consNut[4]; ?></td> </tr>
                            <tr><td class="align-center">5 A</td>    <td class="align-center"><?php echo $consNut[5]; ?></td> </tr>
                            <tr><td class="align-center">6 A</td>    <td class="align-center"><?php echo $consNut[6]; ?></td> </tr>
                            <tr><td class="align-center">7 A</td>    <td class="align-center"><?php echo $consNut[7]; ?></td> </tr>
                            <tr><td class="align-center">8 A</td>    <td class="align-center"><?php echo $consNut[8]; ?></td> </tr>
                            <tr><td class="align-center">9 A</td>    <td class="align-center"><?php echo $consNut[9]; ?></td> </tr>
                            <tr><td class="align-center">10 A</td>   <td class="align-center"><?php echo $consNut[10]; ?></td> </tr>
                            <tr><td class="align-center">11 A</td>   <td class="align-center"><?php echo $consNut[11]; ?></td> </tr>
                        </tbody>
                    </table><br />
                </td>
                <td style="width: 42%; vertical-align: top;" >
                    <table class="table1" style="width: 100%;" id="data-tableET">
                        <caption class="leftBold">IX. ESTIMULACI&Oacute;N<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;TEMPRANA (99411)</caption>
                        <?php
                            $contEsti = array(array(0,0,0,0,0,0,0),array(0,0,0,0,0,0,0),array(0,0,0,0,0,0,0),array(0,0,0,0,0,0,0)
                                            ,array(0,0,0,0,0,0,0),array(0,0,0,0,0,0,0),array(0,0,0,0,0,0,0));                                 
                            foreach($datosEstimulacion as $item)
                                $contEsti[$item["idRegla"]][$item["estimulacion"]] = $item["cantidad"]; 
                        ?>
                        <thead>                        
                            <tr class="align-center">
                                <th class="tdInforme">Edad</th>
                                <th class="tdInforme">1&deg;</th><th class="tdInforme">2&deg;</th>
                                <th class="tdInforme">3&deg;</th><th class="tdInforme">4&deg;</th>
                                <th class="tdInforme">5&deg;</th><th class="tdInforme">6&deg;</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td>R. N.</td>
                                <td class="align-center"><?php echo $contEsti[1][1];?></td>
                                <td colspan="5" style="background: lightgray;">&nbsp;</td>
                            </tr>
                            <tr><td>Men. 12M </td>
                                <td class="align-center"><?php echo $contEsti[2][1];?></td><td class="align-center"><?php echo $contEsti[2][2];?></td>
                                <td class="align-center"><?php echo $contEsti[2][3];?></td><td class="align-center"><?php echo $contEsti[2][4];?></td>
                                <td class="align-center"><?php echo $contEsti[2][5];?></td><td class="align-center"><?php echo $contEsti[2][6];?></td>
                            </tr>
                            <tr><td> 1 A </td>
                                <td class="align-center"><?php echo $contEsti[3][1];?></td> <td class="align-center"><?php echo $contEsti[3][2];?></td>
                                <td class="align-center"><?php echo $contEsti[3][3];?></td> <td class="align-center"><?php echo $contEsti[3][4];?></td>
                                <td colspan="2" style="background: lightgray;">&nbsp;</td>
                            </tr>
                            <tr><td> 2 A </td>
                                <td class="align-center"><?php echo $contEsti[4][1];?></td> <td class="align-center"><?php echo $contEsti[4][2];?></td>
                                <td colspan="4" style="background: lightgray;">&nbsp;</td>
                            </tr>
                            <tr><td> 3 A </td>
                                <td class="align-center"><?php echo $contEsti[5][1];?></td>
                                <td colspan="5" style="background: lightgray;">&nbsp;</td>
                            </tr>
                        </tbody>
                    </table><br />
                    <table class="table1" style="width: 100%;" id="data-tableET">
                        <caption class="leftBold">XII. ANEMIA Y PARASITOSIS</caption>
                        <?php
                            $contAnemia = array(0,0,0,0,0,0,0,0,0,0,0,0);   $contParasitosis = array(0,0,0,0,0,0,0,0,0,0,0,0);                                    
                            foreach($datosAnemia as $item)
                            {   if($item["descarte"]=='H')  $contAnemia[$item["anio"]] = $item["cantidad"]; 
                                if($item["descarte"]=='P')  $contParasitosis[$item["anio"]] = $item["cantidad"];
                            }      
                        ?>
                        <thead>                        
                            <tr class="align-center"> <th class="tdInforme">Edad</th> 
                                <th class="tdInforme">Anemia</th>   <th class="tdInforme">Parasitosis</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td>Men. 12M</td>
                                <td class="align-center"><?php echo $contAnemia[0]?></td>
                                <td class="align-center"><?php echo $contParasitosis[0]?></td>
                            </tr>
                            <tr><td> 1 A </td>
                                <td class="align-center"><?php echo $contAnemia[1]?></td>
                                <td class="align-center"><?php echo $contParasitosis[1]?></td>
                            </tr>
                            <tr><td> 2 A </td>
                                <td class="align-center"><?php echo $contAnemia[2]?></td>
                                <td class="align-center"><?php echo $contParasitosis[2]?></td>
                            </tr>
                            <tr><td> 3 A </td>
                                <td class="align-center"><?php echo $contAnemia[3]?></td>
                                <td class="align-center"><?php echo $contParasitosis[3]?></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
                
            </tr>
        </table><br /><br />
        
        
        <h6 id="copyfin" class="footer">Nativa Tec &copy; 2017 - Sistema de Informacin Nio (SIN v2.0) - DIRESA UCAYALI</h6>       
    
    </body> 
</html>
<script>
    //print();
</script>
