<?php
error_reporting(E_ALL);
//

$dirClaseNinoCred = '../modelo/clases/nino_cred.php';

include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	

include_once $dirClaseNinoCred;     $con = new NinoCred($conex);  $conF = $con->getFuncion();    $conN = $con->getPersona();   $conC = $con->getConexion();
$consulta = "SELECT * FROM parametro ORDER BY idParametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);

$opcion = (isset($_REQUEST["opcion"]))?$_REQUEST["opcion"]:"1";  
$grupo = (isset($_REQUEST["grupo"]))?$_REQUEST["grupo"]:"0";      
$sector = (isset($_REQUEST["sector"]))?$_REQUEST["sector"]:"T";     
$direccion = (isset($_REQUEST["direccion"]))?$_REQUEST["direccion"]:"";  
$anio = (isset($_REQUEST["anio"]))?$_REQUEST["anio"]:date("Y", time());  
$cond = "";
//$cond .= ($opcion==1)?(";;YEAR(fechaNacimiento)='".$anio."'"):(";;(YEAR(fechaRegistro)='".$anio."' OR YEAR(fechaActualizacion)='".$anio."')");   
$mes = (isset($_REQUEST["mes"]))?$_REQUEST["mes"]:"T";    
//$cond .= ($mes!="T")?(($opcion==1)?(";;MONTH(fechaNacimiento)='".$mes."'"):(";;(MONTH(fechaRegistro)='".$mes."' OR MONTH(fechaActualizacion)='".$mes."')")):"";            
$cond .= ($grupo=='T')?";;((TIMESTAMPDIFF(YEAR, fechaNacimiento, current_date())>='0') AND (TIMESTAMPDIFF(YEAR, fechaNacimiento, current_date())<='4'))":";;TIMESTAMPDIFF(YEAR, fechaNacimiento, current_date())='".$grupo."'";
$cond .= ($sector=='T')?"":";;idSector='".$sector."'";
$cond .= ($direccion=='')?"":";;(direccion LIKE '%".$direccion."%')";
        
$datos = $conN->get(NULL, NULL, "historiaClinica is not null".$cond); 
//echo var_dump($datos);

?>
<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            @media all {
                table, th, td {
                    border-spacing: 0;      padding: 0px;       font-family: sans-serif;
                    font-size: 9px;        border: 1px solid black;
                }   
                td  {   padding: 1px 1px;   }
                .centrar{   text-align: center; }
            }
            @media print { /* Todas las reglas Css */
                
                .capa1  {   height: 50px;  }         
            } 
        </style>         
     
    </head>
    <body>
<?php
    $filas = (isset($_REQUEST["filas"]))?$_REQUEST["filas"]:"30";
    $cabeza = "<h3 style=\"text-align: center; font-family: monospace;\">PADRON NOMINAL DE NI&Ntilde;OS - ".$anio.($mes='T'?'':(' - '.$conF->mesNombreCompleto($mes)))."
                <br />".$datosP[0]["valor"]." - ".$datosP[1]["valor"]."</h3>
            <table style=\"width: 100%;\"><caption style='text-align: left;'><strong>";
    $cabeza .= ($opcion!='2')?"LISTADO DE NI&Ntilde;OS SEG&Uacute;N FECHA DE NACIMIENTO":"LISTADO DE NI&Ntilde;OS IDENTIFICADOS PARA REGISTRAR EN PADR&Oacute;N NOMINAL";
    $cabeza .= "</strong></caption>
                <thead> <tr>
                            <th class=\"tam80\">H.C. / DNI</th>
                            <th>Nombres</th>
                            <th>Responsable</th>
                            <th>Seguro</th>
                            <th>Programa</th>
                            <th>EE.SS. Atenci&oacute;n</th>
                            <th>Localidad / Direcci&oacute;n</th> 
                            <th style='width: 80px;'>Edad</th>                       
                        </tr>                       
                </thead>
                <tbody>"; echo $cabeza;
?>
                <?php   
                
                
                $i = 0; 
                  foreach($datos as $item)	{
                    $edad = $con->getFuncion()->calculo_edad($item->getFechaNacimiento(), date("Y-m-d", time()), "ANIOS");
                    //echo var_dump($edad);
                    if($edad[1]>5) continue;
                    $i++;
                    if($i>$filas)
                    {   echo "</tbody> </table> <div style=' page-break-before: always;'></div>".$cabeza;   
                        $i=0;                        
                    }                                              
                ?>
            		 <tr class="gradeX">                                
                        <td><?php echo (($item->getHistoriaClinica()=='')?'&nbsp;Sin H.C.':'&nbsp;'.$item->getHistoriaClinica())."<br>".(($item->getDni()=='')?'&nbsp;Sin DNI':'&nbsp;'.$item->getDni());?></td>
            			<td><i title="<?php echo ($item->getSexo()=="M")?"Masculino":"Femenino" ?>" class="tip fam-<?php echo ($item->getSexo()=="M")?"":"fe" ?>male"  data-placement="left" style="margin-top: -2px;"></i>
                            <?php echo ucfirst(strtolower($item->getNombreCompleto())); ?></td>
                        <td><?php echo ucfirst(strtolower($item->getNombreCompletoResponsable())) ;?></td>
                        <td><?php echo ucfirst(strtolower($item->getFinanciamiento()->getNombre())) ;?></td>
                        <td><?php echo ucfirst(strtolower($item->getNombrePrograma())) ;?></td>
                        <td><?php echo ($item->getIdSector()>0)?($datosP[0]["valor"]."<br />".$datosP[1]["valor"]):$item->getLocalidad();  ?></td>
                        <td><?php echo ($item->getLocalidad()=="")?"-":$item->getLocalidad();  ?>
                            <?php echo "<br />".(($item->getDireccion()=="")?"Sin Direcci&oacute;n":$item->getDireccion());?></td>
                        <td>                                    
                            <?php $edad = $con->getFuncion()->calculo_edad($item->getFechaNacimiento(), date("Y-m-d", time()), "MEDIO");
                                echo $con->getFuncion()->getFechaDMY($item->getFechaNacimiento());
                                echo "<br />".$edad; 
                            ?></td>
                        
                    </tr>
          		<?php }     ?>
            </tbody>
        </table>        
    </body> 
</html>
<script>
    //print();
</script>