<script>
	function psicomotor_lista()
	{	$.ajax(
		{	url : 'controlador/control_psicomotor.php',
			data : {accion:'Listado'},
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function psicomotor_nuevo_formulario()
	{	$.ajax(
		{	url : 'controlador/control_psicomotor.php',
			data : "accion=Nuevo",
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function editar_psicomotor(idPsicomotor)
	{	$.ajax(
		{	url : "controlador/control_psicomotor.php",
			data : "accion=Edicion&idPsicomotor=" + idPsicomotor,
			success : function(respuesta)
			{	$("#capa1").html(respuesta);	}
		});
	}

	function eliminar_psicomotor(idPsicomotor, obj)
	{	if(confirm("\u00BFSeguro de Eliminar?"))
		{	$("#loading_psicomotor").show();
			$.ajax(
			{	url : "controlador/control_psicomotor.php",
				data : "accion=Eliminar&idPsicomotor=" + idPsicomotor,
				success : function(respuesta)
				{	alert("Registro Eliminado");
					var tr = obj.parentNode.parentNode.parentNode.parentNode;
					var table = tr.parentNode;
					table.removeChild(tr);
					$("#loading_psicomotor").hide();
				}
			});
		}
	}

</script>
<br />
<!-- Default datatable -->
<div class="widget row-fluid">
<div class="span12">
	<div class="navbar">
		<div class="navbar-inner">
			<h6><strong>Listado de Psicomotor</strong></h6>
			<div class="nav pull-right">
				<a class="dropdown-toggle navbar-icon" data-toggle="dropdown" href="javascript:void(0)">
					<i class="icon-cog"></i></a>
				<ul class="dropdown-menu pull-right">
					<li><a onclick="psicomotor_nuevo_formulario()" href="javascript:void(0)">
							<i class="icon-plus"></i>Nuevo Psicomotor</a></li>
				</ul>
			</div>
			<div id="loading_psicomotor" class="loading pull-right hide">
				<span>Cargando</span>
				<img src="img/elements/loaders/6s.gif" alt="" />
			</div>
		</div>
	</div>
	<div class="well body">
		<div class="table-overflow">
		<table class="table table-striped table-bordered" id="data-table">
			<thead>
				<tr>
					<th>Nombre</th>
					<th>Descripcion</th>
					<th>Mes</th>
					<th>Categoria</th>
					<th>Material</th>
					<th>Postura</th>
					<th>Tecnica</th>
					<th>Respuesta</th>
					<th class="no-sort tam50">Acci&oacute;n</th>
				</tr>
			</thead>
			<tbody>
				<?php	$i = 0;
				  foreach($datos as $item)	{	$i++;
					if($item->getIdPsicomotor()!=0)	{?>
					  <tr class="gradeX">
						<td><?php echo $item->getNombre();?></td>
						<td><?php echo $item->getDescripcion();?></td>
						<td><?php echo $item->getMes();?></td>
						<td><?php echo $item->getCategoria();?></td>
						<td><?php echo $item->getMaterial();?></td>
						<td><?php echo $item->getPostura();?></td>
						<td><?php echo $item->getTecnica();?></td>
						<td><?php echo $item->getRespuesta();?></td>
						<td class="align-center">
							<ul class="table-controls">
								<li><a onclick="editar_psicomotor(<?php echo $item->getIdPsicomotor();?>)" title="Editar Psicomotor" class="tip" href="javascript:void(0)">
										<i class="icon-edit"></i></a> </li>
								<li><a onclick="eliminar_psicomotor(<?php echo $item->getIdPsicomotor();?>, this)" title="Eliminar Psicomotor" class="tip" href="javascript:void(0)">
										<i class="icon-remove"></i></a> </li>
							</ul>
						</td>
					</tr>
				<?php } 	}?>
			</tbody>
		</table><br /><br />
		</div>
	</div>
</div>
</div>
<!-- /default datatable -->

<script>
	$("#data-table").dataTable({
		"bJQueryUI": false,
		"bAutoWidth": false,
		"sPaginationType": "full_numbers",
		//"sDom": '<"datatable-header"fl>t<"datatable-footer"ip>',
		"oLanguage": {
			"sSearch": "<span>Buscar registro:</span> _INPUT_",
			"sLengthMenu": "<span>Mostrar:</span> _MENU_",
			"oPaginate": { "sFirst": "Primero", "sLast": "ltimo", "sNext": ">", "sPrevious": "<" }
		},
		"aoColumnDefs" : [{ "bSortable" : false, "aTargets" : [ "no-sort" ] }]
		//, "aaSorting": [[ 2, "ASC" ]]
	});
</script>