<?php   session_start();
include_once '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();
$dirClaseDomicilio = '../modelo/clases/nino_domicilio.php';
$dirClase = '../modelo/clases/nino_cred.php';
$dirClaseSuplemento = '../modelo/clases/nino_suplemento.php';
$dirClaseTamizaje = '../modelo/clases/nino_tamizaje.php';
$dirClasePsicomotor = '../modelo/clases/nino_psicomotor.php';
$dirClaseVacuna = '../modelo/clases/nino_vacuna.php';
$dirClasePatronReferencia = '../modelo/clases/patron_referencia.php';

switch($_REQUEST["accion"])
{	case "Menu":
		$html = file_get_contents("../vista/menu/menu_enfermeria.html");

        $cl = ($_SESSION["idUsuario"]==1)?" ": " hide ";
		$html = str_replace("{CLASS_HIDE}", $cl, $html);
        
		echo $html;
	  break;
    case "SeguridadMes":
        include $dirClase;		$con = new NinoCred($conex);
        $conN = $con->getPersona();    $conF = $con->getFuncion();
        
        $fecha2 = date("Y-m-d",time());
        $fecha1 = date("Y-m-d", strtotime("-30Day",strtotime($fecha2)));
        $fecha0 = date("Y-m-d", strtotime("-10Day",strtotime($fecha2))); 
                
        $query = "select MAX(cant) AS max FROM (SELECT date_format(fechaAtencion,'%Y-%m-%d') as fecha, count(fechaAtencion) as cant FROM nino_cred
            WHERE fechaAtencion>'".$fecha1."' and fechaAtencion<='".$fecha2."' and estado=1
            GROUP BY YEAR(fechaAtencion), MONTH(fechaAtencion), DAY(fechaAtencion) order by 2 DESC ) as t1";
        //echo $query."<br /><br />";
        $dataP1 = $con->getConexion()->datosTabla($query);
                                
        $query = "SELECT AVG(cant) AS prom FROM (SELECT date_format(fechaAtencion,'%Y-%m-%d') as fecha, count(fechaAtencion) as cant FROM nino_cred
            WHERE fechaAtencion>'".$fecha1."' and fechaAtencion<='".$fecha2."' and estado=1
            GROUP BY YEAR(fechaAtencion), MONTH(fechaAtencion), DAY(fechaAtencion) ORDER BY 2 DESC LIMIT 2,7 ) as t1";
        //echo $query."<br /><br />";
        $dataP2 = $con->getConexion()->datosTabla($query);   // var_dump($dataP);
                
        $query = "SELECT date_format(fechaAtencion,'%Y-%m-%d') as fecha, count(fechaAtencion) as cant FROM nino_cred
            WHERE fechaAtencion>'".$fecha1."' and fechaAtencion<='".$fecha2."' and estado=1
            GROUP BY YEAR(fechaAtencion), MONTH(fechaAtencion), DAY(fechaAtencion) order by 1 asc";
        $dataF = $con->getConexion()->datosTabla($query);   $arrayF = array();
        //echo $query."<br /><br />";
        foreach($dataF as $item)
            $arrayF[$item["fecha"]] = $item["cant"];            
        
        $max = $dataP1[0][0];        $prom100 = $dataP2[0][0];    $prom80 = $prom100*0.85;    $prom60 = $prom100*0.65; 
        
        $query = "SELECT grupo, COUNT(grupo) AS cantidad 
            FROM (SELECT sin_nino.obtenerEdad(fechaNacimiento, 5, current_date()) AS grupo
            	FROM sin_nino.nino
            	WHERE timestampdiff(YEAR, fechaNacimiento, current_date())<5 AND idSector!='0' ) AS t1
            GROUP BY grupo";
        $dataPoN = $con->getConexion()->datosTabla($query);  
        
        //$max = 0;   $prom100 = 0;
        //echo var_dump($max);    echo var_dump($prom100);
        include("../vista/capas/nino_cred/plan_cred_promedio_lista.php");
      break;
    case "Template":
        $html = file_get_contents("../vista/capas/principal.html");
        
        $formBus = file_get_contents("../vista/capas/nino_cred/plan_nino_cred_buscador_formulario.html");
                
        $html = str_replace("{CAPA1}", $formBus, $html);
        $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);
        
        echo $html;
      break;
    case "BuscarNino":
        include $dirClase;  $con = new NinoCred($conex);		
        
        $conN = $con->getPersona();
        
        $cond = "dni='XxXxXxXx'";
        if(isset($_REQUEST["dni"]))             $cond = "dni='".$_REQUEST["dni"]."'";
        else
            if(isset($_REQUEST["codigo"]))
                $cond = "historiaClinica='".$_REQUEST["codigo"]."'";
            else
                if(isset($_REQUEST["cnv"]))
                    $cond = "cnv='".$_REQUEST["cnv"]."'";
            
        $datosN = $conN->get(NULL, NULL, $cond, 1);        
        $idNino = (count($datosN)>0)?$datosN[0]->getIdPersona():0;
        
        echo $idNino;
      break;
    case "CargarMenuNino":
        include $dirClase;  $con = new NinoCred($conex);
        $conN = $con->getPersona();        
        $idNino = $_REQUEST["idNino"];        
        //echo VAR_DUMP($idNino);
        $datosN = $conN->get($idNino);
        
        $msgSIS  = "<span class=\"label label-".(($datosN->getIdFinanciamiento()==2)?"success":"")."  \">";
        $msgSIS .= "<strong>".(($datosN->getIdFinanciamiento()==2)?"SIS":"N.S")."</strong></span>";
        
        $html = file_get_contents("../vista/capas/nino_cred/plan_nino_cred_crumbs.html");
        $html = str_replace("{HISTORIA_CLINICA}", "(".$datosN->getHistoriaClinica().") ", $html);
        $html = str_replace("{NOMBRE_COMPLETO}", $datosN->getNombreCortoPlus(), $html);
        $html = str_replace("{NOMBRE_TOTAL}", $datosN->getNombre()." ".$datosN->getPaterno()." ".$datosN->getMaterno(), $html);
        $html = str_replace("{EDAD_NINO}", $con->getFuncion()->calculo_edad($datosN->getFechaNacimiento(), date("Y-m-d", time()), "MEDIO"), $html);
        $html = str_replace("{ID_NINO}", $idNino, $html);
        $html = str_replace("{SIS_NINO}", $msgSIS, $html);
        
        echo $html;
      break;
    case "CargarControlNino":
        if (!isset($_SESSION["idUsuario"]))
        {   echo "<br /><div class='alert alert-error' style='margin-top: 16px;'>
	                        <strong>Seguridad!</strong> <br />Actualice la p&aacute;gina y vuelva a ingresar con su usuario al sistema.
	                    </div><br /><br />";
            echo exit(0);            break;            
        }
		include $dirClase;    include $dirClaseSuplemento;
		$con = new NinoCred($conex);      $conS = new NinoSuplemento($conex);
        $conN = $con->getPersona();    $conR = $con->getRegla();    $conU = $con->getUsuario();
        
        $idNino = $_REQUEST["idNino"];  $datosN = $conN->get($idNino);
        $hoy = (isset($_REQUEST["fechaAtencion"]))?date("Y-m-d", strtotime($_REQUEST["fechaAtencion"])):date("Y-m-d", time());
        $edad = $conN->getFuncion()->calculo_edad($datosN->getFechaNacimiento(), $hoy, "CRED");
        //echo var_dump($edad);
        if($edad[2]=="DIA" AND $edad[1]>28) $cond = "tipoRegla='CRED';;tipoFrecuencia='MES';;idRegla='2'";
        else
            $cond = "tipoRegla='CRED';;tipoFrecuencia='".$edad[2]."';;edadMinima<=".$edad[1].";;edadMaxima>=".$edad[1]."";
        
        $datosR = $conR->get(NULL, NULL, $cond, 1);// echo var_dump($datosR);
        if(count($datosR)==0){  echo "-1"; exit(0); }
        $numCtrl = floor((($edad[1] - $datosR[0]->getEdadMinima())/$datosR[0]->getFrecuencia())+1);
        
        $idNino = $datosN->getIdPersona();     $nombreCompleto = $datosN->getNombreCompleto();
        $idRegla = $datosR[0]->getIdRegla();
        
        $query = "SELECT nc.numeroControl AS ultCtrl, nc.fechaAtencion AS fechaAtencion
                	, DATEDIFF('".$hoy."', nc.fechaAtencion) AS dias, estado 
                FROM nino_cred AS nc WHERE nc.idNino='".$idNino."' AND nc.idRegla='".$idRegla."' ORDER BY fechaAtencion DESC LIMIT 1";
        //echo $query;
        $ultCtrl = $con->getConexion()->datosTabla($query);
        //echo var_dump($ultCtrl);
        $diasTrans = (count($ultCtrl)>0)?$ultCtrl[0][2]:"-1";
        $diasTransMin = ($idRegla==1)?"3":(($idRegla==2)?"12":(($idRegla==7)?"60":"20"));
        if(count($ultCtrl)>0)   $diasTransMin = ($ultCtrl[0]["estado"]==2)?(($idRegla==1)?"2":(($idRegla==2)?"6":(($idRegla==7)?"20":"10"))):$diasTransMin;
        $ultCtrl = (count($ultCtrl)>0)?$ultCtrl[0][0]:0;
            
        $datosNC = array();
        if($ultCtrl==0)     $numCtrl = 1;
        else
        {   if($diasTrans>$diasTransMin and ($ultCtrl+1)<=$datosR[0]->getCantidadMaxima())
                if($idRegla==7)
                    $numCtrl = 1;
                else
                    $numCtrl = $ultCtrl + 1;
            else
            {   $numCtrl = $ultCtrl;
                $cond = "idNino='".$idNino."';;idRegla='".$idRegla."';;numeroControl=".$numCtrl;
                $datosNC = $con->get(NULL, NULL, $cond, 1);    
            }   
        } 
        //echo count($datosNC);   
            
            $fechaAtencion = date("d-m-Y", strtotime($hoy));
            $edMes = $conN->getFuncion()->calculo_edad($datosN->getFechaNacimiento(), $hoy, "MESES");
            
            $tipoFecha = ($datosR[0]->getTipoFrecuencia()=="DIA")?"Day":"Month";
            $fechaSupuestaHoy = date("Y-m-d", strtotime("+".$edMes[1].$tipoFecha, strtotime($datosN->getFechaNacimiento())));
            if($datosR[0]->getTipoFrecuencia()=="DIA") $fechaSupuestaHoy = $fechaAtencion;
            
            $fechaMinimaAtencion = date("Y-m-d", strtotime("+".$datosR[0]->getEdadMinima().$tipoFecha,strtotime($datosN->getFechaNacimiento())));
            $fechaMinimaAtencion = date("Y-m-d", strtotime("-1 DAY", strtotime($fechaMinimaAtencion)));
            //echo $fechaMinimaAtencion."XXX<br />"; 
            //$fechaMinimaAtencion = '2018-01-01';
            
            $fechaCita = date("d-m-Y", strtotime("+".$datosR[0]->getFrecuencia().$tipoFecha,strtotime($fechaSupuestaHoy)));
            if(date("w",strtotime($fechaCita))==0)
                $fechaCita = date("d-m-Y", strtotime("-1Day",strtotime($fechaCita)));    
            $diasT = $con->getFuncion()->calculo_edad($fechaAtencion, $fechaCita, "DIAS");
            if($diasT[1]<18)
            {   $diasT[1] = "18";
                $fechaCita = date("d-m-Y", strtotime("+18Day",strtotime($fechaAtencion)));
                $diasTrans = "18 dias";   
            }
            $datosCita = "Control ".($numCtrl+1).", <strong> en ".$diasTrans."</strong>";
            
            $query = "SELECT idNinoCred FROM nino_cred AS nc
                    WHERE nc.idNino='".$idNino."' AND (nc.lme='2' or nc.lme='3') LIMIT 3";
            $datosAC = $con->getConexion()->datosTabla($query);
            
            $query = "SELECT * FROM nino_domicilio WHERE idNino='".$idNino."' AND fechaAtencion='".date("Y-m-d", time())."' LIMIT 1";
            $datosND = $con->getConexion()->datosTabla($query);
            $estado = (count($datosND)>0)?"3":"1";
            
            $query = "SELECT * FROM nino_suplemento 
                WHERE idNino='".$idNino."' AND fechaAtencion<'".$hoy."' ORDER BY fechaAtencion DESC LIMIT 1";
                //echo $query;
            $datosNS = $con->getConexion()->datosTabla($query);
            //echo "<br />".count($datosNS);
            $estado = (count($datosND)>0)?"3":"1";
            
            $valores = array("", " Nuevo - Formulario", "", $numCtrl, $idNino, (($idRegla=="2")?"Menor de 1 a&ntilde;o":$datosR[0]->getNombre())
                , $idRegla, "", "", "0", $fechaAtencion, "", $fechaCita, $datosCita, (($edMes[1]>=12 or count($datosAC)>=2)?" hide " :"")
                , (($edMes[1]>6)?" disabled=\"\" ":""), (($edMes[1]<12 and count($datosAC)<2)?" checked " :""), "", "", $estado, (($edMes[1]>36)?" readonly=\"\" " :"")
                , " hide ", "", "", "", " hide ", "1",  " readonly=\"\" ", (count($datosNS)>0)?$datosNS[0]["cantidad"] :"0", ($edMes[1]>6)?"" :" hide ", $fechaMinimaAtencion );
            $lmeCorch = ($edMes[1]<=6)?"1":"2";   $lmeValor= ""; //  echo $edMes[0];
            if(count($datosNC)>0)
            {   $msgAlert = file_get_contents("../vista/otros/plan_alert.html");
                $edadX = $con->getFuncion()->calculo_edad($datosNC[0]->getFechaAtencion(), $fechaAtencion, "DIAS");
                $msgAlert = str_replace("{MSG_ALERT}", "<strong>Este Ni&ntilde;o realiz&oacute; control hace ".$edadX[1]." d&iacute;a(s)</strong>", $msgAlert);
                
                $valores = array("", " - Editar"
    			, "<input type='hidden' id='idNinoCred' name='idNinoCred' value='".$datosNC[0]->getIdNinoCred()."' />"
    			, $numCtrl, $idNino, (($idRegla=="2")?"Menor de 1 a&ntilde;o":$datosR[0]->getNombre()), $idRegla
    			, $datosNC[0]->getPeso(), $datosNC[0]->getTalla()
    			, $datosNC[0]->getPerimetroCefalico()
                , $datosNC[0]->getFuncion()->getFechaDMY($datosNC[0]->getFechaAtencion())    
                , $msgAlert
                , $datosNC[0]->getFuncion()->getFechaDMY($datosNC[0]->getFechaCita())
                , $datosCita
                , ($edMes[0]>12)?" hide " :""
                , (($edMes[1]>6)?" disabled=\"\" " :"")
                , " checked " //CHECK LME O AI AA IA
                , ($datosNC[0]->getConsejeriaNutricional()=="1")?" checked ":""
                , ($datosNC[0]->getEstimulacion()>"1")?" checked ":""
                , $datosNC[0]->getEstado()
                , (($edMes[1]>36)?" disabled=\"\" " :"")
                , " styled "
                , $datosNC[0]->getOptionPesoEdad($datosNC[0]->getPesoEdad())
                , $datosNC[0]->getOptionTallaEdad($datosNC[0]->getTallaEdad())
                , $datosNC[0]->getOptionPesoTalla($datosNC[0]->getTallaPeso())
                , " hide ", ($datosNC[0]->getEstimulacion()>0)?$datosNC[0]->getEstimulacion():"1"
                , ($datosNC[0]->getEstimulacion()>"1")?" ":" readonly=\"\" " 
                , $datosNC[0]->getMmnConsumido(), ($edMes[1]>6)?"" :" hide ", $fechaMinimaAtencion    ); 
                $lmeCorch = $datosNC[0]->getLme();
            }
            
            $html = file_get_contents("../vista/capas/nino_cred/plantilla_nino_cred_formulario.html");                
    		$variable = array("{OFFSET_CRED}", "{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NUMEROCONTROL}"
                , "{VALUE_IDNINO}", "{VALUE_NOMBRECRED}", "{VALUE_IDREGLA}", "{VALUE_PESO}", "{VALUE_TALLA}"
                , "{VALUE_PERIMETROCEFALICO}", "{VALUE_FECHAATENCION}", "{CAPA_ALERT}", "{VALUE_FECHACITA}"
                , "{DATOS_CITA}", "{AC_HIDE}", "{LME_HIDE}", "{CHECK_LME".$lmeCorch."}"
                , "{CHECK_CONSEJERIANUTRICIONAL}", "{CHECK_ESTIMULACION}", "{VALUE_ESTADO}", "{PC_HIDE}"
                , "{HIDE_LAB}", "{OPTIONS_PESOEDAD}", "{OPTIONS_TALLAEDAD}", "{OPTIONS_PESOTALLA}"
                , "{HIDE_ANTERIOR_CRED}", "{VALUE_SESION}"
                , "{READ_SESION}", "{VALUE_MMN}", "{MMN_HIDE}", "{VALUE_FECHAMINIMAATENCION}" );
    		$html = $con->getFuncion()->replace_form($html, $variable, $valores);
            
		echo $html."<script>
                        var fechaCita=$('#fechaCita').val();
                        $.ajax(
                        {   url : 'controlador/control_nino_cred.php',
                            data : 'accion=TotalCitados&fechaCita='+fechaCita,
                            success : function(respuesta)
                            {   $('#totalCitados').html(respuesta);   }
                        });                        
                    </script>
                ";
	  break;
    case "TotalCitados":
        include $dirClase; 		$con = new NinoCred($conex); 
        $fechaCita = date("Y-m-d",strtotime($_REQUEST["fechaCita"]));
        $cond = "fechaCita='".$fechaCita."';;estado!=0";
        $datosNC = $con->get(NULL, NULL, $cond, NULL, " fechaAtencion DESC ");
        echo count($datosNC);
      break;
    case "ListarCitados":
        include $dirClase; 		$con = new NinoCred($conex);         
        $fechaCita2 = date("d-m-Y",strtotime($_REQUEST["fechaCita"]));
        $fechaCita = date("Y-m-d",strtotime($_REQUEST["fechaCita"]));
        $caja = $_REQUEST["caja"];
        $cond = "fechaCita='".$fechaCita."';;estado!=0";
        $datosNC = $con->get(NULL, NULL, $cond, NULL, " fechaAtencion DESC ");
        
        include ("../vista/capas/nino_cred/plan_nino_cred_cita_lista.php");
      break;
    case "CargarControlSeguimiento":
		include $dirClase;    include $dirClaseSuplemento;
		$con = new NinoCred($conex);      $conS = new NinoSuplemento($conex);
        $conN = $con->getPersona();    $conR = $con->getRegla();    $conU = $con->getUsuario();
        $conC = $con->getConexion();    $conF = $con->getFuncion();    
        $idNino = $_REQUEST["idNino"];
        $cond = "idNino='".$idNino."';;estado!=3";
        $datosNC = $con->get(NULL, NULL, $cond, 1, " fechaAtencion DESC ");
                
        if(count($datosNC)>0)
        {   
            $datosN = $conN->get($idNino);
            $nombreCompleto = $datosN->getNombreCompleto();
            $hoy = date("Y-m-d", time());
                            
            $idRegla = $datosNC[0]->getIdRegla();
            $datosR = $conR->get($idRegla);
            
            $dias = $conF->calculo_edad($datosNC[0]->getFechaAtencion(), $hoy, "DIAS");
            $diasTrans = $dias[1];
            $diasTransMin = ($idRegla==1)?"2":(($idRegla==2)?"3":"10");
            if($diasTrans<$diasTransMin)
            {   echo "1"; exit(0);    }
            
            $numCtrl = $datosNC[0]->getNumeroControl();                
                                
            $fechaAtencion = date("d-m-Y", time());
                
                $edMes = $conN->getFuncion()->calculo_edad($datosN->getFechaNacimiento(), $hoy, "MESES");
                
            $fechaCita = $conF->getFechaDMY($datosNC[0]->getFechaCita());
            $diasTrans = $con->getFuncion()->calculo_edad($hoy, $fechaCita, "DIAS");
            $datosCita = "CRED ".($numCtrl+1).", <strong> en ".$diasTrans[0]."</strong>";
                
            $hideAC = " hide ";
                
            $valores = array("", " - SEGUIM. NUTRICIONAL", "", $numCtrl, $idNino
                , (($idRegla=="2")?"Menor de 1 a&ntilde;o":$datosR->getNombre()), $idRegla
                , "",  "", "", $fechaAtencion, "", $fechaCita, $datosCita, $hideAC
                , (($edMes[1]>6)?" disabled=\"\" ":""), "", "", "", "2"
                , (($edMes[1]>36)?" disabled=\"\" " :""), " hide ", "", "", ""
                , " hide ", "1",  " readonly=\"\" ", "", " hide ");
            $lmeCorch = "0";   $lmeValor= "";
                
            $html = file_get_contents("../vista/capas/nino_cred/plantilla_nino_cred_formulario.html");                
        	$variable = array("{OFFSET_CRED}", "{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NUMEROCONTROL}"
                , "{VALUE_IDNINO}", "{VALUE_NOMBRECRED}", "{VALUE_IDREGLA}", "{VALUE_PESO}", "{VALUE_TALLA}"
                , "{VALUE_PERIMETROCEFALICO}", "{VALUE_FECHAATENCION}", "{CAPA_ALERT}", "{VALUE_FECHACITA}"
                , "{DATOS_CITA}", "{AC_HIDE}", "{LME_HIDE}", "{CHECK_LME".$lmeCorch."}"
                , "{CHECK_CONSEJERIANUTRICIONAL}", "{CHECK_ESTIMULACION}", "{VALUE_ESTADO}", "{PC_HIDE}"
                , "{HIDE_LAB}", "{OPTIONS_PESOEDAD}", "{OPTIONS_TALLAEDAD}", "{OPTIONS_PESOTALLA}"
                , "{HIDE_ANTERIOR_CRED}", "{VALUE_SESION}"
                , "{READ_SESION}", "{VALUE_MMN}", "{MMN_HIDE}" );
       		$html = $con->getFuncion()->replace_form($html, $variable, $valores);                
    		echo $html;            
        }
        else
            echo 0;
	  break;
	case "Listado":
		include $dirClase;  $con = new NinoCred($conex);   $conF = $con->getFuncion();
        include $dirClasePatronReferencia;  $conPR = new PatronReferencia($conex);
        $idNino = (isset($_REQUEST["idNino"]))?$_REQUEST["idNino"]:"0";
        $optionsU = $con->getUsuario()->getOption(NULL, "idUsuario!='1'");
        
        $cond = ($idNino==0)?NULL:($cond = "idNino='".$idNino."'");
        
        $datosN = $con->getPersona()->get($idNino);
        $pesoAnt = $datosN->getPesoNacimiento();
        $tallaAnt = $datosN->getTallaNacimiento();
        $perimetroCefalicoAnt = $datosN->getPerimetroCefalicoNacimiento();
        
		$datos = $con->get(NULL, NULL, $cond, NULL, " fechaAtencion ASC");

		include ("../vista/capas/nino_cred/plantilla_nino_cred_lista.php");

	  break;
	case "Nuevo":
		include $dirClase;  $con = new NinoCred($conex);
		$html = file_get_contents("../vista/capas/nino_cred/plantilla_nino_cred_formulario.html");
            $fechaRespuesta = date("d-m-Y", time());
		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NUMEROCONTROL}", "{VALUE_IDNINO}", "{VALUE_NOMBRENINO}", "{VALUE_PESO}", "{VALUE_TALLA}", "{VALUE_PERIMETROCEFALICO}", "{VALUE_FECHAREGISTRO}", "{VALUE_IDRESPONSABLE}", "{VALUE_FECHAATENCION}");
        
		$valores = array(" Nueva - Formulario", "", "3", "", "", "", "", "", "", "", $fechaRespuesta);
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Edicion":
		include $dirClase;  $con = new NinoCred($conex);
		$idNinoCred = $_REQUEST["idNinoCred"];
		$datosNC = $con->get($idNinoCred);
        $edMes = $con->getFuncion()->calculo_edad($datosNC->getPersona()->getFechaNacimiento(), $datosNC->getFechaAtencion(), "MESES");
        
        $diasTrans = $con->getFuncion()->calculo_edad($datosNC->getFechaAtencion(), $datosNC->getFechaCita(), "DIAS");
        $datosCita = "Control ".($datosNC->getNumeroControl()+1).", <strong> en ".$diasTrans[0]."</strong>";
        
		$html = file_get_contents("../vista/capas/nino_cred/plantilla_nino_cred_formulario.html");

		$variable = array("{OFFSET_CRED}","{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NUMEROCONTROL}"
            , "{VALUE_IDNINO}", "{VALUE_NOMBRECRED}", "{VALUE_IDREGLA}", "{VALUE_PESO}", "{VALUE_TALLA}"
            , "{VALUE_PERIMETROCEFALICO}", "{VALUE_FECHAATENCION}", "{CAPA_ALERT}", "{HIDE_SUPLEMENTO}"
            , "{VALUE_FECHACITA}", "{DATOS_CITA}", "{AC_HIDE}", "{LME_HIDE}", "{CHECK_LME".$datosNC->getLme()."}"
            , "{CHECK_CONSEJERIANUTRICIONAL}", "{CHECK_ESTIMULACION}", "{VALUE_ESTADO}", "{PC_HIDE}"
            , "{HIDE_LAB}", "{OPTIONS_PESOEDAD}", "{OPTIONS_TALLAEDAD}", "{OPTIONS_PESOTALLA}"
            , "{HIDE_ANTERIOR_CRED}", "{VALUE_SESION}"
            , "{READ_SESION}", "{VALUE_MMN}", "{MMN_HIDE}"            );
        $msgAlert = file_get_contents("../vista/otros/plan_alert.html");
        $msgAlert = str_replace("{CLASE_ALERT}", "alert-error", $msgAlert);
        $msgAlert = str_replace("{MSG_ALERT}", "<strong>Precauci&oacute;n!</strong> Editar los datos podr&iacute;a alterar resultados", $msgAlert);
        $valores = array( "offset3"
            , " - Editar"
			,"<input type='hidden' id='idNinoCred' name='idNinoCred' value='".$idNinoCred."' />"
			, $datosNC->getNumeroControl(), $datosNC->getIdNino()
            , $datosNC->getRegla()->getNombre() , $datosNC->getIdRegla()
			, $datosNC->getPeso(), $datosNC->getTalla()	, $datosNC->getPerimetroCefalico()
            , $datosNC->getFuncion()->getFechaDMY($datosNC->getFechaAtencion())
            , $msgAlert   , "hide"
            , $datosNC->getFuncion()->getFechaDMY($datosNC->getFechaCita())
            , $datosCita
            , (($edMes[1]>12)?" hide " :"")
            , (($edMes[1]>6)?" disabled=\"\" " :"")
            , " checked "
            , ($datosNC->getConsejeriaNutricional()=="1")?" checked ":""
            , ($datosNC->getEstimulacion()>="1")?" checked ":""
            , $datosNC->getEstado()
            , (($edMes[1]>36)?" readonly=\"\" " :"")
            , " styled "
            , $datosNC->getOptionPesoEdad($datosNC->getPesoEdad())
            , $datosNC->getOptionTallaEdad($datosNC->getTallaEdad())
            , $datosNC->getOptionPesoTalla($datosNC->getTallaPeso())
            , ($datosNC->getEstado()>=1)?" hide ":""
            , ($datosNC->getEstimulacion()>0)?$datosNC->getEstimulacion():"1"
            , ($datosNC->getEstimulacion()>="1")?" ":" readonly=\"\" "
            , ($datosNC->getMmnConsumido()=="")?0:$datosNC->getMmnConsumido()
            , ($edMes[1]>6)?"" :" hide "     );
        
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Guardar":
		include $dirClase;    include $dirClasePatronReferencia;
		$con = new NinoCred($conex);  $conPR = new PatronReferencia($conex);
        $estado = $_REQUEST["estado"];
        $idUsuario = $_SESSION["idUsuario"];
		if(isset($_REQUEST["idNinoCred"]))
        {	$datosNC = $con->get($_REQUEST["idNinoCred"]);
            $idUsuario = $datosNC->getIdResponsable();
            $con->setIdNinoCred($_REQUEST["idNinoCred"]);
            if($estado == 0)  $estado = 1;            
        }
        $peso = $_REQUEST["peso"];
        $talla = $_REQUEST["talla"];            
        
		$con->setNumeroControl($_REQUEST["numeroControl"]);
		$con->setIdNino($_REQUEST["idNino"]);
        $con->setIdRegla($_REQUEST["idRegla"]);
		$con->setPeso($_REQUEST["peso"]);
		$con->setTalla($_REQUEST["talla"]);
            $perimetroCef = (isset($_REQUEST["perimetroCefalico"]) || $_REQUEST["perimetroCefalico"]!='')?$_REQUEST["perimetroCefalico"]:"0";
		$con->setPerimetroCefalico($perimetroCef);
		$con->setIdResponsable($idUsuario);
		$con->setFechaAtencion($con->getFuncion()->getFechaYMD($_REQUEST["fechaAtencion"]));
        $con->setFechaCita($con->getFuncion()->getFechaYMD($_REQUEST["fechaCita"]));
        if(isset($_REQUEST["lme"]))   $con->setLme($_REQUEST["lme"]);
        if(isset($_REQUEST["consejeriaNutricional"]))    $con->setConsejeriaNutricional($_REQUEST["consejeriaNutricional"]);
        if(isset($_REQUEST["estimulacion"]))   $con->setEstimulacion($_REQUEST["sesion"]);
        if(isset($_REQUEST["mmn"]))   $con->setMmnConsumido($_REQUEST["mmn"]);
        $con->setEstado($estado);
        
        $datosN = $con->getPersona()->get($_REQUEST["idNino"]);
        $pesoAnt = $datosN->getPesoNacimiento();
        $tallaAnt = $datosN->getTallaNacimiento();
        $perimetroCefalicoAnt = $datosN->getPerimetroCefalicoNacimiento();
        
        $consulta = "SELECT idRegla, numeroControl, peso, talla, pesoEdad, tallaEdad, tallaPeso, fechaAtencion
                FROM sin_nino.nino_cred
                WHERE idNino='".$_REQUEST["idNino"]."' AND IdRegla<='".$_REQUEST["idRegla"]."' AND fechaAtencion<'".$con->getFuncion()->getFechaYMD($_REQUEST["fechaAtencion"])."'
                ORDER BY idRegla DESC, numeroControl DESC
                LIMIT 3";
        echo $consulta;
        $datosNC = $con->getConexion()->datosTabla($consulta);
        
        $edMes = $con->getFuncion()->calculo_edad($datosN->getFechaNacimiento(), $con->getFuncion()->getFechaYMD($_REQUEST["fechaAtencion"]), "MESES");
        $edMes[1] = ($edMes[1]>60)?"60":$edMes[1];
            $cond = "edad='".$edMes[1]."';;sexo='".$datosN->getSexo()."';;";
        $datosPRP = $conPR->get(NULL, NULL, $cond."tipo='PESOEDAD'", 1);
        $datosPRT = $conPR->get(NULL, NULL, $cond."tipo='TALLAEDAD'", 1);  
        $talaRequest = (floor($_REQUEST["talla"])>120)?120:((floor($_REQUEST["talla"])<45)?45:floor($_REQUEST["talla"]));                              
            $cond = "edad='".$talaRequest."';;sexo='".$datosN->getSexo()."';;";
        $datosPRTP = $conPR->get(NULL, NULL, $cond."tipo='PESOTALLA'", 1);
        
        $cond = "edad='".(($edMes[1]==0)?1:(($edMes[1]>36)?"36":$edMes[1]))."';;sexo='A';;";
        $datosPRGP = $conPR->get(NULL, NULL, $cond."tipo='GANANCIAPESO'", 1);
        $datosPRGT = $conPR->get(NULL, NULL, $cond."tipo='GANANCIATALLA'", 1);
        
        $pesoEdad = "DA";
        $pesoEdad = (($_REQUEST["peso"]>=$datosPRP[0]->getMenos2())?"N":$pesoEdad);
        $pesoEdad = (($_REQUEST["peso"]>=$datosPRP[0]->getMas2())?"SP":$pesoEdad);
                      
        $tallaEdad = "TS";
        $tallaEdad = (($_REQUEST["talla"]>=$datosPRT[0]->getMenos3())?"TB":$tallaEdad);
        $tallaEdad = (($_REQUEST["talla"]>=$datosPRT[0]->getMenos2())?"N":$tallaEdad);
        $tallaEdad = (($_REQUEST["talla"]>=$datosPRT[0]->getMas2())?"TA":$tallaEdad);
        
        if(count($datosNC)>0 && $datosNC[0]["peso"]!="0")
        {   $ganActual = $_REQUEST["peso"] - $datosNC[0]["peso"];
            $diasPasados = $con->getFuncion()->calculo_edad($datosNC[0]["fechaAtencion"], $con->getFuncion()->getFechaYMD($_REQUEST["fechaAtencion"]), "DIAS");
            $mesPas = $diasPasados[1]/30;
            $ganEsperadaMin = $mesPas*$datosPRGP[0]->getMenos1();
            $ganEsperadaMax = $mesPas*$datosPRGP[0]->getMas1();
            $pesoEdad = ($ganActual<$ganEsperadaMin && $pesoEdad=="N")?"GiP":$pesoEdad;
            $pesoEdad = ($ganActual>$ganEsperadaMin && $pesoEdad=="DA")?"N":$pesoEdad;     
            
            /*GANANCIA TALLA DE NIO*/
            $ganActual = $_REQUEST["talla"] - $datosNC[0]["talla"];  //echo $ganActual;
            $ganEsperadaMin = $mesPas*$datosPRGT[0]->getMenos1();    //echo " - ".$ganEsperadaMin."<br><br><br><br>";
            $tallaEdad = ($ganActual<$ganEsperadaMin && $tallaEdad=="N")?"GiT":$tallaEdad;
            $tallaEdad = ($ganActual>$ganEsperadaMin && $tallaEdad=="TB")?"N":$tallaEdad;
            $tallaEdad = ($ganActual>$ganEsperadaMin && $tallaEdad=="TS")?"N":$tallaEdad; 
        } 
        
        $tallaPeso = "DS";
        $tallaPeso = (($_REQUEST["peso"]>=$datosPRTP[0]->getMenos3())?"DA":$tallaPeso);
        $tallaPeso = (($_REQUEST["peso"]>=$datosPRTP[0]->getMenos2())?"N":$tallaPeso);
        $tallaPeso = (($_REQUEST["peso"]>=$datosPRTP[0]->getMas2())?"SP":$tallaPeso);
        $tallaPeso = (($_REQUEST["peso"]>=$datosPRTP[0]->getMas3())?"OB":$tallaPeso);
        
        if(isset($_REQUEST["idNinoCred"]))
        {   $datosNC = $con->get($_REQUEST["idNinoCred"]);
            if($datosNC->getPeso()==$_REQUEST["peso"])
                $pesoEdad = $_REQUEST["labPE"];
            if($datosNC->getTalla()==$_REQUEST["talla"])
                $tallaEdad = $_REQUEST["labTE"];
            if($datosNC->getPeso()==$_REQUEST["peso"] && $datosNC->getTalla()==$_REQUEST["talla"])
                $tallaPeso = $_REQUEST["labTP"];			
        }
        
        $con->setPesoEdad($pesoEdad);
        $con->setTallaEdad($tallaEdad);
        $con->setTallaPeso($tallaPeso);
        
        $query = "SELECT valor FROM sin_nino.parametro AS pa WHERE nombre='CODIGOESTABLECIMIENTO'";
        $dataP = $con->getConexion()->datosTabla($query);   $cod_2000 = $dataP[0][0];
        $con->setCod_2000($cod_2000);
        
		$con->guardar();
        
	  break;
    case "CambiarUsuarioGuardar":
        include_once $dirClaseDomicilio;    $conND = new NinoDomicilio($conex);
        include_once $dirClase;            $con = new NinoCred($conex);
        include_once $dirClaseSuplemento;  $conNS = new NinoSuplemento($conex);  
        include_once $dirClaseTamizaje;      $conNT = new NinoTamizaje($conex);           
        include_once $dirClasePsicomotor;      $conNP = new NinoPsicomotor($conex);
		$idNinoCred = $_REQUEST["idNinoCred"];   $idUsuario = $_REQUEST["idUsuario"];
        
        $datosNC = $con->get($idNinoCred);
        $datosNC->setIdResponsable($idUsuario);
        $datosNC->guardar();
        
        $datosND = $conND->get(NULL, NULL, "idNino='".$datosNC->getIdNino()."';;fechaAtencion='".$datosNC->getFechaAtencion()."'", 1);
        foreach($datosND AS $item)
        {   $auxND = $conND->get($item->getIdNinoDomicilio());
            $auxND->setIdUsuario($idUsuario);
            $auxND->guardar();          
        }
        
        $datosNS = $conNS->get(NULL, NULL, "idNino='".$datosNC->getIdNino()."';;fechaAtencion='".$datosNC->getFechaAtencion()."'");
        foreach($datosNS AS $item)
        {   $auxNS = $conNS->get($item->getIdNinoSuplemento());
            $auxNS->setIdResponsable($idUsuario);
            $auxNS->guardar();          
        }
        
        $datosNT = $conNT->get(NULL, NULL, "idNino='".$datosNC->getIdNino()."';;fechaAtencion='".$datosNC->getFechaAtencion()."'");
        foreach($datosNT AS $item)
        {   $auxNT = $conNT->get($item->getIdNinoTamizaje());
            $auxNT->setIdUsuario($idUsuario);
            $auxNT->guardar();   
            echo ($idUsuario);      
        }
        
        $datosNP = $conNP->get(NULL, NULL, "idNino='".$datosNC->getIdNino()."';;fechaAtencion='".$datosNC->getFechaAtencion()."'");
        foreach($datosNP AS $item)
        {   $auxNP = $conNP->get($item->getIdNinoPsicomotor());
            $auxNP->setIdUsuario($idUsuario);
            $auxNP->guardar();
        }
      break;
    case "GuardarSoloSuplemento":
		include $dirClase;    include $dirClasePatronReferencia;
		$con = new NinoCred($conex);
        
        $datosNC = $con->get(NULL, NULL, "idNino=".$_REQUEST["idNino"].";;estado=1", 1, "fechaAtencion DESC");  
           
		$con->setIdNino($_REQUEST["idNino"]);
        $con->setIdRegla($datosNC[0]->getIdRegla());
        $con->setNumeroControl($datosNC[0]->getNumeroControl());
		$con->setFechaAtencion($con->getFuncion()->getFechaYMD($_REQUEST["fechaAtencion"]));
        $con->setConsejeriaNutricional(1);
        $con->setMmnConsumido($_REQUEST["numeroControl"]); //Numero de entrega de Suplementos
        $con->setIdResponsable($_SESSION["idUsuario"]);
        $con->setEstado(3);
        
        $query = "SELECT valor FROM parametro AS pa WHERE nombre='CODIGOESTABLECIMIENTO'";
        $dataP = $con->getConexion()->datosTabla($query);   $cod_2000 = $dataP[0][0];
        $con->setCod_2000($cod_2000);
        
                
		$con->guardar();        
	  break;
    case "GuardarSoloSector":
		include $dirClase;    $con = new NinoCred($conex);    $conN = $con->getPersona();
        
        $datosN = $conN->get($_REQUEST["idNino"]);  
        $datosN->setIdSector($_REQUEST["idSector"]);
        $datosN->guardar();
		        
	  break;
    case "GuardarSoloFechaCita":
		include $dirClase;    $con = new NinoCred($conex);    $conN = $con->getPersona();
        
        $datosNC = $con->get($_REQUEST["idNinoCred"]);  
        $datosNC->setFechaCita($con->getFuncion()->getFechaYMD($_REQUEST["fechaCita"]));
        $datosNC->guardar();
        
        echo $datosNC->getIdNino();
	  break;   
    case "ActualizarEstado":
        $idNinoCred = $_REQUEST["idNinoCred"];
        include $dirClase;	$con = new NinoCred($conex);
        $datosNC = $con->get($idNinoCred);
        $datosNC->setEstado(1);
        $datosNC->guardar();
        
        echo $datosNC->getIdNino();
      break;
    case "ActualizarLista":
        $idNino = $_REQUEST["idNino"];
		include $dirClase;	$con = new NinoCred($conex);
        $conR = $con->getRegla();
        $datosR = $conR->get(NULL, NULL, "tipoRegla='CRED'");
        
		include "../vista/capas/nino_cred/plan_nino_cred_actualizar_lista.php";
	  break;
    case "ActualizarGuardar":
		include $dirClase;	$con = new NinoCred($conex);
        
        if($_REQUEST["cantidad"]=="")
            $msg = "No Ingreso cantidad;;error;;ERROR!";
        else
        {   $datosR = $con->getRegla()->get($_REQUEST["idRegla"]);
            $maximo = ($datosR->getCantidadMaxima()>$_REQUEST["cantidad"])?$_REQUEST["cantidad"]:$datosR->getCantidadMaxima();
    		$con->setIdNino($_REQUEST["idNino"]);
                $datosN = $con->getPersona()->get($_REQUEST["idNino"]);
                $fechaNac = $datosN->getFechaNacimiento();
            $con->setIdRegla($_REQUEST["idRegla"]);
                $datosR = $con->getRegla()->get($_REQUEST["idRegla"]);
                $tipoFecha = ($datosR->getTipoFrecuencia()=="DIA")?"Day":(($datosR->getTipoFrecuencia()=="MES")?"Month":"Year");
                $fechaAtencion = date("Y-m-d", strtotime("+".$datosR->getEdadMinima().$tipoFecha,strtotime($fechaNac)));
    		$con->setPeso("0.0000");
    		$con->setTalla("0.0000");
    		$con->setPerimetroCefalico("0.0000");
    		$con->setIdResponsable($_SESSION["idUsuario"]);
            $con->setEstado(0);
            
            $query = "SELECT valor FROM parametro AS pa WHERE nombre='CODIGOESTABLECIMIENTO'";
            $dataP = $con->getConexion()->datosTabla($query);   $cod_2000 = $dataP[0][0];
            $con->setCod_2000($cod_2000);
            
            $fechaHoy = date("Y-m-d", time());
            $fechaAnt = $fechaNac; 
            for($i=1;$i<=$maximo;$i++)
            {   $con->setFechaAtencion($fechaAtencion);
                    $fechaCita = date("Y-m-d", strtotime("+".$datosR->getFrecuencia().$tipoFecha,strtotime($fechaAtencion)));
                $con->setFechaCita($fechaCita);
                $con->setNumeroControl($i);
                    $cond = "idNino='".$_REQUEST["idNino"]."';;idRegla='".$_REQUEST["idRegla"]."'";
                    $cond .= ";;numeroControl=".$i;
                $datosNC = $con->get(NULL, NULL, $cond, 1);
                if(count($datosNC)==0 && $fechaHoy>$fechaAtencion && $fechaAnt<$fechaAtencion)
                    $con->guardar();
                $frecuencia = ($tipoFecha=="Day" && $i==1)?"5":$datosR->getFrecuencia();
                $fechaAnt = (count($datosNC)>0)?$datosNC[0]->getFechaAtencion():(($fechaAnt>$fechaAtencion)?$fechaAnt:$fechaAtencion);
                $fechaAtencion = date("Y-m-d", strtotime("+".$frecuencia.$tipoFecha,strtotime($fechaAtencion)));
                while($fechaAnt>$fechaAtencion)
                {   $fechaAtencion = date("Y-m-d", strtotime("+1".$tipoFecha,strtotime($fechaAtencion)));
                }
            }
            
            $msg = "Actualizado;;success;;OK!";
        }
        echo $msg;
	  break;
	case "Eliminar":
		include $dirClase;  $con = new NinoCred($conex);
		$con->setIdNinoCred($_REQUEST["idNinoCred"]);

		$con->eliminar();
	  break;
    case "CargarTarjetaControlNino":
		include $dirClase;  include $dirClaseSuplemento;  include $dirClaseTamizaje;  include $dirClaseVacuna;  
        $conNC = new NinoCred($conex);  $conNS = new NinoSuplemento($conex);   $conNT = new NinoTamizaje($conex);   $conNV = new NinoVacuna($conex);  
        $conF = $conNC->getFuncion(); $conC = $conNC->getConexion();
        $conN = $conNC->getPersona();  $conR = $conNC->getRegla();
        $idNino = $_REQUEST["idNino"];      $datosN = $conN->get($idNino);
        
        $datosR = $conR->get(NULL, NULL, "tipoRegla='CRED'");
        //echo var_dump($datosR);
        $menuTabCred = "";  $contTabCred = "";  $i = 0;
        foreach($datosR as $item)
        {   $i++;
            $menuTabCred .= "<li ".((($i==1))?" class=\"active\" ":"");
            $menuTabCred .= " ><a href=\"#CredTab".$item->getIdRegla()."\" data-toggle=\"tab\">";
            $menuTabCred .= $item->getNombre()."</a></li>";            
            
            $contTabCred .= "<div class=\"tab-pane fade ".((($i==1))?" active in ":"")." \" id=\"CredTab".$item->getIdRegla()."\">";
                $nombreCred = $item->getNombre();
                $datosNC = $conNC->get(NULL, NULL, "idNino='".$idNino."';;idRegla='".$item->getIdRegla()."'");
                ob_start(); include "../vista/capas/nino_cred/plan_tarjeta_nino_cred_lista.php";
                $tablacred = ob_get_clean();            
            $contTabCred .= $tablacred."</div>";
        }
        
        $msgFaltas  = "<div class=\"alert  \">";
        $msgFaltas .= "<span class=\"label label-important\">DATOS FALTANTES DEL NI&Ntilde;O</span> 
                &nbsp;&nbsp;&nbsp;&nbsp;<button title='Editar Datos del Ni&ntilde;o' onclick=\"editar_persona('".$idNino."','NINO')\">Editar Datos</button>
            <br />";             
        
        $sectorHtml = "";   //ACTUALIZACION HASTA 30 DE JUNIO
        if($datosN->getIdSector()==0)
        {   $sectorHtml = file_get_contents("../vista/capas/nino/plan_temp_sector_nino.html");
            $optionsS = $conN->getSector()->getOption();
            $sectorHtml = str_replace("{VALUE_IDNINO}", $idNino, $sectorHtml);
            $sectorHtml = str_replace("{OPTIONS_SECTOR}", $optionsS, $sectorHtml);            
        }        
        
        $celularHtml = "";   //ACTUALIZACION HASTA 30 DE JUNIO
        if(strlen($datosN->getTelefono())<6)
        {   $celularHtml = file_get_contents("../vista/capas/nino/plan_temp_celular_nino.html");
            $celularHtml = str_replace("{VALUE_IDNINO}", $idNino, $celularHtml);
            $celularHtml = str_replace("{VALUE_CELULAR}", $datosN->getTelefono(), $celularHtml);            
        }        
        
        $citaHtml = "";   //ACTUALIZACION HASTA 30 DE JUNIO
        $datosNCU = $conNC->get(NULL, NULL, "idNino='".$idNino."';;estado>='1'",1, " fechaAtencion DESC");
        if(count($datosNCU)>0)
        {   $citaHtml = file_get_contents("../vista/capas/nino_cred/plan_temp_cita_cred.html");            
            $fechaCita = date("d-m-Y", strtotime($datosNCU[0]->getFechaCita()));
            $citaHtml = str_replace("{VALUE_IDNINOCRED}", $datosNCU[0]->getIdNinoCred(), $citaHtml);
            $citaHtml = str_replace("{VALUE_FECHA_CITA}", $fechaCita, $citaHtml);            
        }       
        
        $band = 0;
        if(trim($datosN->getDniValido())==0)
        {   $msgFaltas .= "<strong class='text-error'>DNI Valido :  </strong> El DNI del Ni&ntilde;o a&uacute;n no est&aacute; validado<br />";
            $band = 1;
        }
        
        if(trim($datosN->getHistoriaClinica())=="")
        {   $msgFaltas .= "<strong class='text-error'>H.C. :  </strong> Falta Historia Cl&iacute;nica del Ni&ntilde;o<br />";
            $band = 1;
        }
        
        if(trim($datosN->getDni())=="")
        {   $msgFaltas .= "<strong class='text-error'>DNI. : </strong> Falta Documento Nacional de Identiad <br />";
            $band = 1;
        }
        else if(strlen(trim($datosN->getDni()))<8)
        {   $msgFaltas .= "<strong class='text-error'>DNI. : </strong> Error en cantidad de D&iacute;gitos <br />";
            $band = 1;            
        }
        if(trim($datosN->getSexo())=="")
        {   $msgFaltas .= "<strong class='text-error'>SEXO. : </strong> El sexo del ni&ntilde;o(a) no fue ingresado. <br />";
            $band = 1;
        }
        if(trim($datosN->getPesoNacimiento())=="")
        {   $msgFaltas .= "<strong class='text-error'>PESO. : </strong> Falta de Peso y Talla al Nacimiento del Ni&ntilde;o <br />";
            $band = 1;
        }
        
        if(trim($datosN->getCodigoSis())=="")
        {   $msgFaltas .= "<strong class='text-error'>C&oacute;digo SIS. : </strong> Falta C&oacute;digo de SIS, para impresi&oacute;n de FUA <br />";
            $band = 1;
        }
        else 
        {   $codSis = explode("-", $datosN->getCodigoSis());
            if(count($codSis)!=3)
            {   $msgFaltas .= "<strong class='text-error'>C&oacute;digo SIS. : </strong> Error en UCA registado del Ni&ntilde;o <br />";
                $band = 1;
            }            
        }
        
        if(trim($datosN->getIdUbigeoDireccion())<1 )
        {   $msgFaltas .= "<strong class='text-error'>DISTRITO. : </strong> Datos de direcci&oacute;n que se imprime en el HIS y seguimiento en visitas domiciliarias.<br />";
            $band = 1;
        }
        if(trim($datosN->getIdFinanciamiento())<1 )
        {   $msgFaltas .= "<strong class='text-error'>Financimiento. : </strong> No seleccion&oacute; un Financiamiento: SIS, USUARIO u Otros<br />";
            $band = 1;
        }
        if(trim($datosN->getIdEtnia())<1 )
        {   $msgFaltas .= "<strong class='text-error'>Etnia. : </strong> La etnia es importante para la impresi&oacute;n del HIS<br />";
            $band = 1;
        }
        if(trim($datosN->getLocalidad())=="")
        {   $msgFaltas .= "<strong class='text-error'>Localidad. : </strong> Para Impresion en SIEN y visitas domiciliarias.<br />";
            $band = 1;            
        }
        if(trim($datosN->getDireccion())=="")
        {   $msgFaltas .= "<strong class='text-error'>Direcci&oacute;n. : </strong> Para seguimiento en Visitas Domiciliarias.<br />";
            $band = 1;            
        }
        
        if(trim($datosN->getIdSector())=="0")
        {   $msgFaltas .= "<strong class='text-error'>Sector. : </strong> Ubique al Ni&ntilde;o en su Sector-Direcci&oacute;n para filtrar visitas.<br />";
            $band = 1;            
        }
        
        if($band==1)       $msgFaltas .= "</div>";
        else    $msgFaltas = "";
        
        $dataNC = $conNC->get(NULL, NULL, "idNino='".$idNino."'", 5, " fechaAtencion DESC ");
                
        $dataNS = $conNS->get(NULL, NULL, "idNino='".$idNino."'", 5, " fechaAtencion DESC ");
                
        $dataNT = $conNT->get(NULL, NULL, "idNino='".$idNino."'", 5, " fechaAtencion DESC, resultado DESC ");
                
        $dataNV = $conNV->get(NULL, NULL, "idNino='".$idNino."'", 5, " fechaAtencion DESC ");
        
        
        $edad = $conF->calculo_edad($datosN->getFechaNacimiento(),date('Y-m-d',time()),'CRED');
        //echo var_dump($edad);
        //echo var_dump($dataNV);
        
		        
        ob_start();
		include ("../vista/capas/nino_cred/plan_tarjeta_control_nino.php");
		$lista_nino_suplemento = ob_get_clean();
        
        echo $lista_nino_suplemento;        
	  break;
    case "GraficaEstadoNutricional":
        include $dirClase;  $conNC = new NinoCred($conex);    $conF = $conNC->getFuncion(); 
        $conN = $conNC->getPersona();  $conR = $conNC->getRegla();
        include $dirClasePatronReferencia;  $conPR = new PatronReferencia($conex);
        
        $idNino = $_REQUEST["idNino"];  $datosN = $conN->get($idNino);
        
            $cond = "sexo='".$datosN->getSexo()."';;tipo='PESOEDAD'";
        $datosPR = $conPR->get(NULL, NULL, $cond);
        
        //echo count($datosPR);
        
        $dataPEmenos2 = "";    $dataPEmedia = "";   $dataPE = ""; 
        $dataPEmas2 = "";   $i = 0;
        foreach($datosPR as $item)                                
        {   $dataPEmenos2 .= ", [".$i.", ".$item->getMenos2()."]";
            $dataPEmedia .= ", [".$i.", ".$item->getMedia()."]";
            $dataPEmas2 .= ", [".$i++.", ".$item->getMas2()."]";            
        }
        
        $query = "SELECT TIMESTAMPDIFF(MONTH,ni.fechaNacimiento,nc.fechaAtencion) AS edad
            	, MAX(nc.peso) AS peso FROM sin_nino.nino_cred AS nc 
            INNER JOIN sin_nino.nino AS ni ON ni.idNino=nc.idNino
            WHERE nc.idNino='".$idNino."' AND nc.estado>0 GROUP BY 1";
        $datosPE = $conNC->getConexion()->datosTabla($query);
        foreach($datosPE as $item)                                
        {   $dataPE .= ", [".$item["edad"].", ".$item["peso"]."]";          
        }
        
        $dataPEmenos2 = substr($dataPEmenos2, 2, strlen($dataPEmenos2));
        $dataPEmedia = substr($dataPEmedia, 2, strlen($dataPEmedia));
        $dataPEmas2 = substr($dataPEmas2, 2, strlen($dataPEmas2));
        $dataPE = substr($dataPE, 2, strlen($dataPE));
        //echo var_dump($dataPEmenos2);
        
        include "../vista/capas/nino_cred/plantilla_nino_cred_grafica.php";
      break;
    case "ExportarSinHisTemplate":
        include $dirClase;  $con = new NinoCred($conex);	$conF = $con->getFuncion();    
        $anio = date("Y", time());
        $html = file_get_contents("../vista/capas/principal.html"); 
        $dia = (isset($_REQUEST["mes"]))?30:date("d", time());
        $mes = (isset($_REQUEST["mes"]))?$_REQUEST["mes"]:date("m", time());
        //echo $dia."-".$mes."-".$anio;
        if($dia<16 && $mes==1)  {   $mes=12;    $anio--;       } 
        elseif($dia<16 && $mes>1) $mes--;
        $datosAnio = array();  for($i=2014; $i<=date("Y", time()); $i++)
            $datosAnio[] = array($i, "Anio ".$i);
        $optionsA = $conF->getOption($datosAnio, $anio);
        
        $datosMes = array();  for($i=1; $i<=12; $i++)
            $datosMes[] = array(str_pad($i,2,"0",STR_PAD_LEFT), $conF->mesNombreCompleto(str_pad($i,2,"0",STR_PAD_LEFT)));
        $optionsM = $conF->getOption($datosMes,$mes);
        
        $formBus = file_get_contents("../vista/capas/nino_cred/plan_exportar_sin_his_formulario.html");
        $formBus = str_replace("{OPTIONS_ANIO}", $optionsA, $formBus);
        $formBus = str_replace("{OPTIONS_MES}", $optionsM, $formBus);
        $formBus = str_replace("{VALUE_FECHA1}", "01-".$mes."-".$anio, $formBus);
        $formBus = str_replace("{VALUE_FECHA2}", $conF->diasMes($mes, $anio)."-".$mes."-".$anio, $formBus);
        
        $query = "SELECT * FROM sin_nino.parametro WHERE (idParametro='1' AND nombre='CODIGOESTABLECIMIENTO') 
                OR (idParametro='2' AND nombre='NOMBREESTABLECIMIENTO') ORDER BY 1 ASC;";
        $datosP = $con->getConexion()->datosTabla($query);
        $datosP = $con->getConexion()->datosTabla($query);
        $formBus = str_replace("{VALUE_COD_2000}", $datosP[0]["valor"], $formBus);
        $formBus = str_replace("{VALUE_EESS}", $datosP[1]["valor"], $formBus);
        $query = "SELECT * FROM salud_maestro.vista_establecimiento WHERE cod_2000='".$datosP[0]["valor"]."' LIMIT 1;";
        $datosPO = $con->getConexion()->datosTabla($query); $codOficial = (count($datosPO)>0)?$datosPO[0]["nom_est"]:"XXX";
        $formBus = str_replace("{VALUE_EESS_OFICIAL}", $codOficial, $formBus);
        
        $query = "SELECT COUNT(cod_2000) AS hojas, SUM(tot_reg) AS registros  
            FROM bdhis.his1".str_pad($mes,2,"0",STR_PAD_LEFT).substr($anio,2,2)."
            WHERE cod_2000='".$datosP[0]["valor"]."' GROUP BY cod_2000"; //echo $query;
        $datosA = $con->getConexion()->datosTabla($query);
        $cant1 = (count($datosA)==0)?0:$datosA[0]["hojas"];
        $cant2 = (count($datosA)==0)?0:$datosA[0]["registros"];
        $formBus = str_replace("{VALUE_HIS1R}", $cant1, $formBus);
        $formBus = str_replace("{VALUE_HIS1T}", $cant2, $formBus);
                
        $query = "SELECT COUNT(cod_2000) AS registros  
            FROM bdhis.hisa".str_pad($mes,2,"0",STR_PAD_LEFT).substr($anio,2,2)."
            WHERE cod_2000='".$datosP[0]["valor"]."' GROUP BY cod_2000";// echo $query;
        $datosA = $con->getConexion()->datosTabla($query);
        $cant2 = (count($datosA)==0)?0:$datosA[0]["registros"];
        $formBus = str_replace("{VALUE_HISAR}", $cant2, $formBus);
        
        $query = "SELECT COUNT(*) AS total FROM sin_nino.nino_vacuna 
            WHERE YEAR(fechaAtencion)='".$anio."' AND cod_2000='".$datosP[0]["valor"]."' AND (idVacuna='17' OR idVacuna='39') AND estado>0 ORDER BY 1 ASC;";
        $datosS = $con->getConexion()->datosTabla($query);  $tot1 = $datosS[0]["total"]; 
        $formBus = str_replace("{VALUE_AMA_SIN_NINO}", $tot1, $formBus);
            
        $query = "SELECT COUNT(*) AS total FROM salud_sismore.vacunados_sin WHERE YEAR(fechaAtencion)='".$anio."' AND cod_2000='".$datosP[0]["valor"]."' ORDER BY 1 ASC;";
        $datosS = $con->getConexion()->datosTabla($query);  $tot2 = $datosS[0]["total"];
        $formBus = str_replace("{VALUE_AMA_SISMORE}", $tot2, $formBus);
        $formBus = str_replace("{VALUE_CLASS_AMA_SISMORE}", (($tot1==$tot2)?'success':'warning'), $formBus);
        $formBus = str_replace("{VALUE_ANIO}", $anio, $formBus);
                
        $html = str_replace("{CAPA1}", $formBus, $html);
        $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);
        
        echo $html;
      break;
    case "ExportarAmaSinNinoSismore":
        include $dirClase;  $con = new NinoCred($conex);	$conF = $con->getFuncion();    
        $anio = $_REQUEST["anio"];
        $cod_2000 = $_REQUEST["cod_2000"];
        
        $query = "DELETE FROM salud_sismore.vacunados_sin WHERE cod_2000='".$cod_2000."' AND idSistema='1';";
        //echo $query;
        $con->getConexion()->consultar($query);
        
        $query = "INSERT INTO salud_sismore.vacunados_sin 
            (cod_2000,fechaAtencion,turno,modo,dniProfesional,dni,historiaClinica,paterno,materno,nombre,sexo,fechaNacimiento,idEtnia,idFinanciamiento,labRiesgo,cieMorbilidad,direccion,idSistema,idDigitador) 
            SELECT '".$cod_2000."' AS cod_2000, va.fechaAtencion, 'M' AS turno,  IF(va.estado=2,'E','I') AS modo, us.dni AS dniProfesional
            	, ni.dni, ni.historiaClinica, ni.paterno, ni.materno, ni.nombre, ni.sexo, ni.fechaNacimiento, ni.idEtnia, ni.idFinanciamiento
                , va.lab2 AS labRiesgo, va.diag2 AS cieMorbilidad, ni.direccion, '1' AS idSistema, '1' AS idDigitador
            FROM sin_nino.nino_vacuna AS va 
            INNER JOIN sin_nino.nino AS ni ON ni.idNino=va.idNino
            INNER JOIN sin_nino.usuario AS us ON us.idUsuario=va.idUsuario
            WHERE (va.idVacuna='17' OR va.idVacuna='39') AND ni.idNino!='' AND estado>0";
        //echo $query;
        $con->getConexion()->consultar($query);
      break;
    case "ExportarSinHisProcesar":
        include $dirClase;  $con = new NinoCred($conex);	$conF = $con->getFuncion();
        $html = file_get_contents("../vista/capas/principal.html");
        $datosMes = array();
        for($i=1; $i<=12; $i++)
            $datosMes[] = array(str_pad($i,2,"0",STR_PAD_LEFT), $conF->mesNombreCompleto(str_pad($i,2,"0",STR_PAD_LEFT)));
        $optionsM = $conF->getOption($datosMes,date("m", time()));
            
        $formBus = file_get_contents("../vista/capas/nino_cred/plan_nino_cred_buscador_formulario.html");
        $formBus = str_replace("{OPTIONS_MES}", $optionsM, $formBus);
                
        $html = str_replace("{CAPA1}", $formBus, $html);
        $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);
        
        echo $html;
      break;
    
}
$Conexion->desconectar();

?>