<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/persona.php';
class Gestante
{	private $idGestante = 0; 
	private $idPersona; 
	private $cod_2000; 
	private $numeroEmbarazo; 
	private $numeroFetos; 
	private $fum; 
	private $fpp; 
	private $finaliza; 
	private $fechaFinaliza; 
	private $idUsuarioRegistro; 
	private $fechaRegistro; 
	private $idUsuarioActualizacion; 
	private $fechaUltimaActualizacion; 
	private $observaciones; 
	private $estado; 
    
	private $persona; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
		$this->persona = new Persona($con);
	}

	public function getConexion()                                              {	return $this->conexion;	}
	public function getFuncion()                                               {	return new Funciones();	}

	//SETS
	public function setPersona($persona)                   	                   {	$this->persona = $persona;	} 
	
    public function setIdGestante($idGestante)                 	               {	$this->idGestante = $idGestante;	} 
	public function setIdPersona($idPersona)                   	               {	$this->idPersona = $idPersona;	} 
	public function setCod_2000($cod_2000)                     	               {	$this->cod_2000 = $cod_2000;	} 
	public function setNumeroEmbarazo($numeroEmbarazo)         	               {	$this->numeroEmbarazo = $numeroEmbarazo;	} 
	public function setNumeroFetos($numeroFetos)         	                   {	$this->numeroFetos = $numeroFetos;	} 
	public function setFum($fum)                               	               {	$this->fum = $fum;	} 
	public function setFpp($fpp)                               	               {	$this->fpp = $fpp;	} 
	public function setFinaliza($finaliza)                     	               {	$this->finaliza = $finaliza;	} 
	public function setFechaFinaliza($fechaFinaliza)           	               {	$this->fechaFinaliza = $fechaFinaliza;	} 
	public function setIdUsuarioRegistro($idUsuarioRegistro)               	   {	$this->idUsuarioRegistro = $idUsuarioRegistro;	} 
	public function setFechaRegistro($fechaRegistro)                           {	$this->fechaRegistro = $fechaRegistro;	} 
	public function setIdUsuarioActualizacion($idUsuarioActualizacion)         {	$this->idUsuarioActualizacion = $idUsuarioActualizacion;	} 
	public function setFechaUltimaActualizacion($fechaUltimaActualizacion)     {	$this->fechaUltimaActualizacion = $fechaUltimaActualizacion;	} 
	public function setObservaciones($observaciones)                           {	$this->observaciones = $observaciones;	} 
	public function setEstado($estado)                                         {	$this->estado = $estado;	} 

	//GETS
	public function getPersona()                   	                    {	return $this->persona;	} 
	
    public function getIdGestante()                                 	{	return $this->idGestante;	} 
	public function getIdPersona()                                     	{	return $this->idPersona;	} 
	public function getCod_2000()                                      	{	return $this->cod_2000;	} 
	public function getNumeroEmbarazo()                                	{	return $this->numeroEmbarazo;	} 
	public function getNumeroFetos()         	                        {	return $this->numeroFetos;	} 
	public function getFum()                                           	{	return $this->fum;	} 
	public function getFpp()                                           	{	return $this->fpp;	} 
	public function getFinaliza()                                      	{	return $this->finaliza;	} 
	public function getFechaFinaliza()                                 	{	return $this->fechaFinaliza;	} 
	public function getIdUsuarioRegistro()                             	{	return $this->idUsuarioRegistro;	} 
	public function getFechaRegistro()                                 	{	return $this->fechaRegistro;	} 
	public function getIdUsuarioActualizacion()                        	{	return $this->idUsuarioActualizacion;	} 
	public function getFechaUltimaActualizacion()                      	{	return $this->fechaUltimaActualizacion;	} 
	public function getObservaciones()                                 	{	return $this->observaciones;	} 
	public function getEstado()                                        	{	return $this->estado;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idGestante == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO gestante (idPersona, cod_2000, numeroEmbarazo, numeroFetos, fum, fpp, finaliza, fechaFinaliza, idUsuarioRegistro, fechaRegistro, idUsuarioActualizacion, fechaUltimaActualizacion, observaciones, estado)
			VALUES('".$this->idPersona."', '".$this->cod_2000."', '".$this->numeroEmbarazo."', '".$this->numeroFetos."', '".$this->fum."', '".$this->fpp."', '".$this->finaliza."', '".$this->fechaFinaliza."', '".$this->idUsuarioRegistro."', '".$this->fechaRegistro."', '".$this->idUsuarioActualizacion."', '".$this->fechaUltimaActualizacion."', '".$this->observaciones."', '".$this->estado."')";
		echo $consulta;
        $this->conexion->ejecutar($consulta);
        
	}

	private function modificar()
	{	$consulta = "UPDATE gestante 
			SET idPersona = '".$this->idPersona."', cod_2000 = '".$this->cod_2000."', numeroEmbarazo = '".$this->numeroEmbarazo."', 
				numeroFetos = '".$this->numeroFetos."', fum = '".$this->fum."', fpp = '".$this->fpp."', 
                finaliza = '".$this->finaliza."', fechaFinaliza = '".$this->fechaFinaliza."', 
				idUsuarioRegistro = '".$this->idUsuarioRegistro."', fechaRegistro = '".$this->fechaRegistro."', 
				idUsuarioActualizacion = '".$this->idUsuarioActualizacion."', fechaUltimaActualizacion = '".$this->fechaUltimaActualizacion."', 
				observaciones = '".$this->observaciones."', estado = '".$this->estado."'
			WHERE idGestante = '".$this->idGestante."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM gestante ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Gestante($this->conex);
				$objeto->setIdGestante($row['idGestante']);
				$objeto->setIdPersona($row['idPersona']);
				$objeto->setCod_2000($row['cod_2000']);
				$objeto->setNumeroEmbarazo($row['numeroEmbarazo']);
				$objeto->setNumeroFetos($row['numeroFetos']);
				$objeto->setFum($row['fum']);
				$objeto->setFpp($row['fpp']);
				$objeto->setFinaliza($row['finaliza']);
				$objeto->setFechaFinaliza($row['fechaFinaliza']);
				$objeto->setIdUsuarioRegistro($row['idUsuarioRegistro']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
				$objeto->setIdUsuarioActualizacion($row['idUsuarioActualizacion']);
				$objeto->setFechaUltimaActualizacion($row['fechaUltimaActualizacion']);
				$objeto->setObservaciones($row['observaciones']);
				$objeto->setEstado($row['estado']);
                
                $objeto->setPersona($this->persona->get($row['idPersona']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM gestante WHERE idGestante='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Gestante($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdGestante($datos[0]['idGestante']);
				$objeto->setIdPersona($datos[0]['idPersona']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setNumeroEmbarazo($datos[0]['numeroEmbarazo']);
				$objeto->setNumeroFetos($datos[0]['numeroFetos']);
				$objeto->setFum($datos[0]['fum']);
				$objeto->setFpp($datos[0]['fpp']);
				$objeto->setFinaliza($datos[0]['finaliza']);
				$objeto->setFechaFinaliza($datos[0]['fechaFinaliza']);
				$objeto->setIdUsuarioRegistro($datos[0]['idUsuarioRegistro']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
				$objeto->setIdUsuarioActualizacion($datos[0]['idUsuarioActualizacion']);
				$objeto->setFechaUltimaActualizacion($datos[0]['fechaUltimaActualizacion']);
				$objeto->setObservaciones($datos[0]['observaciones']);
				$objeto->setEstado($datos[0]['estado']);
                
                $objeto->setPersona($this->persona->get($datos[0]['idPersona']));
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM gestante WHERE idGestante='".$this->idGestante."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>