<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/persona.php';
include_once '../modelo/clases/regla.php';
include_once '../modelo/clases/usuario.php';
class NinoCred
{	private $idNinoCred = 0; 
	private $numeroControl; 
	private $idNino;
    private $cod_2000; 
    private $idRegla; 
	private $peso; 
	private $talla; 
	private $perimetroCefalico; 
	private $fechaRegistro; 
	private $idResponsable; 
	private $fechaAtencion;
    private $fechaCita; 
    private $lme = 0;
    private $consejeriaNutricional = 0;
    private $estimulacion = 0;
    private $estado = 0;
    private $pesoEdad;
    private $tallaEdad;
    private $tallaPeso;
    private $mmnConsumido;
        
    private $persona;
    private $regla;
    private $usuario;

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
        $this->persona = new Persona($con);
        $this->regla = new Regla($con);
        $this->usuario = new Usuario($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setPersona($persona)                {	$this->persona = $persona;	}
    public function setRegla($regla)            	    {	$this->regla = $regla;	}
    public function setUsuario($usuario)            	{	$this->usuario = $usuario;	}   
    
    public function setIdNinoCred($idNinoCred)          {	$this->idNinoCred = $idNinoCred;	} 
	public function setNumeroControl($numeroControl)   	{	$this->numeroControl = $numeroControl;	} 
	public function setIdNino($idNino)                 	{	$this->idNino = $idNino;	} 
	public function setCod_2000($cod_2000)                             	{	$this->cod_2000 = $cod_2000;	}
    public function setIdRegla($idRegla)                {	$this->idRegla = $idRegla;	}
	public function setPeso($peso)                     	{	$this->peso = $peso;	} 
	public function setTalla($talla)                   	{	$this->talla = $talla;	} 
	public function setPerimetroCefalico($perimetroCefalico)       	{	$this->perimetroCefalico = $perimetroCefalico;	} 
	public function setFechaRegistro($fechaRegistro)   	{	$this->fechaRegistro = $fechaRegistro;	} 
	public function setIdResponsable($idResponsable)	{	$this->idResponsable = $idResponsable;	} 
	public function setFechaAtencion($fechaAtencion)	{	$this->fechaAtencion = $fechaAtencion;	}
    public function setFechaCita($fechaCita)        	{	$this->fechaCita = $fechaCita;	} 
    public function setLme($lme)                    	{	$this->lme = $lme;	} 
    public function setConsejeriaNutricional($consejeriaNutricional)    	{	$this->consejeriaNutricional = $consejeriaNutricional;	}
    public function setEstimulacion($estimulacion)  	{	$this->estimulacion = $estimulacion;	}
    public function setEstado($estado)              	{	$this->estado = $estado;	}
    public function setPesoEdad($pesoEdad)          	{	$this->pesoEdad = $pesoEdad;	}
    public function setTallaEdad($tallaEdad)            {	$this->tallaEdad = $tallaEdad;	}
    public function setTallaPeso($tallaPeso)        	{	$this->tallaPeso = $tallaPeso;	}    
    public function setMmnConsumido($mmnConsumido)  	{	$this->mmnConsumido = $mmnConsumido;	}

	//GETS
    public function getPersona()                {	return $this->persona;	}
    public function getRegla()              	{	return $this->regla;	}
    public function getUsuario()            	{	return $this->usuario;	} 
    
	public function getIdNinoCred()            	{	return $this->idNinoCred;	} 
	public function getNumeroControl()	        {	return $this->numeroControl;	} 
	public function getIdNino()    	            {	return $this->idNino;	}
	public function getCod_2000()               {	return $this->cod_2000;	} 
    public function getIdRegla()                {	return $this->idRegla;	}
	public function getPeso()                   {	return $this->peso;	} 
	public function getTalla()	                {	return $this->talla;	} 
	public function getPerimetroCefalico()     	{	return $this->perimetroCefalico;	} 
	public function getFechaRegistro()         	{	return $this->fechaRegistro;	} 
	public function getIdResponsable()         	{	return $this->idResponsable;	} 
	public function getFechaAtencion()         	{	return $this->fechaAtencion;	}
    public function getFechaCita()          	{	return $this->fechaCita;	} 
    public function getLme()                    {	return $this->lme;	} 
    public function getConsejeriaNutricional()  {	return $this->consejeriaNutricional;	}
    public function getEstimulacion()           {	return $this->estimulacion;	}
    public function getEstado()         	    {	return $this->estado;	}
    public function getEstadoNombre()
    {	$datos = array("0"=>"Actualizado", "1"=>"Entregado en el EESS", "2"=>"Seguimiento o Control Intervenci&oacute;n", "3"=>"Extramural - Visita");
        return $datos[$this->estado];	}
    public function getEstadoFlag()
    {	$datos = array("0"=>"fam-flag-red", "1"=>"fam-flag-green", "2"=>"fam-flag-yellow", "3"=>"fam-flag-blue");
        return $datos[$this->estado];	}
    public function getPesoEdad()       	    {	return $this->pesoEdad;	}
    public function getTallaEdad()      	    {	return $this->tallaEdad;	}
    public function getTallaPeso()      	    {	return $this->tallaPeso;	}    
    public function getMmnConsumido()   	    {	return $this->mmnConsumido;	}

	//METODOS GUARDAR
	public function guardar()
	{	($this->idNinoCred == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO sin_nino.nino_cred (numeroControl, cod_2000, idNino, idRegla, peso, talla, perimetroCefalico, idResponsable, fechaAtencion, fechaCita, lme, consejeriaNutricional, estado, pesoEdad, tallaEdad, tallaPeso, estimulacion, mmnConsumido)
			VALUES('".$this->numeroControl."', '".$this->cod_2000."', '".$this->idNino."', '".$this->idRegla."', '".$this->peso."', '".$this->talla."', '".$this->perimetroCefalico."', '".$this->idResponsable."', '".$this->fechaAtencion."', '".$this->fechaCita."', '".$this->lme."', '".$this->consejeriaNutricional."', '".$this->estado."', '".$this->pesoEdad."', '".$this->tallaEdad."', '".$this->tallaPeso."', '".$this->estimulacion."', '".$this->mmnConsumido."')";
        echo $consulta;
        $this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE sin_nino.nino_cred 
			SET numeroControl = '".$this->numeroControl."', cod_2000 = '".$this->cod_2000."', idNino = '".$this->idNino."',
                idRegla = '".$this->idRegla."', peso = '".$this->peso."', talla = '".$this->talla."', 
				perimetroCefalico = '".$this->perimetroCefalico."',	idResponsable = '".$this->idResponsable."', 
				fechaAtencion = '".$this->fechaAtencion."', fechaCita = '".$this->fechaCita."', 
				lme = '".$this->lme."', consejeriaNutricional = '".$this->consejeriaNutricional."', 
				estado = '".$this->estado."', pesoEdad = '".$this->pesoEdad."', tallaEdad = '".$this->tallaEdad."', 
				tallaPeso = '".$this->tallaPeso."', estimulacion = '".$this->estimulacion."',
				mmnConsumido = '".$this->mmnConsumido."'       
			WHERE idNinoCred = '".$this->idNinoCred."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
            $orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
            //echo "<br />".$orden."<br />";
			$consulta = "SELECT ".$campo." FROM sin_nino.nino_cred ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new NinoCred($this->conex);
				$objeto->setIdNinoCred($row['idNinoCred']);
				$objeto->setNumeroControl($row['numeroControl']);
				$objeto->setIdNino($row['idNino']);
				$objeto->setCod_2000($row['cod_2000']);
                $objeto->setIdRegla($row['idRegla']);
				$objeto->setPeso($row['peso']);
				$objeto->setTalla($row['talla']);
				$objeto->setPerimetroCefalico($row['perimetroCefalico']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
				$objeto->setIdResponsable($row['idResponsable']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
                $objeto->setFechaCita($row['fechaCita']);
                $objeto->setLme($row['lme']);
                $objeto->setConsejeriaNutricional($row['consejeriaNutricional']);
                $objeto->setEstimulacion($row['estimulacion']);
                $objeto->setEstado($row['estado']);
                $objeto->setPesoEdad($row['pesoEdad']);
                $objeto->setTallaEdad($row['tallaEdad']);
                $objeto->setTallaPeso($row['tallaPeso']);
                $objeto->setMmnConsumido($row['mmnConsumido']);                
                
                $objeto->setPersona($this->persona->get($row['idNino']));
                $objeto->setRegla($this->regla->get($row['idRegla']));
                $objeto->setUsuario($this->usuario->get($row['idResponsable']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM sin_nino.nino_cred WHERE idNinoCred='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new NinoCred($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdNinoCred($datos[0]['idNinoCred']);
				$objeto->setNumeroControl($datos[0]['numeroControl']);
				$objeto->setIdNino($datos[0]['idNino']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
                $objeto->setIdRegla($datos[0]['idRegla']);
				$objeto->setPeso($datos[0]['peso']);
				$objeto->setTalla($datos[0]['talla']);
				$objeto->setPerimetroCefalico($datos[0]['perimetroCefalico']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
				$objeto->setIdResponsable($datos[0]['idResponsable']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
                $objeto->setFechaCita($datos[0]['fechaCita']);
                $objeto->setLme($datos[0]['lme']);
                $objeto->setConsejeriaNutricional($datos[0]['consejeriaNutricional']);
                $objeto->setEstimulacion($datos[0]['estimulacion']);
                $objeto->setEstado($datos[0]['estado']);
                $objeto->setPesoEdad($datos[0]['pesoEdad']);
                $objeto->setTallaEdad($datos[0]['tallaEdad']);
                $objeto->setTallaPeso($datos[0]['tallaPeso']);
                $objeto->setMmnConsumido($datos[0]['mmnConsumido']);
                
                $objeto->setPersona($this->persona->get($datos[0]['idNino']));
                $objeto->setRegla($this->regla->get($datos[0]['idRegla']));
                $objeto->setUsuario($this->usuario->get($datos[0]['idResponsable']));
			}
			return $objeto;
		}
	}
    
    function getOptionPesoEdad($id = NULL) 
    {   $datos = array(array("N","Normal"), array("GiP","Ganancia Inade. Peso")
            , array("DA","Desnutricion Aguda"), array("SP","Sobrepeso"));
        $opciones = $this->getFuncion()->getOption($datos, $id );
        return $opciones;
    }
    function getOptionTallaEdad($id = NULL) 
    {   $datos = array(array("N","Normal"), array("GiT","Ganancia Inadec. Talla")
            , array("TB","Talla Baja"), array("TS","Talla Severa"), array("TA","Talla Alta"));
        $opciones = $this->getFuncion()->getOption($datos, $id );
        return $opciones;
    }
    function getOptionPesoTalla($id = NULL) 
    {   $datos = array(array("N","Normal"), array("DA","Desnutricion Aguda")
        , array("DS","Desnutricion Severa"), array("SP","Sobrepeso"), array("OB","Obesidad"));
        $opciones = $this->getFuncion()->getOption($datos, $id );
        return $opciones;
    }

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM sin_nino.nino_cred WHERE idNinoCred='".$this->idNinoCred."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>