<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/persona.php';
include_once '../modelo/clases/vacuna.php';
include_once '../modelo/clases/usuario.php';
class NinoVacuna
{	private $idNinoVacuna = 0; 
	private $idNino; 
    private $cod_2000; 
	private $idVacuna; 
	private $tipoAplicacion; 
    private $diag2; 
	private $lab2; 
	private $fechaAtencion; 
	private $idUsuario; 
	private $fechaRegistro;
    private $estado; 
    
    private $persona;
    private $vacuna;
    private $usuario;

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
        $this->persona = new Persona($con);
        $this->vacuna = new Vacuna($con);
        $this->usuario = new Usuario($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
    public function setPersona($persona)                    {	$this->persona = $persona;	}
    public function setVacuna($vacuna)                  	{	$this->vacuna = $vacuna;	}
    public function setUsuario($usuario)                	{	$this->usuario = $usuario;	}  
    
	public function setIdNinoVacuna($idNinoVacuna)         	{	$this->idNinoVacuna = $idNinoVacuna;	} 
	public function setIdNino($idNino)                     	{	$this->idNino = $idNino;	} 
    public function setCod_2000($cod_2000)                  {	$this->cod_2000 = $cod_2000;	}
	public function setIdVacuna($idVacuna)                 	{	$this->idVacuna = $idVacuna;	} 
	public function setTipoAplicacion($tipoAplicacion)     	{	$this->tipoAplicacion = $tipoAplicacion;	}
    public function setDiag2($diag2)                    	{	$this->diag2 = $diag2;	} 
	public function setLab2($lab2)                         	{	$this->lab2 = $lab2;	}  
	public function setFechaAtencion($fechaAtencion)       	{	$this->fechaAtencion = $fechaAtencion;	} 
	public function setIdUsuario($idUsuario)               	{	$this->idUsuario = $idUsuario;	} 
	public function setFechaRegistro($fechaRegistro)       	{	$this->fechaRegistro = $fechaRegistro;	} 
    public function setEstado($estado)                  	{	$this->estado = $estado;	} 

	//GETS
    public function getPersona()                           	{	return $this->persona;	}
    public function getVacuna()                         	{	return $this->vacuna;	}
    public function getUsuario()                        	{	return $this->usuario;	} 
    
	public function getIdNinoVacuna()          	            {	return $this->idNinoVacuna;	} 
	public function getIdNino()                	            {	return $this->idNino;	}
    public function getCod_2000()                           {	return $this->cod_2000;	} 
	public function getIdVacuna()              	            {	return $this->idVacuna;	} 
	public function getTipoAplicacion()        	            {	return $this->tipoAplicacion;	} 
    public function getDiag2()                          	{	return $this->diag2;	}           
    public function getLab2()                              	{	return $this->lab2;	} 
	public function getFechaAtencion()         	            {	return $this->fechaAtencion;	} 
	public function getIdUsuario()             	            {	return $this->idUsuario;	} 
	public function getFechaRegistro()         	            {	return $this->fechaRegistro;	}
    public function getEstado()             	            {	return $this->estado;	} 
    public function getEstadoNombre()
    {	$datos = array("0"=>"Actualizado", "1"=>"Entregado en el EESS", "2"=>"Extramural - Visita");
        return $datos[$this->estado];	}
    public function getEstadoFlag()
    {	$datos = array("0"=>"fam-flag-red", "1"=>"fam-flag-green", "2"=>"fam-flag-blue");
        return $datos[$this->estado];	}

	//METODOS GUARDAR
	public function guardar()
	{	($this->idNinoVacuna == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO nino_vacuna (cod_2000, idNino, idVacuna, tipoAplicacion,  diag2, lab2, fechaAtencion, idUsuario, estado)
			VALUES('".$this->cod_2000."', '".$this->idNino."', '".$this->idVacuna."', '".$this->tipoAplicacion."','".$this->diag2."', '".$this->lab2."', '".$this->fechaAtencion."', '".$this->idUsuario."', '".$this->estado."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE nino_vacuna 
			SET idNino = '".$this->idNino."', 
                cod_2000 = '".$this->cod_2000."', 
				idVacuna = '".$this->idVacuna."', 
				tipoAplicacion = '".$this->tipoAplicacion."',
                diag2 = '".$this->diag2."', 
				lab2 = '".$this->lab2."',  
				fechaAtencion = '".$this->fechaAtencion."', 
				idUsuario = '".$this->idUsuario."', 
				estado = '".$this->estado."'
			WHERE idNinoVacuna = '".$this->idNinoVacuna."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM nino_vacuna ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new NinoVacuna($this->conex);
				$objeto->setIdNinoVacuna($row['idNinoVacuna']);
				$objeto->setIdNino($row['idNino']);
                $objeto->setCod_2000($row['cod_2000']);
				$objeto->setIdVacuna($row['idVacuna']);
				$objeto->setTipoAplicacion($row['tipoAplicacion']);
                $objeto->setDiag2($row['diag2']);
				$objeto->setLab2($row['lab2']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
				$objeto->setIdUsuario($row['idUsuario']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
                $objeto->setEstado($row['estado']);
                
                $objeto->setPersona($this->persona->get($row['idNino']));
                $objeto->setVacuna($this->vacuna->get($row['idVacuna']));
                $objeto->setUsuario($this->usuario->get($row['idUsuario']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM nino_vacuna WHERE idNinoVacuna='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new NinoVacuna($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdNinoVacuna($datos[0]['idNinoVacuna']);
				$objeto->setIdNino($datos[0]['idNino']);
                $objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setIdVacuna($datos[0]['idVacuna']);
				$objeto->setTipoAplicacion($datos[0]['tipoAplicacion']);
                $objeto->setDiag2($datos[0]['diag2']);
				$objeto->setLab2($datos[0]['lab2']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
				$objeto->setIdUsuario($datos[0]['idUsuario']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
                $objeto->setEstado($datos[0]['estado']);
                
                $objeto->setPersona($this->persona->get($datos[0]['idNino']));
                $objeto->setVacuna($this->vacuna->get($datos[0]['idVacuna']));
                $objeto->setUsuario($this->usuario->get($datos[0]['idUsuario']));
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM nino_vacuna WHERE idNinoVacuna='".$this->idNinoVacuna."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>