<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/persona.php';
include_once '../modelo/clases/usuario.php';
include_once '../modelo/clases/m_triaje.php';
class PacienteTriaje
{	private $idPacienteTriaje = 0; 
	private $cod_2000; 
	private $idPersona; 
	private $fechaAtencion; 
	private $idTriaje; 
	private $valor; 
	private $idUsuario; 
	private $fechaRegistro; 
    
    private $persona;
    private $usuario;
    private $m_triaje;

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
		$this->persona = new Persona($con);
		$this->usuario = new Usuario($con);
		$this->m_triaje = new M_Triaje($con);
	}

	public function getConexion()                              	{	return $this->conexion;	}
	public function getFuncion()                               	{	return new Funciones();	}

	//SETS
	public function setPersona($persona)                   	    {	$this->persona = $persona;	} 
	public function setUsuario($usuario)                   	    {	$this->usuario = $usuario;	} 
	public function setM_Triaje($m_triaje)                   	{	$this->m_triaje = $m_triaje;	} 
	
    public function setIdPacienteTriaje($idPacienteTriaje)     	{	$this->idPacienteTriaje = $idPacienteTriaje;	} 
	public function setCod_2000($cod_2000)                     	{	$this->cod_2000 = $cod_2000;	} 
	public function setIdPersona($idPersona)                   	{	$this->idPersona = $idPersona;	} 
	public function setFechaAtencion($fechaAtencion)           	{	$this->fechaAtencion = $fechaAtencion;	} 
	public function setIdTriaje($idTriaje)                     	{	$this->idTriaje = $idTriaje;	} 
	public function setValor($valor)                           	{	$this->valor = $valor;	} 
	public function setIdUsuario($idUsuario)                   	{	$this->idUsuario = $idUsuario;	} 
	public function setFechaRegistro($fechaRegistro)           	{	$this->fechaRegistro = $fechaRegistro;	} 

	//GETS
	public function getPersona()                   	            {	return $this->persona;	} 
	public function getUsuario()                   	            {	return $this->usuario;	} 
	public function getM_Triaje()                   	        {	return $this->m_triaje;	} 
	
    public function getIdPacienteTriaje()                      	{	return $this->idPacienteTriaje;	} 
	public function getCod_2000()                              	{	return $this->cod_2000;	} 
	public function getIdPersona()                             	{	return $this->idPersona;	} 
	public function getFechaAtencion()                         	{	return $this->fechaAtencion;	} 
	public function getIdTriaje()                              	{	return $this->idTriaje;	} 
	public function getValor()                                 	{	return $this->valor;	} 
	public function getIdUsuario()                             	{	return $this->idUsuario;	} 
	public function getFechaRegistro()                         	{	return $this->fechaRegistro;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idPacienteTriaje == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO paciente_triaje (cod_2000, idPersona, fechaAtencion, idTriaje, valor, idUsuario, fechaRegistro)
			VALUES('".$this->cod_2000."', '".$this->idPersona."', '".$this->fechaAtencion."', '".$this->idTriaje."', '".$this->valor."', '".$this->idUsuario."', '".$this->fechaRegistro."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE paciente_triaje 
			SET cod_2000 = '".$this->cod_2000."', idPersona = '".$this->idPersona."', fechaAtencion = '".$this->fechaAtencion."', 
				idTriaje = '".$this->idTriaje."', valor = '".$this->valor."', idUsuario = '".$this->idUsuario."', 
				fechaRegistro = '".$this->fechaRegistro."' WHERE idPacienteTriaje = '".$this->idPacienteTriaje."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);       $condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM paciente_triaje ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new PacienteTriaje($this->conex);
				$objeto->setIdPacienteTriaje($row['idPacienteTriaje']);
				$objeto->setCod_2000($row['cod_2000']);
				$objeto->setIdPersona($row['idPersona']);
				$objeto->setFechaAtencion($row['fechaAtencion']);
				$objeto->setIdTriaje($row['idTriaje']);
				$objeto->setValor($row['valor']);
				$objeto->setIdUsuario($row['idUsuario']);
				$objeto->setFechaRegistro($row['fechaRegistro']);
                
                $objeto->setPersona($this->persona->get($row['idPersona']));
                $objeto->setUsuario($this->usuario->get($row['idUsuario']));
                $objeto->setM_Triaje($this->m_triaje->get($row['idTriaje']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM paciente_triaje WHERE idPacienteTriaje='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new PacienteTriaje($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdPacienteTriaje($datos[0]['idPacienteTriaje']);
				$objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setIdPersona($datos[0]['idPersona']);
				$objeto->setFechaAtencion($datos[0]['fechaAtencion']);
				$objeto->setIdTriaje($datos[0]['idTriaje']);
				$objeto->setValor($datos[0]['valor']);
				$objeto->setIdUsuario($datos[0]['idUsuario']);
				$objeto->setFechaRegistro($datos[0]['fechaRegistro']);
                
                $objeto->setPersona($this->persona->get($datos[0]['idPersona']));
                $objeto->setUsuario($this->usuario->get($datos[0]['idUsuario']));
                $objeto->setM_Triaje($this->m_triaje->get($datos[0]['idTriaje']));
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM paciente_triaje WHERE idPacienteTriaje='".$this->idPacienteTriaje."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>