<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Parametro
{	private $idParametro = 0; 
	private $nombre; 
	private $valor; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdParametro($idParametro)
	{	$this->idParametro = $idParametro;	} 
	public function setNombre($nombre)
	{	$this->nombre = $nombre;	} 
	public function setValor($valor)
	{	$this->valor = $valor;	} 

	//GETS
	public function getIdParametro()
	{	return $this->idParametro;	} 
	public function getNombre()
	{	return $this->nombre;	} 
	public function getValor()
	{	return $this->valor;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idParametro == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO parametro (nombre, valor)
			VALUES('".$this->nombre."', '".$this->valor."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE parametro 
			SET nombre = '".$this->nombre."', 
				valor = '".$this->valor."'
			WHERE idParametro = '".$this->idParametro."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM parametro ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Parametro($this->conex);
				$objeto->setIdParametro($row['idParametro']);
				$objeto->setNombre($row['nombre']);
				$objeto->setValor($row['valor']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM parametro WHERE idParametro='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Parametro($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdParametro($datos[0]['idParametro']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setValor($datos[0]['valor']);
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM parametro WHERE idParametro='".$this->idParametro."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}