<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class PatronReferencia
{	private $idPatronReferencia = 0; 
	private $tipo; 
	private $edad; 
	private $sexo; 
	private $menos3; 
	private $menos2; 
	private $menos1; 
	private $media; 
	private $mas1; 
	private $mas2; 
	private $mas3; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdPatronReferencia($idPatronReferencia)
	{	$this->idPatronReferencia = $idPatronReferencia;	} 
	public function setTipo($tipo)
	{	$this->tipo = $tipo;	} 
	public function setEdad($edad)
	{	$this->edad = $edad;	} 
	public function setSexo($sexo)
	{	$this->sexo = $sexo;	} 
	public function setMenos3($menos3)
	{	$this->menos3 = $menos3;	} 
	public function setMenos2($menos2)
	{	$this->menos2 = $menos2;	} 
	public function setMenos1($menos1)
	{	$this->menos1 = $menos1;	} 
	public function setMedia($media)
	{	$this->media = $media;	} 
	public function setMas1($mas1)
	{	$this->mas1 = $mas1;	} 
	public function setMas2($mas2)
	{	$this->mas2 = $mas2;	} 
	public function setMas3($mas3)
	{	$this->mas3 = $mas3;	} 

	//GETS
	public function getIdPatronReferencia()
	{	return $this->idPatronReferencia;	} 
	public function getTipo()
	{	return $this->tipo;	} 
	public function getEdad()
	{	return $this->edad;	} 
	public function getSexo()
	{	return $this->sexo;	} 
	public function getMenos3()
	{	return $this->menos3;	} 
	public function getMenos2()
	{	return $this->menos2;	} 
	public function getMenos1()
	{	return $this->menos1;	} 
	public function getMedia()
	{	return $this->media;	} 
	public function getMas1()
	{	return $this->mas1;	} 
	public function getMas2()
	{	return $this->mas2;	} 
	public function getMas3()
	{	return $this->mas3;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idPatronReferencia == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO patron_referencia (tipo, edad, sexo, menos3, menos2, menos1, media, mas1, mas2, mas3)
			VALUES('".$this->tipo."', '".$this->edad."', '".$this->sexo."', '".$this->menos3."', '".$this->menos2."', '".$this->menos1."', '".$this->media."', '".$this->mas1."', '".$this->mas2."', '".$this->mas3."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE patron_referencia 
			SET tipo = '".$this->tipo."', 
				edad = '".$this->edad."', 
				sexo = '".$this->sexo."', 
				menos3 = '".$this->menos3."', 
				menos2 = '".$this->menos2."', 
				menos1 = '".$this->menos1."', 
				media = '".$this->media."', 
				mas1 = '".$this->mas1."', 
				mas2 = '".$this->mas2."', 
				mas3 = '".$this->mas3."'
			WHERE idPatronReferencia = '".$this->idPatronReferencia."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM patron_referencia ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new PatronReferencia($this->conex);
				$objeto->setIdPatronReferencia($row['idPatronReferencia']);
				$objeto->setTipo($row['tipo']);
				$objeto->setEdad($row['edad']);
				$objeto->setSexo($row['sexo']);
				$objeto->setMenos3($row['menos3']);
				$objeto->setMenos2($row['menos2']);
				$objeto->setMenos1($row['menos1']);
				$objeto->setMedia($row['media']);
				$objeto->setMas1($row['mas1']);
				$objeto->setMas2($row['mas2']);
				$objeto->setMas3($row['mas3']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM patron_referencia WHERE idPatronReferencia='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new PatronReferencia($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdPatronReferencia($datos[0]['idPatronReferencia']);
				$objeto->setTipo($datos[0]['tipo']);
				$objeto->setEdad($datos[0]['edad']);
				$objeto->setSexo($datos[0]['sexo']);
				$objeto->setMenos3($datos[0]['menos3']);
				$objeto->setMenos2($datos[0]['menos2']);
				$objeto->setMenos1($datos[0]['menos1']);
				$objeto->setMedia($datos[0]['media']);
				$objeto->setMas1($datos[0]['mas1']);
				$objeto->setMas2($datos[0]['mas2']);
				$objeto->setMas3($datos[0]['mas3']);
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM patron_referencia WHERE idPatronReferencia='".$this->idPatronReferencia."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}