<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Ubigeo
{	private $idUbigeo = 0; 
	private $codigoDepartamento; 
	private $codigoProvincia; 
	private $codigoDistrito; 
	private $departamento; 
	private $provincia; 
	private $distrito; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdUbigeo($idUbigeo)
	{	$this->idUbigeo = $idUbigeo;	} 
	public function setCodigoDepartamento($codigoDepartamento)
	{	$this->codigoDepartamento = $codigoDepartamento;	} 
	public function setCodigoProvincia($codigoProvincia)
	{	$this->codigoProvincia = $codigoProvincia;	} 
	public function setCodigoDistrito($codigoDistrito)
	{	$this->codigoDistrito = $codigoDistrito;	} 
	public function setDepartamento($departamento)
	{	$this->departamento = $departamento;	} 
	public function setProvincia($provincia)
	{	$this->provincia = $provincia;	} 
	public function setDistrito($distrito)
	{	$this->distrito = $distrito;	} 

	//GETS
	public function getIdUbigeo()
	{	return $this->idUbigeo;	} 
	public function getCodigoDepartamento()
	{	return $this->codigoDepartamento;	} 
	public function getCodigoProvincia()
	{	return $this->codigoProvincia;	} 
	public function getCodigoDistrito()
	{	return $this->codigoDistrito;	} 
	public function getDepartamento()
	{	return $this->departamento;	} 
	public function getProvincia()
	{	return $this->provincia;	} 
	public function getDistrito()
	{	return $this->distrito;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idUbigeo == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO ubigeo (codigoDepartamento, codigoProvincia, codigoDistrito, departamento, provincia, distrito)
			VALUES('".$this->codigoDepartamento."', '".$this->codigoProvincia."', '".$this->codigoDistrito."', '".$this->departamento."', '".$this->provincia."', '".$this->distrito."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE ubigeo 
			SET codigoDepartamento = '".$this->codigoDepartamento."', 
				codigoProvincia = '".$this->codigoProvincia."', 
				codigoDistrito = '".$this->codigoDistrito."', 
				departamento = '".$this->departamento."', 
				provincia = '".$this->provincia."', 
				distrito = '".$this->distrito."'
			WHERE idUbigeo = '".$this->idUbigeo."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM ubigeo ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Ubigeo($this->conex);
				$objeto->setIdUbigeo($row['idUbigeo']);
				$objeto->setCodigoDepartamento($row['codigoDepartamento']);
				$objeto->setCodigoProvincia($row['codigoProvincia']);
				$objeto->setCodigoDistrito($row['codigoDistrito']);
				$objeto->setDepartamento($row['departamento']);
				$objeto->setProvincia($row['provincia']);
				$objeto->setDistrito($row['distrito']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM ubigeo WHERE idUbigeo='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Ubigeo($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdUbigeo($datos[0]['idUbigeo']);
				$objeto->setCodigoDepartamento($datos[0]['codigoDepartamento']);
				$objeto->setCodigoProvincia($datos[0]['codigoProvincia']);
				$objeto->setCodigoDistrito($datos[0]['codigoDistrito']);
				$objeto->setDepartamento($datos[0]['departamento']);
				$objeto->setProvincia($datos[0]['provincia']);
				$objeto->setDistrito($datos[0]['distrito']);
			}
			return $objeto;
		}
	}
    
    public function getOptionDepartamento($id = "25")
    {   $query = "SELECT codigoDepartamento, departamento
            FROM ubigeo
            GROUP BY codigoDepartamento, departamento";
        $datosDep = $this->getConexion()->datosTabla($query);
        $opciones = $this->getFuncion()->getOption($datosDep, $id );
        return $opciones;
    }
    
    public function getOptionProvincia($codigoDeparamento = "25", $id = NULL)
    {   $query = "SELECT codigoProvincia, provincia
            FROM ubigeo
            WHERE codigoDepartamento='".$codigoDeparamento."'
            GROUP BY codigoDepartamento, codigoProvincia";
        $datosPro = $this->getConexion()->datosTabla($query);
        $opciones = $this->getFuncion()->getOption($datosPro, $id );
        return $opciones;
    }
    
    public function getOptionDistrito($codigoDepartamento = NULL, $codigoProvincia = NULL, $id = NULL)
    {   $query = "SELECT idUbigeo, distrito
            FROM ubigeo
            WHERE codigoDepartamento='".$codigoDepartamento."' AND codigoProvincia='".$codigoProvincia."'
            GROUP BY codigoDepartamento, codigoProvincia, codigoDistrito";
        $datosDis = $this->getConexion()->datosTabla($query);
        $opciones = $this->getFuncion()->getOption($datosDis, $id );
        return $opciones;
    }

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM ubigeo WHERE idUbigeo='".$this->idUbigeo."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>