<?php
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);
$fechaAtencion = (isset($_REQUEST["fechaAtencion"]))?$_REQUEST["fechaAtencion"]:date("Y-m-d", time());

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$consulta = "SELECT CONCAT(ni.paterno, \" \", ni.materno, \", \", ni.nombre) AS nombre
       , ni.dni, ni.historiaClinica
       , ni.sexo , obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) as anio, obtenerEdad(ni.fechaNacimiento, 2, nc.fechaAtencion) as mes
	   , obtenerEdad(ni.fechaNacimiento, 3, nc.fechaAtencion) as dia, obtenerEdad(fechaNacimiento, 4, nc.fechaAtencion) as meses
       , nc.numeroControl AS numCtrl, nc.peso, nc.talla, nc.perimetroCefalico
       , nc.fechaAtencion, nc.fechaCita, ni.fechaNacimiento, ni.idNino, ni.localidad, ni.idFinanciamiento
       , ub.provincia, ub.distrito, nc.mmnConsumido
    FROM nino_cred AS nc
    	INNER JOIN nino AS ni ON ni.idNino=nc.idNino
        LEFT JOIN ubigeo AS ub ON ni.idUbigeoDireccion=ub.idUbigeo
    WHERE fechaAtencion='".$fechaAtencion."' AND obtenerEdad(fechaNacimiento, 4, nc.fechaAtencion)<60 
        AND nc.estado='1'";
$datosNC = $conC->datosTabla($consulta);

?>
<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            @media all {
                table, th, td {
                    border-spacing: 0;      padding: 0px;       font-family: sans-serif;
                    font-size: 10px;        border: 1px solid black;
                }   
                td  {   padding: 1px 1px;   }
                .centrar{   text-align: center; }
            }
            @media print { /* Todas las reglas Css */
                
                .capa1  {   height: 50px;  }         
            } 
        </style>         
     
    </head>
	
    <body>        
        <h3 style="text-align: center;">SISTEMA DE INFORMACI&Oacute;N DEL ESTADO NUTRICIONAL</h3>
        <h5 style="text-align: center;">FORMATO DE REGISTRO DIARIO DEL NI&Ntilde;O MENOR DE 5 A&Ntilde;OS</h5>
        <table style="width: 100%;">
            <tr>
				<th rowspan="2" style="width: 250px;">FECHA DE ATENCI&Oacute;N (dd/mm/aa)</th>
				<th rowspan="2">SEMANA EPIDEMIO<br />LOGICA<br />(S.E.)</th>
                <th rowspan="2">N&deg;</th>
                <th rowspan="2">DNI/CUI</th>
                <th rowspan="2">N&deg; DE HISTORIA CL&Iacute;NICA (H.C.)</th>
                <th     colspan="2">SEXO</th>
                <th rowspan="2">FECHA DE NACIMIENTO (dd/mm/aa)</th>
                <th rowspan="2">EDAD (Meses)</th>
                <th rowspan="2">PESO (Kg.)</th>
                <th rowspan="2">TALLA (cm)</th>
                <th     colspan="2">LABORATORIO (Hb OBSERVADA)*</th>
                <th rowspan="2">N&deg; de controles CRED segun la edad</th>
                <th     colspan="4">DESDE LA CONSULTA ANTERIOR</th>
                <th     colspan="4">AFILIACI&Oacute;N</th>
                <th     colspan="3">LUGAR DE RESIDENCIA</th>
                <th rowspan="2">ALTITUD DE LA LOCALIDAD</th>
            </tr>
            <tr>
                <th>M</th>
                <th>F</th>
                <th>HEMO<br />GLOBINA (gr/dl) (_._)</th>
                <th>FECHA DE RESULTADO hemoglobina (dd/mm/aa)</th>
                <th>Cu&aacute;ntos sachets<br />de MMN consumi&oacute;</th>
                <th>Cu&aacute;ntas Consej. Nutric. Recibi&oacute;?</th>
                <th>Cu&aacute;ntas sesiones demost. recibi&oacute;?</th>
                <th>Cu&aacute;ntas visitas domic. recibi&oacute;?</th>
                <th>C</br>R</br>E</br>C</br>E</br>R </th>
                <th>S</br>I</br>S</th>
                <th>P</br>I</br>N</th>
                <th>J</br>U</br>N</br>T</br>O</br>S</th>
                <th>PROVINCIA</th>
                <th>DISTRITO</th>
                <th>LOCALIDAD</th>
            </tr>            
        <?php $i=0;           
            foreach($datosNC as $item)
            {   $consulta = "SELECT SUM(nc.consejeriaNutricional) FROM nino_cred AS nc
                    WHERE nc.idNino='".$item["idNino"]."'";
                $datosCN = $conC->datosTabla($consulta);
                
                $consulta = "SELECT nt.resultado, nt.fechaResultado FROM nino_tamizaje AS nt
                    WHERE nt.idNino='".$item["idNino"]."' AND idReglaTamizaje='13' AND fechaAtencion='".$item["fechaAtencion"]."'
                        AND resultado!='0' LIMIT 1";
                $datosT = $conC->datosTabla($consulta);
                $hemoglobina = "-";     $fechaHemoglobina = "-";
                if(count($datosT)>0)
                {    $hemoglobina = $datosT[0][0];     $fechaHemoglobina = $conF->getFechaDMY($datosT[0][1]);   }
                                
                $i++;
                $dia = $item["dia"]; $mes = $item["mes"]; $anio = $item["anio"];
                $meses = $item["meses"];    $edad = ""; $numCtrl = $item["numCtrl"]; 
                $edad = ($meses==0)?$dia."d":$edad;
                $edad = ($meses>0 && $anio==0 )?$mes."m":$edad;
                $edad = ($anio>0)?$anio."a".(($mes>0)?"<br>".$mes."m":""):$edad;
                echo "<tr>                    
                    <td class='centrar'>".$conF->getFechaDMY($item["fechaAtencion"])."</td>
                    <td class='centrar'>".date("W", strtotime($item["fechaAtencion"]))."</td>
                    <td>".$i."</td>
                    <td class='centrar'>".$item["dni"]."</td>
                    <td class='centrar'>".$item["historiaClinica"]."</td>
                    <td class='centrar'>".(($item["sexo"]=="M")?"x":"&nbsp;")."</td>
                    <td class='centrar'>".(($item["sexo"]=="F")?"x":"&nbsp;")."</td>
                    <td class='centrar'>".$conF->getFechaDMY($item["fechaNacimiento"])."</td>
                    <td class='centrar'>".$item["meses"]."</td>
                    <td style='text-align: right;'>".number_format($item["peso"], 3)."</td>
                    <td>".$item["talla"]."</td>
                    <td class='centrar'>".$hemoglobina."</td>
                    <td class='centrar'>".$fechaHemoglobina."</td>
                    <td class='centrar'>".$item["numCtrl"]."</td>
                    <td class='centrar'>".(($item["mmnConsumido"]>0)?$item["mmnConsumido"]:"-")."</td>
                    <td class='centrar'>".(($datosCN[0][0]>0)?$datosCN[0][0]:"-")."</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td class='centrar'>".(($item["idFinanciamiento"]=="2")?"&nbsp;":"-")."</td>
                    <td class='centrar'>".(($item["idFinanciamiento"]=="2")?"x":"-")."</td>
                    <td class='centrar'>".(($item["idFinanciamiento"]=="2")?"&nbsp;":"-")."</td>
                    <td class='centrar'>".(($item["idFinanciamiento"]=="2")?"&nbsp;":"-")."</td>
                    <td>".$item["provincia"]."</td>
                    <td>".$item["distrito"]."</td>
                    <td>".$item["localidad"]."</td>
                    <td>&nbsp;</td>
                </tr>";              
                
            } 
        ?>  
        </table>
    </body> 
</html>
<script>
    //print();
</script>