<?php
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$edad = (isset($_REQUEST["edad"]))?$_REQUEST["edad"]:"1";
$control = (isset($_REQUEST["control"]))?$_REQUEST["control"]:"6";
$idSector = (isset($_REQUEST["idSector"]))?$_REQUEST["idSector"]:"0";
$diasPasados = (isset($_REQUEST["diasPasados"]))?$_REQUEST["diasPasados"]:"60";

$datosEd = array("0"=>"Todo Grupo Etareo", "1"=>"Menor de 1 anio", "2"=>"De 1 anio", "3"=>"De 2 anios", "4"=>"De 3 anios", "5"=>"De 4 anios", "6"=>"Mayor de 5 anios");
$datosSe = $conN->getSector()->get($idSector);

$cond = ($idSector == 0)?"":" AND t1.idSector='".$idSector."' ";
$cond .= ($edad == 0)?"":(($edad == 1)?" AND t1.edad<12 ":(($edad == 2)?" AND t1.edad>=12 AND t1.edad<24":(($edad == 3)?" AND t1.edad>=24 AND t1.edad<36":(($edad == 4)?" AND t1.edad>=36 AND t1.edad<48":(($edad == 5)?" AND t1.edad>=48 AND t1.edad<60":" AND t1.edad>=60 ")))));
$cond .= ($control == 0)?"":" AND (t1.numeroControl + t1.cantidad)='".$control."' ";        
$consulta = "SELECT * FROM ( SELECT t1.idNino,  (t1.numeroControl + t1.cantidad) AS numeroControl, t1.fechaAtencion, t1.fechaCita
                	, TIMESTAMPDIFF(DAY, t1.fechaCita, curdate()) AS diasPasados, edad, fechaNacimiento
                    , idSector, t1.cantidad
                FROM (	SELECT TIMESTAMPDIFF(DAY,max(ns.fechaAtencion), curdate()) AS dias
                		, DATE_ADD( max(ns.fechaAtencion), INTERVAL 1 MONTH ) AS fechaCita
                		, ns.idNino, ns.idRegla, max(ns.numeroControl) AS numeroControl, max(ns.fechaAtencion) AS fechaAtencion
                	    , obtenerEdad(ni.fechaNacimiento, 4, CURDATE()) AS edad, ni.fechaNacimiento, ni.idSector
                        , ceil(ns.cantidad/30) as cantidad
                    FROM nino_suplemento AS ns INNER JOIN nino AS ni ON ni.idNino=ns.idNino
                	WHERE idRegla='9' AND estado='1'
                	GROUP BY idNino, idRegla 
                	ORDER BY ns.fechaAtencion DESC
                ) AS t1  WHERE  (t1.numeroControl + t1.cantidad)<=12 ".$cond." ) AS t2
                WHERE t2.diasPasados>=0 and t2.diasPasados<=".$diasPasados." ORDER BY t2.diasPasados ASC";
                //echo $consulta;
$datosNC = $conC->datosTabla($consulta);   

?>
<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            @media all {
                table, th, td {
                    border-spacing: 0;      padding: 0px;       font-family: sans-serif;
                    font-size: 10px;        border: 1px solid black;
                }   
                td  {   padding: 1px 1px;   }
                .centrar{   text-align: center; }
            }
            @media print { /* Todas las reglas Css */
                
                .capa1  {   height: 50px;  }         
            } 
        </style>         
     
    </head>
	
    <body>
    <?php
        $filas = (isset($_REQUEST["filas"]))?$_REQUEST["filas"]:"30"; 
        $cabeza = " <h3 style=\"text-align: center;\">NI&Ntilde;OS QUE NO RECOGIERON SU SUPLEMENTO (MMN)
                <br /> A TIEMPO, Fecha: ".$conF->getFechaDMY(date("Y-m-d", time()))." </h3>
        <table style=\"width: 100%;\">
            <tr> <th>Historia</th> <th>DNI</th> <th>Nombres</th> <th>Responsable</th>
                <th>Direcci&oacute;n</th> <th>Dosis</th> <th style=\"width: 70px;\">Edad</th>
                <th style=\"width: 40px;\">D&iacute;as</th>
            </tr> ";
        echo $cabeza;
    ?>
        <?php        $i = 0;     
            foreach($datosNC as $item) {   $i++;
                if($i>$filas)
                {   echo "</tbody> </table> <div style=' page-break-before: always;'></div>".$cabeza;   
                    $i=0;                    
                }
                //if($item["diasPasados"]<0) continue;
                $datosN = $conN->get($item["idNino"]);
                $edad = $conF->calculo_edad($item["fechaNacimiento"], date("Y-m-d", time()), "COMPLETO");
                echo "<tr>
                    <td class='centrar'>".$datosN->getHistoriaClinica()."</td>                    
                    <td>".$datosN->getDni()."</td>
                    <td>".$datosN->getNombreCompleto()."</td>
                    <td>".$datosN->getNombreCompletoResponsable()."</td>
                    <td>".$datosN->getDireccion()."</td>
                    <td>".$item["numeroControl"]."</td>
                    <td class='centrar'>".(substr($edad, 0, strlen($edad)-6))."</td>  
                    <td>&nbsp;&nbsp;+ ".$item["diasPasados"]."</td>
                </tr>";
            } 
        ?>  
        </table>
    </body> 
</html>
<script>
    //print();
</script>