<script>
	function envios_lista()
	{	$.ajax(
		{	url : 'controlador/control_envios.php',
			data : {accion:'Listado'},
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function envios_nuevo_formulario()
	{	$.ajax(
		{	url : 'controlador/control_envios.php',
			data : "accion=Nuevo",
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function editar_envios(id)
	{	$.ajax(
		{	url : "controlador/control_envios.php",
			data : "accion=Edicion&id=" + id,
			success : function(respuesta)
			{	$("#capa1").html(respuesta);	}
		});
	}

	function eliminar_envios(id, obj)
	{	if(confirm("\u00BFSeguro de Eliminar?"))
		{	$("#loading_envios").show();
			$.ajax(
			{	url : "controlador/control_envios.php",
				data : "accion=Eliminar&id=" + id,
				success : function(respuesta)
				{	alert("Registro Eliminado");
					var tr = obj.parentNode.parentNode.parentNode.parentNode;
					var table = tr.parentNode;
					table.removeChild(tr);
					$("#loading_envios").hide();
				}
			});
		}
	}

</script>
<br />
<!-- Default datatable -->
<div class="widget row-fluid">
<div class="span12">
	<div class="navbar">
		<div class="navbar-inner">
			<h6><strong>Listado de Envios</strong></h6>
			<div class="nav pull-right">
				<a class="dropdown-toggle navbar-icon" data-toggle="dropdown" href="javascript:void(0)">
					<i class="icon-cog"></i></a>
				<ul class="dropdown-menu pull-right">
					<li><a onclick="envios_nuevo_formulario()" href="javascript:void(0)">
							<i class="icon-plus"></i>Nuevo Envios</a></li>
				</ul>
			</div>
			<div id="loading_envios" class="loading pull-right hide">
				<span>Cargando</span>
				<img src="img/elements/loaders/6s.gif" alt="" />
			</div>
		</div>
	</div>
	<div class="well body">
		<div class="table-overflow">
		<table class="table table-striped table-bordered" id="data-table">
			<thead>
				<tr>
					<th>Cod_2000</th>
					<th>Tipo</th>
					<th>A&ntilde;o Prod.</th>
					<th>Mes Prod.</th>
					<th>IdUsuario</th>
					<th>FechaEmision</th>
					<th>HoraEmision</th>
					<th class="no-sort tam50">Accin</th>
				</tr>
			</thead>
			<tbody>
				<?php	$i = 0;
				  foreach($datos as $item)	{	$i++;
					if($item->getId()!=0)	{?>
					  <tr class="gradeX">
						<td><?php echo $item->getCod_2000();?></td>
						<td><?php echo $item->getTipoNombre();?></td>
						<td><?php echo $item->getAnioProduccion();?></td>
						<td><?php echo $conF->mesNombreCompleto($item->getMesProduccion());?></td>
						<td><?php echo $item->getUsuario()->getNombreCorto();?></td>
						<td><?php echo $conF->getFechaDMY($item->getFechaEmision());?></td>
						<td><?php echo $item->getHoraEmision();?></td>
						<td class="align-center">
							<ul class="table-controls">
								<li><a onclick="editar_envios(<?php echo $item->getId();?>)" title="Editar Envios" class="tip" href="javascript:void(0)">
										<i class="icon-edit"></i></a> </li>
								<li><a onclick="eliminar_envios(<?php echo $item->getId();?>, this)" title="Eliminar Envios" class="tip" href="javascript:void(0)">
										<i class="icon-remove"></i></a> </li>
							</ul>
						</td>
					</tr>
				<?php } 	}?>
			</tbody>
		</table><br /><br />
		</div>
	</div>
</div>
</div>
<!-- /default datatable -->

<script>
	$("#data-table").dataTable({
		"bJQueryUI": false,
		"bAutoWidth": false,
		"sPaginationType": "full_numbers",
		//"sDom": '<"datatable-header"fl>t<"datatable-footer"ip>',
		"oLanguage": {
			"sSearch": "<span>Buscar registro:</span> _INPUT_",
			"sLengthMenu": "<span>Mostrar:</span> _MENU_",
			"oPaginate": { "sFirst": "Primero", "sLast": "ltimo", "sNext": ">", "sPrevious": "<" }
		},
		"aoColumnDefs" : [{ "bSortable" : false, "aTargets" : [ "no-sort" ] }]
		//, "aaSorting": [[ 2, "desc" ]]
	});
</script>