<script>
    function usuario_lista()
    {   loading(0,0);
        $.ajax(
        {   url : 'controlador/control_usuario.php',
            data : {accion:'Listado'},
            success : function(respuesta)
            {   $('#capa1').html(respuesta);    unloading(); }
        });
    }
    
    function usuario_nuevo_formulario()
    {   $.ajax(
        {   url : 'controlador/control_usuario.php',
            data : {accion:'Nuevo'},
            success : function(respuesta)
            {   $('#capa1').html(respuesta); }
        });
    }
    
    function editar_usuario(idUsuario)
    {   $.ajax(
        {   url : 'controlador/control_usuario.php',
            data : "accion=Edicion&idUsuario=" + idUsuario,
            success : function(respuesta)
            {   $('#capa1').html(respuesta); }
        });
    }
    
    function eliminar_usuario(idUsuario, obj)
    {   if(confirm("\u00BFSeguro de Eliminar?"))
        {   $("#loading_usuario").show();
            $.ajax(
            {   url : 'controlador/control_usuario.php',
                data : "accion=Eliminar&idUsuario=" + idUsuario,
                success : function(respuesta)
                {   if(respuesta==1)
                    {   $.jGrowl( 'El Usuario fue Eliminado!', {   theme: 'growl-warning', header: 'ELIMINADO!' });                    
                        var tr = obj.parentNode.parentNode.parentNode.parentNode; var table = tr.parentNode;
                        table.removeChild(tr); $("#loading_usuario").hide();                        
                    }
                    else
                    {   $.jGrowl( 'El Usuario tiene Atenciones Registradas !', {   theme: 'growl-error', header: 'ERROR!' });
                        $("#loading_usuario").hide();  
                    }   
                    
                }
            });
        }
        
    }
    
    
</script>
<br />
<!-- Default datatable -->
<div class="widget row-fluid">
<div class="span12">    
    <div class="navbar">
   	    <div class="navbar-inner">
            <h6><strong>Listado de Usuarios de Acceso</strong></h6>            
                   
            <ul class="nav pull-right">
                <li><a onclick="usuario_nuevo_formulario()" href="javascript:void(0)">
                    <i class="icon-plus"></i><strong>Nuevo Usuario</strong></a></li>
            </ul>   
            <div id="loading_usuario" class="loading pull-right hide">
                <span>Cargando</span>                
	            <img src="img/elements/loaders/6s.gif" alt="" />
            </div>
        </div>
    </div>
    <div class="well body">
        <div class="table-overflow">
            <table class="table table-striped table-bordered" id="data-table">
                <thead>
                    <tr>
                        <th>Dni</th> <th>Nombre</th> <th>Usuario (Clave)</th> <th>Tipo</th>
                        <th>Colegio</th> <th>Celular</th> <th>Servicio</th>
                        <th class="no-sort tam50">Acci&oacute;n</th>
                    </tr>
                </thead>
                <tbody>
                    <?php   $i = 0;                         
                      foreach($datos as $item)	{   $i++;
                        //var_dump($item); exit(0);
                        if($item->getIdUsuario()==1 and $item->getNick()=="admin")
                            if($_SESSION["idUsuario"]!=1 and $_SESSION["idUsuario"]!="admin")
                                continue;
                        $tipoU = ($item->getTipoUsuario()==1)?"Admin":(($item->getTipoUsuario()==2)?"Jefe":(($item->getTipoUsuario()==3)?"Responsable":""));	
                        $tipoC = ($item->getTipoColegio()=="00")?"Tecnico(a)":(($item->getTipoColegio()=="01")?"Medico":(($item->getTipoColegio()=="05")?"Obstetra":(($item->getTipoColegio()=="06")?"Lic. Enfermeria":"")));	
                        if($item->getIdUsuario()!=0)	{?>
                		  <tr class="gradeX">                            
                            <td><?php echo $item->getDni();?></td>
                            <td><?php echo htmlentities($item->getPaterno()." ".$item->getMaterno().", ".$item->getNombre());?></td>                			
                            <td><?php echo $item->getNick()." (".$item->getClave().")";?></td>
                            <td><?php echo $tipoU;?></td>
                            <td><?php echo $item->getProfesion()->getNombre();?></td>
                            <td><?php echo $item->getCelular();?></td>                            
                            <td><?php echo $item->getUps()->getNombre();?></td>
                            <td class="align-center">
                                <ul class="table-controls">
                                    <li><a onclick="editar_usuario(<?php echo $item->getIdUsuario();?>)" title="Editar Usuario" class="tip" href="javascript:void(0)">
                                            <i class="icon-edit"></i></a> </li>
                                    <li><a onclick="eliminar_usuario(<?php echo $item->getIdUsuario();?>, this)" title="Eliminar Usuario" class="tip" href="javascript:void(0)">
                                            <i class="icon-remove"></i></a> </li>
                                </ul>
                                
                            </td> 
                          </tr>
              		<?php } 	}?>
                </tbody>
            </table><br /><br />
        </div>
    </div>
</div>
</div>

<!-- /default datatable -->

<script>
    $("#data-table").dataTable({
		"bJQueryUI": false,
		"bAutoWidth": false,
        "sPaginationType": "full_numbers",
		//"sDom": '<"datatable-header"fl>t<"datatable-footer"ip>',
		"oLanguage": {
			"sSearch": "<span>Buscar registro:</span> _INPUT_",
			"sLengthMenu": "<span>Mostrar:</span> _MENU_",
			"oPaginate": { "sFirst": "Primero", "sLast": "&Uacute;ltimo", "sNext": ">", "sPrevious": "<" }
		},
        "aoColumnDefs" : [{ "bSortable" : false, "aTargets" : [ "no-sort" ] }]
        //, "aaSorting": [[ 2, "desc" ]]
    });
</script>